<?php 
/*
Plugin Name: Speed Options
Plugin URI: http://speed.agency
Description: Customise your Theme using shortcodes, and preset functions.
Author: Speed Agency
Version: 1.0
Author URI: http://speed.agency
License: GPLv3
Text Domain: speed
*/

require_once('speed-options.php');

function sp_so_scripts(){
    wp_enqueue_script('sp-so-mobile-menu', plugin_dir_url(__FILE__).'js/mobile-menu.js', array('jquery'));
}
add_action('wp_enqueue_scripts', 'sp_so_scripts');


function get_sp_so_social_media(){
    $output = '';
    if(have_rows("sp_so_social_media", 'option')){
        $output .= '<ul class="social-networks list-inline">';
        while(have_rows('sp_so_social_media', 'option')):the_row();
        
            if(get_sub_field('link')){
                $link = '<a target="_blank" href="'.get_sub_field('link').'">
                            <i class="fa fa-'.get_sub_field('account_type').'"></i>
                        </a>';
            }else{
                $link = '<i class="fa fa-'.get_sub_field('account_type').'"></i>';
            }
            $output .= '<li>'.$link.'</li>';
    
        endwhile;
        $output .= '</ul>';
     }
    return $output;
}

function sp_so_social_media(){
    echo get_sp_so_social_media();
}

function sp_menu_button(){
    
    echo '<span class="fa fa-bars sp-so-menu-open"></span>';
    
}

function sp_mobile_menu(){
    
    wp_enqueue_style('sp-so-mobile-menu', plugin_dir_url(__FILE__).'css/mobile-menu.css');
    
    
    echo '<div class="sp-mobile-menu" id="sp-so-mobile-menu">';
    
    $logodetails = '<div class="sp-menu-widget">';
    if(get_field('sp_so_menu_logo', 'option')){
        $logo = get_field('sp_so_menu_logo', 'option');
        $logodetails .= '<div class="sp-logo" style="background-image:url('.$logo['sizes']['medium'].');"><a href="'.home_url().'"></a></div>';
    }
    
    
    if(get_field('sp_so_menu_social_media', 'option')){
        $logodetails .= get_sp_so_social_media();       
    }
    
    $logodetails .= '</div>';
    
    echo $logodetails;
    
    
    //echo '<div class="sp-mobile-menu">Mobile Menu</div>';
    $menulist = get_field('sp_so_show_menu', 'option');
    foreach($menulist as $menu){
        wp_nav_menu(array('menu'=>$menu));  
    }
    
    echo '</div>';
    
}

function add_google_analytics(){
    the_field('sp_so_ga_code', 'option');   
}


if(get_field('display_responsive_menu', 'option')){
    add_action('wp_footer', 'sp_mobile_menu');
}

if(get_field('sp_so_ga_code', 'option')){
    add_action('wp_head', 'add_google_analytics');   
}