<?php

// Options Page
if(!function_exists('install_acf')){
    function install_acf(){

        $class = 'error';
        $message = 'ACF is required for this plugin to work. <a href="https://wordpress.org/plugins/advanced-custom-fields/" target="_blank">Download ACF to continue</a>';

        echo '<div class="'.$class.'"><p>'.$message.'</p></div>';

    }
}

if(function_exists('acf_add_options_page')){

    acf_add_options_page(array(
        'page_title'    => 'Site Options',
        'menu_title'    => 'Site Options',
        'menu_slug'     => 'sp-options',
        'capability'    => 'edit_posts',
        'redirect'      => false,
        'icon_url'      => 'dashicons-email',
        'parent_slug'   => 'themes.php'
    ));

}else{
 
    add_action('admin_notices', 'install_acf');
    exit();
    
}


function load_acf_site_menu_list($field){
    
    $field['choices'] = array();
    
    $result = get_terms('nav_menu');
    
    foreach($result as $menu){
     
        $field['choices'][$menu->slug] = $menu->name;
        
    }
    
    return $field;
    
}
add_filter('acf/load_field/name=sp_so_show_menu', 'load_acf_site_menu_list');


if(get_field('sp_so_address')){
    $sp_address = get_field('sp_so_address');
    define('sp_address', $sp_address['address']);
    define('sp_address_lat', $sp_address['lat']);
    define('sp_address_lng', $sp_address['lng']);
}else{
    define('sp_address', 'No Address');
    define('sp_address_lat', 0);
    define('sp_address_lng', 0);
}

if(get_field('sp_so_tagline')){
    define('sp_tagline', get_field('sp_so_tagline'));
}else{
    define('sp_tagline', 'Just another Speed Developed WordPress site ;)');
}

if(get_field('sp_so_contact_email')){
    define('sp_contact_email', get_field('sp_so_contact_email'));
}else{
    define('sp_contact_email', 'support@speed.agency');
}

if(get_field('sp_so_contact_phone')){
    define('sp_contact_phone', get_field('sp_so_contact_phone'));
}else{
    define('sp_contact_phone', '01832 280032');
}



    








if( function_exists('register_field_group') ):

register_field_group(array (
	'key' => 'group_553778d60b8e8',
	'title' => 'Site Options',
	'fields' => array (
		array (
			'key' => 'field_553fae3b73167',
			'label' => 'General',
			'name' => '',
			'prefix' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
		),
		array (
			'key' => 'field_553778f0c829e',
			'label' => 'Tagline',
			'name' => 'sp_so_tagline',
			'prefix' => '',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_55377901c829f',
			'label' => 'Address',
			'name' => 'sp_so_address',
			'prefix' => '',
			'type' => 'google_map',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'center_lat' => '',
			'center_lng' => '',
			'zoom' => '',
			'height' => '',
		),
		array (
			'key' => 'field_55377919c82a0',
			'label' => 'Contact Email',
			'name' => 'sp_so_contact_email',
			'prefix' => '',
			'type' => 'email',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
		),
		array (
			'key' => 'field_55377921c82a1',
			'label' => 'Contact Phone',
			'name' => 'sp_so_contact_phone',
			'prefix' => '',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_553fae867316a',
			'label' => 'Google Analytics Tracking Code',
			'name' => 'sp_so_ga_code',
			'prefix' => '',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_553fae4b73168',
			'label' => 'Responsive Menu',
			'name' => '',
			'prefix' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
		),
		array (
			'key' => 'field_554242c0fb71f',
			'label' => 'Display Responsive Menu',
			'name' => 'display_responsive_menu',
			'prefix' => '',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_553faf027316d',
			'label' => 'Show Menu(s)',
			'name' => 'sp_so_show_menu',
			'prefix' => '',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'fixed-menu' => 'Fixed Menu',
				'header-left' => 'Header Left',
				'header-right' => 'Header Right',
			),
			'default_value' => array (
				'' => '',
			),
			'allow_null' => 0,
			'multiple' => 1,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
		),
		array (
			'key' => 'field_553faebf7316b',
			'label' => 'Position',
			'name' => 'sp_so_menu_position',
			'prefix' => '',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'left' => 'Left',
				'right' => 'Right',
			),
			'other_choice' => 0,
			'save_other_choice' => 0,
			'default_value' => '',
			'layout' => 'vertical',
		),
		array (
			'key' => 'field_553faee77316c',
			'label' => 'Menu Text',
			'name' => 'sp_so_menu_text',
			'prefix' => '',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Menu',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_5540887bf05f1',
			'label' => 'Logo',
			'name' => 'sp_so_menu_logo',
			'prefix' => '',
			'type' => 'image',
			'instructions' => 'This will appear on the Slide out itself. If you do not wish to display a menu, leave this blank.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array (
			'key' => 'field_554088b3f05f2',
			'label' => 'Logo Position',
			'name' => 'sp_so_menu_logo_position',
			'prefix' => '',
			'type' => 'radio',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'top' => 'Top',
				'bottom' => 'Bottom',
			),
			'other_choice' => 0,
			'save_other_choice' => 0,
			'default_value' => 'top',
			'layout' => 'horizontal',
		),
		array (
			'key' => 'field_55408900f05f3',
			'label' => 'Show Social Media',
			'name' => 'sp_so_menu_social_media',
			'prefix' => '',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Show your Social Media icons with your logo?',
			'default_value' => 1,
		),
		array (
			'key' => 'field_553fae6673169',
			'label' => 'Social Media',
			'name' => '',
			'prefix' => '',
			'type' => 'tab',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placement' => 'top',
		),
		array (
			'key' => 'field_55377933c82a2',
			'label' => 'Social Media',
			'name' => 'sp_so_social_media',
			'prefix' => '',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => '',
			'max' => '',
			'layout' => 'row',
			'button_label' => 'Add Account',
			'sub_fields' => array (
				array (
					'key' => 'field_55377968c82a3',
					'label' => 'Account Type',
					'name' => 'account_type',
					'prefix' => '',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'choices' => array (
						'facebook' => 'Facebook',
						'instagram' => 'Instagram',
						'twitter' => 'Twitter',
						'vimeo-square' => 'Vimeo',
						'youtube-play' => 'YouTube',
						'linkedin' => 'LinkedIn',
					),
					'default_value' => array (
						'' => '',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'placeholder' => '',
					'disabled' => 0,
					'readonly' => 0,
				),
				array (
					'key' => 'field_553779aac82a4',
					'label' => 'Profile Link',
					'name' => 'link',
					'prefix' => '',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
			),
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'sp-options',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
));

endif;