/* DUPLICATOR MYSQL SCRIPT CREATED ON : 2015-06-08 10:03:23 */

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `w_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` mediumblob NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

CREATE TABLE `w_edd_customers` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `email` varchar(50) NOT NULL,
  `name` mediumtext NOT NULL,
  `purchase_value` mediumtext NOT NULL,
  `purchase_count` bigint(20) NOT NULL,
  `payment_ids` longtext NOT NULL,
  `notes` longtext NOT NULL,
  `date_created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  KEY `user` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `w_gde_profiles` (
  `profile_id` mediumint(9) unsigned NOT NULL AUTO_INCREMENT,
  `profile_name` varchar(64) NOT NULL,
  `profile_desc` varchar(255) DEFAULT NULL,
  `profile_data` longtext NOT NULL,
  UNIQUE KEY `profile_id` (`profile_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

CREATE TABLE `w_gde_secure` (
  `code` varchar(10) NOT NULL,
  `url` varchar(255) NOT NULL,
  `murl` varchar(100) NOT NULL,
  `stamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `autoexpire` enum('Y','N') NOT NULL DEFAULT 'N',
  UNIQUE KEY `code` (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `w_jigoshop_attribute_taxonomies` (
  `attribute_id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `attribute_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `attribute_label` longtext COLLATE utf8mb4_unicode_ci,
  `attribute_type` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`attribute_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB AUTO_INCREMENT=2269 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=1014 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=183 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `w_woocommerce_order_items` (
  `order_item_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `order_item_name` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `order_item_type` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `order_id` bigint(20) NOT NULL,
  PRIMARY KEY (`order_item_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


/* INSERT TABLE DATA: w_comments */
INSERT INTO `w_comments` VALUES("1", "1", "Mr WordPress", "", "https://wordpress.org/", "", "2015-04-30 21:02:39", "2015-04-30 20:02:39", "Hi, this is a comment.\nTo delete a comment, just log in and view the post&#039;s comments. There you will have the option to edit or delete them.", "0", "1", "", "", "0", "0");

/* INSERT TABLE DATA: w_duplicator_packages */
INSERT INTO `w_duplicator_packages` VALUES("1", "20150608_worldwidetrainingpartnership", "55756699517652353150608095537", "20", "2015-06-08 10:03:23", "Loki Support", "O:11:\"DUP_Package\":16:{s:2:\"ID\";i:1;s:4:\"Name\";s:37:\"20150608_worldwidetrainingpartnership\";s:4:\"Hash\";s:29:\"55756699517652353150608095537\";s:8:\"NameHash\";s:67:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537\";s:7:\"Version\";s:6:\"0.5.16\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:84:\"/var/www/judge.lewiscollard.com/htdocs/worldwidetrainingpartnership/wp-snapshots/tmp\";s:8:\"StoreURL\";s:72:\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-snapshots/\";s:8:\"ScanFile\";s:77:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":17:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";s:79:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:67:\"/var/www/judge.lewiscollard.com/htdocs/worldwidetrainingpartnership\";s:4:\"Size\";i:0;s:12:\"WarnFileSize\";a:0:{}s:12:\"WarnFileName\";a:0:{}s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:5:\"Links\";a:0:{}s:8:\"OmitDirs\";a:0:{}s:9:\"OmitFiles\";a:0:{}s:10:\"\0*\0Package\";O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:37:\"20150608_worldwidetrainingpartnership\";s:4:\"Hash\";s:29:\"55756699517652353150608095537\";s:8:\"NameHash\";s:67:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537\";s:7:\"Version\";s:6:\"0.5.16\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:84:\"/var/www/judge.lewiscollard.com/htdocs/worldwidetrainingpartnership/wp-snapshots/tmp\";s:8:\"StoreURL\";s:72:\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-snapshots/\";s:8:\"ScanFile\";N;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";r:15;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";s:81:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537_installer.php\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:30;}s:8:\"Database\";O:12:\"DUP_Database\":11:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:80:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}}s:28:\"\0DUP_Archive\0filterDirsArray\";a:0:{}s:28:\"\0DUP_Archive\0filterExtsArray\";a:0:{}}s:9:\"Installer\";r:45;s:8:\"Database\";r:57;}");

/* INSERT TABLE DATA: w_gde_profiles */
INSERT INTO `w_gde_profiles` VALUES("1", "default", "This is the default profile, used when no profile is specified.", "a:22:{s:6:\"viewer\";s:8:\"standard\";s:13:\"default_width\";s:4:\"100%\";s:14:\"default_height\";s:5:\"500px\";s:9:\"tb_mobile\";s:7:\"default\";s:8:\"tb_flags\";s:0:\"\";s:10:\"tb_fullscr\";s:7:\"default\";s:10:\"tb_fullwin\";s:3:\"new\";s:11:\"tb_fulluser\";s:2:\"no\";s:8:\"tb_print\";s:2:\"no\";s:10:\"vw_bgcolor\";s:7:\"#EBEBEB\";s:10:\"vw_pbcolor\";s:7:\"#DADADA\";s:6:\"vw_css\";s:0:\"\";s:8:\"vw_flags\";s:0:\"\";s:8:\"language\";s:5:\"en_GB\";s:8:\"base_url\";s:78:\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/\";s:9:\"link_show\";s:3:\"all\";s:9:\"link_mask\";s:2:\"no\";s:10:\"link_block\";s:2:\"no\";s:9:\"link_text\";s:23:\"Download (%TYPE, %SIZE)\";s:8:\"link_pos\";s:5:\"below\";s:10:\"link_force\";s:2:\"no\";s:5:\"cache\";s:2:\"on\";}");
INSERT INTO `w_gde_profiles` VALUES("2", "max-doc-security", "Hide document location and text selection, prevent downloads", "a:22:{s:6:\"viewer\";s:8:\"enhanced\";s:13:\"default_width\";s:4:\"100%\";s:14:\"default_height\";s:5:\"500px\";s:9:\"tb_mobile\";s:7:\"default\";s:8:\"tb_flags\";s:0:\"\";s:10:\"tb_fullscr\";s:6:\"viewer\";s:10:\"tb_fullwin\";s:3:\"new\";s:11:\"tb_fulluser\";s:2:\"no\";s:8:\"tb_print\";s:2:\"no\";s:10:\"vw_bgcolor\";s:7:\"#EBEBEB\";s:10:\"vw_pbcolor\";s:7:\"#DADADA\";s:6:\"vw_css\";s:0:\"\";s:8:\"vw_flags\";s:0:\"\";s:8:\"language\";s:5:\"en_GB\";s:8:\"base_url\";s:78:\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/\";s:9:\"link_show\";s:4:\"none\";s:9:\"link_mask\";s:2:\"no\";s:10:\"link_block\";s:3:\"yes\";s:9:\"link_text\";s:0:\"\";s:8:\"link_pos\";s:5:\"below\";s:10:\"link_force\";s:2:\"no\";s:5:\"cache\";s:2:\"on\";}");
INSERT INTO `w_gde_profiles` VALUES("3", "dark", "Dark-colored theme, example of custom CSS option", "a:22:{s:6:\"viewer\";s:8:\"enhanced\";s:13:\"default_width\";s:4:\"100%\";s:14:\"default_height\";s:5:\"500px\";s:9:\"tb_mobile\";s:7:\"default\";s:8:\"tb_flags\";s:0:\"\";s:10:\"tb_fullscr\";s:6:\"viewer\";s:10:\"tb_fullwin\";s:3:\"new\";s:11:\"tb_fulluser\";s:2:\"no\";s:8:\"tb_print\";s:2:\"no\";s:10:\"vw_bgcolor\";s:0:\"\";s:10:\"vw_pbcolor\";s:0:\"\";s:6:\"vw_css\";s:119:\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/plugins/google-document-embedder/css/gde-dark.css\";s:8:\"vw_flags\";s:0:\"\";s:8:\"language\";s:5:\"en_GB\";s:8:\"base_url\";s:78:\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/\";s:9:\"link_show\";s:3:\"all\";s:9:\"link_mask\";s:2:\"no\";s:10:\"link_block\";s:2:\"no\";s:9:\"link_text\";s:23:\"Download (%TYPE, %SIZE)\";s:8:\"link_pos\";s:5:\"below\";s:10:\"link_force\";s:2:\"no\";s:5:\"cache\";s:2:\"on\";}");

/* INSERT TABLE DATA: w_options */
INSERT INTO `w_options` VALUES("1", "siteurl", "http://judge.lewiscollard.com/worldwidetrainingpartnership", "yes");
INSERT INTO `w_options` VALUES("2", "home", "http://judge.lewiscollard.com/worldwidetrainingpartnership", "yes");
INSERT INTO `w_options` VALUES("3", "blogname", "Worldwide Training Partnership", "yes");
INSERT INTO `w_options` VALUES("4", "blogdescription", "Just another WordPress site", "yes");
INSERT INTO `w_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `w_options` VALUES("6", "admin_email", "lokipowers13@gmail.com", "yes");
INSERT INTO `w_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `w_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `w_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `w_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `w_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `w_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `w_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `w_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `w_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `w_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `w_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `w_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `w_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `w_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `w_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `w_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `w_options` VALUES("23", "date_format", "jS F Y", "yes");
INSERT INTO `w_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `w_options` VALUES("25", "links_updated_date_format", "jS F Y g:i a", "yes");
INSERT INTO `w_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `w_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `w_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `w_options` VALUES("29", "gzipcompression", "0", "yes");
INSERT INTO `w_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `w_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `w_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `w_options` VALUES("33", "active_plugins", "a:10:{i:0;s:34:\"advanced-custom-fields-pro/acf.php\";i:1;s:36:\"contact-form-7/wp-contact-form-7.php\";i:2;s:30:\"db-prefix-change/db_prefix.php\";i:3;s:25:\"duplicator/duplicator.php\";i:4;s:49:\"easy-digital-downloads/easy-digital-downloads.php\";i:5;s:36:\"google-document-embedder/gviewer.php\";i:6;s:19:\"if-menu/if-menu.php\";i:7;s:19:\"jetpack/jetpack.php\";i:8;s:23:\"speed-options/index.php\";i:9;s:27:\"wp-super-cache/wp-cache.php\";}", "yes");
INSERT INTO `w_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `w_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `w_options` VALUES("36", "advanced_edit", "0", "yes");
INSERT INTO `w_options` VALUES("37", "comment_max_links", "2", "yes");
INSERT INTO `w_options` VALUES("38", "gmt_offset", "0", "yes");
INSERT INTO `w_options` VALUES("39", "default_email_category", "1", "yes");
INSERT INTO `w_options` VALUES("40", "recently_edited", "", "no");
INSERT INTO `w_options` VALUES("41", "template", "wwtp", "yes");
INSERT INTO `w_options` VALUES("42", "stylesheet", "wwtp", "yes");
INSERT INTO `w_options` VALUES("43", "comment_whitelist", "1", "yes");
INSERT INTO `w_options` VALUES("44", "blacklist_keys", "", "no");
INSERT INTO `w_options` VALUES("45", "comment_registration", "0", "yes");
INSERT INTO `w_options` VALUES("46", "html_type", "text/html", "yes");
INSERT INTO `w_options` VALUES("47", "use_trackback", "0", "yes");
INSERT INTO `w_options` VALUES("48", "default_role", "subscriber", "yes");
INSERT INTO `w_options` VALUES("49", "db_version", "31535", "yes");
INSERT INTO `w_options` VALUES("50", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `w_options` VALUES("51", "upload_path", "", "yes");
INSERT INTO `w_options` VALUES("52", "blog_public", "0", "yes");
INSERT INTO `w_options` VALUES("53", "default_link_category", "2", "yes");
INSERT INTO `w_options` VALUES("54", "show_on_front", "page", "yes");
INSERT INTO `w_options` VALUES("55", "tag_base", "", "yes");
INSERT INTO `w_options` VALUES("56", "show_avatars", "1", "yes");
INSERT INTO `w_options` VALUES("57", "avatar_rating", "G", "yes");
INSERT INTO `w_options` VALUES("58", "upload_url_path", "", "yes");
INSERT INTO `w_options` VALUES("59", "thumbnail_size_w", "150", "yes");
INSERT INTO `w_options` VALUES("60", "thumbnail_size_h", "150", "yes");
INSERT INTO `w_options` VALUES("61", "thumbnail_crop", "1", "yes");
INSERT INTO `w_options` VALUES("62", "medium_size_w", "300", "yes");
INSERT INTO `w_options` VALUES("63", "medium_size_h", "300", "yes");
INSERT INTO `w_options` VALUES("64", "avatar_default", "mystery", "yes");
INSERT INTO `w_options` VALUES("65", "large_size_w", "1024", "yes");
INSERT INTO `w_options` VALUES("66", "large_size_h", "1024", "yes");
INSERT INTO `w_options` VALUES("67", "image_default_link_type", "file", "yes");
INSERT INTO `w_options` VALUES("68", "image_default_size", "", "yes");
INSERT INTO `w_options` VALUES("69", "image_default_align", "", "yes");
INSERT INTO `w_options` VALUES("70", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `w_options` VALUES("71", "close_comments_days_old", "14", "yes");
INSERT INTO `w_options` VALUES("72", "thread_comments", "1", "yes");
INSERT INTO `w_options` VALUES("73", "thread_comments_depth", "5", "yes");
INSERT INTO `w_options` VALUES("74", "page_comments", "0", "yes");
INSERT INTO `w_options` VALUES("75", "comments_per_page", "50", "yes");
INSERT INTO `w_options` VALUES("76", "default_comments_page", "newest", "yes");
INSERT INTO `w_options` VALUES("77", "comment_order", "asc", "yes");
INSERT INTO `w_options` VALUES("78", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("79", "widget_categories", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("80", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("81", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("82", "uninstall_plugins", "a:1:{s:27:\"wp-super-cache/wp-cache.php\";s:23:\"wpsupercache_deactivate\";}", "no");
INSERT INTO `w_options` VALUES("83", "timezone_string", "Europe/London", "yes");
INSERT INTO `w_options` VALUES("84", "page_for_posts", "0", "yes");
INSERT INTO `w_options` VALUES("85", "page_on_front", "2", "yes");
INSERT INTO `w_options` VALUES("86", "default_post_format", "0", "yes");
INSERT INTO `w_options` VALUES("87", "link_manager_enabled", "0", "yes");
INSERT INTO `w_options` VALUES("88", "initial_db_version", "31533", "yes");
INSERT INTO `w_options` VALUES("89", "w_user_roles", "a:10:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:174:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:9:\"add_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:18:\"manage_woocommerce\";b:1;s:24:\"view_woocommerce_reports\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:15:\"edit_shop_order\";b:1;s:15:\"read_shop_order\";b:1;s:17:\"delete_shop_order\";b:1;s:16:\"edit_shop_orders\";b:1;s:23:\"edit_others_shop_orders\";b:1;s:19:\"publish_shop_orders\";b:1;s:24:\"read_private_shop_orders\";b:1;s:18:\"delete_shop_orders\";b:1;s:26:\"delete_private_shop_orders\";b:1;s:28:\"delete_published_shop_orders\";b:1;s:25:\"delete_others_shop_orders\";b:1;s:24:\"edit_private_shop_orders\";b:1;s:26:\"edit_published_shop_orders\";b:1;s:23:\"manage_shop_order_terms\";b:1;s:21:\"edit_shop_order_terms\";b:1;s:23:\"delete_shop_order_terms\";b:1;s:23:\"assign_shop_order_terms\";b:1;s:16:\"edit_shop_coupon\";b:1;s:16:\"read_shop_coupon\";b:1;s:18:\"delete_shop_coupon\";b:1;s:17:\"edit_shop_coupons\";b:1;s:24:\"edit_others_shop_coupons\";b:1;s:20:\"publish_shop_coupons\";b:1;s:25:\"read_private_shop_coupons\";b:1;s:19:\"delete_shop_coupons\";b:1;s:27:\"delete_private_shop_coupons\";b:1;s:29:\"delete_published_shop_coupons\";b:1;s:26:\"delete_others_shop_coupons\";b:1;s:25:\"edit_private_shop_coupons\";b:1;s:27:\"edit_published_shop_coupons\";b:1;s:24:\"manage_shop_coupon_terms\";b:1;s:22:\"edit_shop_coupon_terms\";b:1;s:24:\"delete_shop_coupon_terms\";b:1;s:24:\"assign_shop_coupon_terms\";b:1;s:17:\"edit_shop_webhook\";b:1;s:17:\"read_shop_webhook\";b:1;s:19:\"delete_shop_webhook\";b:1;s:18:\"edit_shop_webhooks\";b:1;s:25:\"edit_others_shop_webhooks\";b:1;s:21:\"publish_shop_webhooks\";b:1;s:26:\"read_private_shop_webhooks\";b:1;s:20:\"delete_shop_webhooks\";b:1;s:28:\"delete_private_shop_webhooks\";b:1;s:30:\"delete_published_shop_webhooks\";b:1;s:27:\"delete_others_shop_webhooks\";b:1;s:26:\"edit_private_shop_webhooks\";b:1;s:28:\"edit_published_shop_webhooks\";b:1;s:25:\"manage_shop_webhook_terms\";b:1;s:23:\"edit_shop_webhook_terms\";b:1;s:25:\"delete_shop_webhook_terms\";b:1;s:25:\"assign_shop_webhook_terms\";b:1;s:17:\"view_shop_reports\";b:1;s:24:\"view_shop_sensitive_data\";b:1;s:19:\"export_shop_reports\";b:1;s:21:\"manage_shop_discounts\";b:1;s:20:\"manage_shop_settings\";b:1;s:18:\"view_product_stats\";b:1;s:17:\"edit_shop_payment\";b:1;s:17:\"read_shop_payment\";b:1;s:19:\"delete_shop_payment\";b:1;s:18:\"edit_shop_payments\";b:1;s:25:\"edit_others_shop_payments\";b:1;s:21:\"publish_shop_payments\";b:1;s:26:\"read_private_shop_payments\";b:1;s:20:\"delete_shop_payments\";b:1;s:28:\"delete_private_shop_payments\";b:1;s:30:\"delete_published_shop_payments\";b:1;s:27:\"delete_others_shop_payments\";b:1;s:26:\"edit_private_shop_payments\";b:1;s:28:\"edit_published_shop_payments\";b:1;s:25:\"manage_shop_payment_terms\";b:1;s:23:\"edit_shop_payment_terms\";b:1;s:25:\"delete_shop_payment_terms\";b:1;s:25:\"assign_shop_payment_terms\";b:1;s:23:\"view_shop_payment_stats\";b:1;s:18:\"edit_shop_discount\";b:1;s:18:\"read_shop_discount\";b:1;s:20:\"delete_shop_discount\";b:1;s:19:\"edit_shop_discounts\";b:1;s:26:\"edit_others_shop_discounts\";b:1;s:22:\"publish_shop_discounts\";b:1;s:27:\"read_private_shop_discounts\";b:1;s:21:\"delete_shop_discounts\";b:1;s:29:\"delete_private_shop_discounts\";b:1;s:31:\"delete_published_shop_discounts\";b:1;s:28:\"delete_others_shop_discounts\";b:1;s:27:\"edit_private_shop_discounts\";b:1;s:29:\"edit_published_shop_discounts\";b:1;s:26:\"manage_shop_discount_terms\";b:1;s:24:\"edit_shop_discount_terms\";b:1;s:26:\"delete_shop_discount_terms\";b:1;s:26:\"assign_shop_discount_terms\";b:1;s:24:\"view_shop_discount_stats\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}s:8:\"customer\";a:2:{s:4:\"name\";s:8:\"Customer\";s:12:\"capabilities\";a:3:{s:4:\"read\";b:1;s:10:\"edit_posts\";b:0;s:12:\"delete_posts\";b:0;}}s:12:\"shop_manager\";a:2:{s:4:\"name\";s:12:\"Shop Manager\";s:12:\"capabilities\";a:152:{s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:4:\"read\";b:1;s:18:\"read_private_pages\";b:1;s:18:\"read_private_posts\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_posts\";b:1;s:10:\"edit_pages\";b:1;s:20:\"edit_published_posts\";b:1;s:20:\"edit_published_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"edit_private_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:17:\"edit_others_pages\";b:1;s:13:\"publish_posts\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_posts\";b:1;s:12:\"delete_pages\";b:1;s:20:\"delete_private_pages\";b:1;s:20:\"delete_private_posts\";b:1;s:22:\"delete_published_pages\";b:1;s:22:\"delete_published_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:19:\"delete_others_pages\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:17:\"moderate_comments\";b:1;s:15:\"unfiltered_html\";b:1;s:12:\"upload_files\";b:1;s:6:\"export\";b:1;s:6:\"import\";b:1;s:10:\"list_users\";b:1;s:18:\"manage_woocommerce\";b:1;s:24:\"view_woocommerce_reports\";b:1;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:15:\"edit_shop_order\";b:1;s:15:\"read_shop_order\";b:1;s:17:\"delete_shop_order\";b:1;s:16:\"edit_shop_orders\";b:1;s:23:\"edit_others_shop_orders\";b:1;s:19:\"publish_shop_orders\";b:1;s:24:\"read_private_shop_orders\";b:1;s:18:\"delete_shop_orders\";b:1;s:26:\"delete_private_shop_orders\";b:1;s:28:\"delete_published_shop_orders\";b:1;s:25:\"delete_others_shop_orders\";b:1;s:24:\"edit_private_shop_orders\";b:1;s:26:\"edit_published_shop_orders\";b:1;s:23:\"manage_shop_order_terms\";b:1;s:21:\"edit_shop_order_terms\";b:1;s:23:\"delete_shop_order_terms\";b:1;s:23:\"assign_shop_order_terms\";b:1;s:16:\"edit_shop_coupon\";b:1;s:16:\"read_shop_coupon\";b:1;s:18:\"delete_shop_coupon\";b:1;s:17:\"edit_shop_coupons\";b:1;s:24:\"edit_others_shop_coupons\";b:1;s:20:\"publish_shop_coupons\";b:1;s:25:\"read_private_shop_coupons\";b:1;s:19:\"delete_shop_coupons\";b:1;s:27:\"delete_private_shop_coupons\";b:1;s:29:\"delete_published_shop_coupons\";b:1;s:26:\"delete_others_shop_coupons\";b:1;s:25:\"edit_private_shop_coupons\";b:1;s:27:\"edit_published_shop_coupons\";b:1;s:24:\"manage_shop_coupon_terms\";b:1;s:22:\"edit_shop_coupon_terms\";b:1;s:24:\"delete_shop_coupon_terms\";b:1;s:24:\"assign_shop_coupon_terms\";b:1;s:17:\"edit_shop_webhook\";b:1;s:17:\"read_shop_webhook\";b:1;s:19:\"delete_shop_webhook\";b:1;s:18:\"edit_shop_webhooks\";b:1;s:25:\"edit_others_shop_webhooks\";b:1;s:21:\"publish_shop_webhooks\";b:1;s:26:\"read_private_shop_webhooks\";b:1;s:20:\"delete_shop_webhooks\";b:1;s:28:\"delete_private_shop_webhooks\";b:1;s:30:\"delete_published_shop_webhooks\";b:1;s:27:\"delete_others_shop_webhooks\";b:1;s:26:\"edit_private_shop_webhooks\";b:1;s:28:\"edit_published_shop_webhooks\";b:1;s:25:\"manage_shop_webhook_terms\";b:1;s:23:\"edit_shop_webhook_terms\";b:1;s:25:\"delete_shop_webhook_terms\";b:1;s:25:\"assign_shop_webhook_terms\";b:1;s:17:\"view_shop_reports\";b:1;s:24:\"view_shop_sensitive_data\";b:1;s:19:\"export_shop_reports\";b:1;s:20:\"manage_shop_settings\";b:1;s:21:\"manage_shop_discounts\";b:1;s:18:\"view_product_stats\";b:1;s:17:\"edit_shop_payment\";b:1;s:17:\"read_shop_payment\";b:1;s:19:\"delete_shop_payment\";b:1;s:18:\"edit_shop_payments\";b:1;s:25:\"edit_others_shop_payments\";b:1;s:21:\"publish_shop_payments\";b:1;s:26:\"read_private_shop_payments\";b:1;s:20:\"delete_shop_payments\";b:1;s:28:\"delete_private_shop_payments\";b:1;s:30:\"delete_published_shop_payments\";b:1;s:27:\"delete_others_shop_payments\";b:1;s:26:\"edit_private_shop_payments\";b:1;s:28:\"edit_published_shop_payments\";b:1;s:25:\"manage_shop_payment_terms\";b:1;s:23:\"edit_shop_payment_terms\";b:1;s:25:\"delete_shop_payment_terms\";b:1;s:25:\"assign_shop_payment_terms\";b:1;s:23:\"view_shop_payment_stats\";b:1;s:18:\"edit_shop_discount\";b:1;s:18:\"read_shop_discount\";b:1;s:20:\"delete_shop_discount\";b:1;s:19:\"edit_shop_discounts\";b:1;s:26:\"edit_others_shop_discounts\";b:1;s:22:\"publish_shop_discounts\";b:1;s:27:\"read_private_shop_discounts\";b:1;s:21:\"delete_shop_discounts\";b:1;s:29:\"delete_private_shop_discounts\";b:1;s:31:\"delete_published_shop_discounts\";b:1;s:28:\"delete_others_shop_discounts\";b:1;s:27:\"edit_private_shop_discounts\";b:1;s:29:\"edit_published_shop_discounts\";b:1;s:26:\"manage_shop_discount_terms\";b:1;s:24:\"edit_shop_discount_terms\";b:1;s:26:\"delete_shop_discount_terms\";b:1;s:26:\"assign_shop_discount_terms\";b:1;s:24:\"view_shop_discount_stats\";b:1;}}s:15:\"shop_accountant\";a:2:{s:4:\"name\";s:15:\"Shop Accountant\";s:12:\"capabilities\";a:8:{s:4:\"read\";b:1;s:10:\"edit_posts\";b:0;s:12:\"delete_posts\";b:0;s:13:\"edit_products\";b:1;s:21:\"read_private_products\";b:1;s:17:\"view_shop_reports\";b:1;s:19:\"export_shop_reports\";b:1;s:18:\"edit_shop_payments\";b:1;}}s:11:\"shop_worker\";a:2:{s:4:\"name\";s:11:\"Shop Worker\";s:12:\"capabilities\";a:58:{s:4:\"read\";b:1;s:10:\"edit_posts\";b:0;s:12:\"upload_files\";b:1;s:12:\"delete_posts\";b:0;s:12:\"edit_product\";b:1;s:12:\"read_product\";b:1;s:14:\"delete_product\";b:1;s:13:\"edit_products\";b:1;s:20:\"edit_others_products\";b:1;s:16:\"publish_products\";b:1;s:21:\"read_private_products\";b:1;s:15:\"delete_products\";b:1;s:23:\"delete_private_products\";b:1;s:25:\"delete_published_products\";b:1;s:22:\"delete_others_products\";b:1;s:21:\"edit_private_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"manage_product_terms\";b:1;s:18:\"edit_product_terms\";b:1;s:20:\"delete_product_terms\";b:1;s:20:\"assign_product_terms\";b:1;s:18:\"view_product_stats\";b:1;s:17:\"edit_shop_payment\";b:1;s:17:\"read_shop_payment\";b:1;s:19:\"delete_shop_payment\";b:1;s:18:\"edit_shop_payments\";b:1;s:25:\"edit_others_shop_payments\";b:1;s:21:\"publish_shop_payments\";b:1;s:26:\"read_private_shop_payments\";b:1;s:20:\"delete_shop_payments\";b:1;s:28:\"delete_private_shop_payments\";b:1;s:30:\"delete_published_shop_payments\";b:1;s:27:\"delete_others_shop_payments\";b:1;s:26:\"edit_private_shop_payments\";b:1;s:28:\"edit_published_shop_payments\";b:1;s:25:\"manage_shop_payment_terms\";b:1;s:23:\"edit_shop_payment_terms\";b:1;s:25:\"delete_shop_payment_terms\";b:1;s:25:\"assign_shop_payment_terms\";b:1;s:23:\"view_shop_payment_stats\";b:1;s:18:\"edit_shop_discount\";b:1;s:18:\"read_shop_discount\";b:1;s:20:\"delete_shop_discount\";b:1;s:19:\"edit_shop_discounts\";b:1;s:26:\"edit_others_shop_discounts\";b:1;s:22:\"publish_shop_discounts\";b:1;s:27:\"read_private_shop_discounts\";b:1;s:21:\"delete_shop_discounts\";b:1;s:29:\"delete_private_shop_discounts\";b:1;s:31:\"delete_published_shop_discounts\";b:1;s:28:\"delete_others_shop_discounts\";b:1;s:27:\"edit_private_shop_discounts\";b:1;s:29:\"edit_published_shop_discounts\";b:1;s:26:\"manage_shop_discount_terms\";b:1;s:24:\"edit_shop_discount_terms\";b:1;s:26:\"delete_shop_discount_terms\";b:1;s:26:\"assign_shop_discount_terms\";b:1;s:24:\"view_shop_discount_stats\";b:1;}}s:11:\"shop_vendor\";a:2:{s:4:\"name\";s:11:\"Shop Vendor\";s:12:\"capabilities\";a:11:{s:4:\"read\";b:1;s:10:\"edit_posts\";b:0;s:12:\"upload_files\";b:1;s:12:\"delete_posts\";b:0;s:12:\"edit_product\";b:1;s:13:\"edit_products\";b:1;s:14:\"delete_product\";b:1;s:15:\"delete_products\";b:1;s:16:\"publish_products\";b:1;s:23:\"edit_published_products\";b:1;s:20:\"assign_product_terms\";b:1;}}}", "yes");
INSERT INTO `w_options` VALUES("90", "WPLANG", "en_GB", "yes");
INSERT INTO `w_options` VALUES("91", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("92", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("93", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("94", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("95", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("96", "sidebars_widgets", "a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:15:\"sidebar-widgets\";a:1:{i:0;s:18:\"facebook-likebox-2\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `w_options` VALUES("98", "cron", "a:14:{i:1432891813;a:1:{s:20:\"jetpack_clean_nonces\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1432922820;a:1:{s:20:\"wp_maybe_auto_update\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1432929760;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1432929782;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1432931415;a:1:{s:20:\"jetpack_v2_heartbeat\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1432931419;a:1:{s:24:\"jp_purge_transients_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1432931629;a:2:{s:30:\"woocommerce_tracker_send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:28:\"woocommerce_cleanup_sessions\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1432933749;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1432938437;a:1:{s:26:\"edd_daily_scheduled_events\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1432947600;a:1:{s:27:\"woocommerce_scheduled_sales\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1433111237;a:1:{s:27:\"edd_weekly_scheduled_events\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1433116800;a:1:{s:11:\"wp_cache_gc\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1433764521;a:1:{s:26:\"upgrader_scheduled_cleanup\";a:1:{s:32:\"29b467ab8bad099e0726b2b99b1bc6f5\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:182;}}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `w_options` VALUES("107", "_site_transient_update_themes", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1433757321;s:7:\"checked\";a:1:{s:4:\"wwtp\";s:1:\"1\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `w_options` VALUES("108", "_transient_random_seed", "5f4800a13318283caf5d413a773af400", "yes");
INSERT INTO `w_options` VALUES("109", "_site_transient_timeout_browser_c3aa04b4e4927d82f43ead6e0870f60f", "1431028982", "yes");
INSERT INTO `w_options` VALUES("110", "_site_transient_browser_c3aa04b4e4927d82f43ead6e0870f60f", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:12:\"43.0.2357.37\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `w_options` VALUES("120", "recently_activated", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("131", "jetpack_options", "a:9:{s:7:\"version\";s:16:\"3.5.3:1431109053\";s:11:\"old_version\";s:14:\"3.5:1430424193\";s:28:\"fallback_no_verify_ssl_certs\";i:0;s:9:\"time_diff\";i:-2;s:2:\"id\";i:90503920;s:6:\"public\";i:1;s:9:\"jumpstart\";s:20:\"jetpack_action_taken\";s:11:\"master_user\";i:1;s:14:\"last_heartbeat\";i:1432791992;}", "yes");
INSERT INTO `w_options` VALUES("132", "jetpack_activated", "1", "yes");
INSERT INTO `w_options` VALUES("133", "jetpack_file_data", "a:1:{s:5:\"3.5.3\";a:48:{s:32:\"3adfbb8e3757fffd2911f2eaed37a38c\";a:13:{s:4:\"name\";s:20:\"Spelling and Grammar\";s:11:\"description\";s:89:\"Check your spelling, style, and grammar with the After the Deadline proofreading service.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"6\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:0:\"\";}s:32:\"53406284fccfb051d007d1ceea7c9870\";a:13:{s:4:\"name\";s:8:\"Carousel\";s:11:\"description\";s:63:\"Transform standard image galleries into full-screen slideshows.\";s:14:\"jumpstart_desc\";s:79:\"brings your photos and images to life as full-size, easily navigable galleries.\";s:4:\"sort\";s:2:\"22\";s:20:\"recommendation_order\";s:2:\"12\";s:10:\"introduced\";s:3:\"1.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:9:\"Jumpstart\";}s:32:\"6e025e339a97cd6a412e2c8ca9b0bd18\";a:13:{s:4:\"name\";s:16:\"Jetpack Comments\";s:11:\"description\";s:79:\"Let readers comment with WordPress.com, Twitter, Facebook, or Google+ accounts.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"20\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:0:\"\";}s:32:\"05d0a763fa75928229f0503d244ddb76\";a:13:{s:4:\"name\";s:12:\"Contact Form\";s:11:\"description\";s:44:\"Insert a contact form anywhere on your site.\";s:14:\"jumpstart_desc\";s:111:\"adds a button to your post and page editors, allowing you to build simple forms to help visitors stay in touch.\";s:4:\"sort\";s:2:\"15\";s:20:\"recommendation_order\";s:2:\"14\";s:10:\"introduced\";s:3:\"1.3\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:9:\"Jumpstart\";}s:32:\"505e88ec6469e5e7cd6cd7fa5434ef42\";a:13:{s:4:\"name\";s:20:\"Custom Content Types\";s:11:\"description\";s:92:\"Organize and display different types of content on your site, separate from posts and pages.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"34\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:0:\"\";}s:32:\"b936695c2b34578a567e0988a1eae589\";a:13:{s:4:\"name\";s:10:\"Custom CSS\";s:11:\"description\";s:57:\"Customize your site’s CSS without modifying your theme.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"2\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.7\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:0:\"\";}s:32:\"cbeee5d8d7d6d470b8c785efcdfb6b70\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"e0136e3ea021de1c8f631f66d86fcd72\";a:13:{s:4:\"name\";s:21:\"Enhanced Distribution\";s:11:\"description\";s:74:\"Share your public posts and comments to search engines and other services.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"5\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:0:\"\";}s:32:\"86fbe6aee2c9ee2326d013ada932001f\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"f909080db64207fd177740a5c3eb782b\";a:13:{s:4:\"name\";s:19:\"Gravatar Hovercards\";s:11:\"description\";s:58:\"Enable pop-up business cards over commenters’ Gravatars.\";s:14:\"jumpstart_desc\";s:131:\"let commenters link their profiles to their Gravatar accounts, making it easy for your visitors to learn more about your community.\";s:4:\"sort\";s:2:\"11\";s:20:\"recommendation_order\";s:2:\"13\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:9:\"Jumpstart\";}s:32:\"0205e24434a56ec340bc018cc2281075\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:8:\"2.0.3 ??\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"d50110e581ec5255c53723edf89d6589\";a:13:{s:4:\"name\";s:15:\"Infinite Scroll\";s:11:\"description\";s:46:\"Add support for infinite scroll to your theme.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"26\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:0:\"\";}s:32:\"329d2bd020b23b31289016c7c56fa57a\";a:13:{s:4:\"name\";s:8:\"JSON API\";s:11:\"description\";s:69:\"Allow applications to securely access your content through the cloud.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"19\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:6:\"Public\";s:11:\"module_tags\";s:19:\"Writing, Developers\";s:7:\"feature\";s:0:\"\";}s:32:\"8d26ac935289ad14b03c51d2ad3fccf8\";a:13:{s:4:\"name\";s:14:\"Beautiful Math\";s:11:\"description\";s:85:\"Use LaTeX markup language in posts and pages for complex equations and other geekery.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"12\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:0:\"\";}s:32:\"9de8e639b299429684e1804c3e1e5246\";a:13:{s:4:\"name\";s:5:\"Likes\";s:11:\"description\";s:70:\"Give visitors an easy way to show their appreciation for your content.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"23\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:0:\"\";}s:32:\"5174c82f9f56fa5f83e61742d9b6a922\";a:13:{s:4:\"name\";s:6:\"Manage\";s:11:\"description\";s:76:\"Manage all your sites from a centralized place, https://wordpress.com/sites.\";s:14:\"jumpstart_desc\";s:151:\"helps you remotely manage plugins, turn on automated updates, and more from <a href=\"https://wordpress.com/plugins/\" target=\"_blank\">wordpress.com</a>.\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"3\";s:10:\"introduced\";s:3:\"3.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:35:\"Centralized Management, Recommended\";s:7:\"feature\";s:22:\"Recommended, Jumpstart\";}s:32:\"f37d36d6d584ad4b4291c9e150395f03\";a:13:{s:4:\"name\";s:8:\"Markdown\";s:11:\"description\";s:51:\"Write posts or pages in plain-text Markdown syntax.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"31\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:0:\"\";}s:32:\"f6ff992fde7f35b9caf8aac8c698f686\";a:13:{s:4:\"name\";s:12:\"Mobile Theme\";s:11:\"description\";s:64:\"Optimize your site with a mobile-friendly theme for smartphones.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"21\";s:20:\"recommendation_order\";s:2:\"11\";s:10:\"introduced\";s:3:\"1.8\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:31:\"Appearance, Mobile, Recommended\";s:7:\"feature\";s:11:\"Recommended\";}s:32:\"b5b352db569c4c4d8f4559dc33608647\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"7a722e50c025eee9dcbe8a023b5c134b\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"a1d6969010339c986fbb6995e050fdad\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"2c9c3d8c4e8725495ab9eee1f200225e\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"e1b29178dce278bd00ca0a95af26b35d\";a:13:{s:4:\"name\";s:7:\"Monitor\";s:11:\"description\";s:88:\"Receive notifications from Jetpack if your site goes offline — and when it it returns.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"28\";s:20:\"recommendation_order\";s:2:\"10\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:11:\"Recommended\";}s:32:\"ef78dfa8cdd99a2c454aad462a56f623\";a:13:{s:4:\"name\";s:13:\"Notifications\";s:11:\"description\";s:84:\"Receive notification of site activity via the admin toolbar and your Mobile devices.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"13\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:0:\"\";}s:32:\"8a213ac27469dfd8aa34df9bdbe46bb7\";a:13:{s:4:\"name\";s:10:\"Omnisearch\";s:11:\"description\";s:66:\"Search your entire database from a single field in your Dashboard.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"16\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.3\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Developers\";s:7:\"feature\";s:0:\"\";}s:32:\"9dceabc8c0f211514340968156ec0caa\";a:13:{s:4:\"name\";s:6:\"Photon\";s:11:\"description\";s:66:\"Accelerate your site by loading images from the WordPress.com CDN.\";s:14:\"jumpstart_desc\";s:141:\"mirrors and serves your images from our free and fast image CDN, improving your site’s performance with no additional load on your servers.\";s:4:\"sort\";s:2:\"25\";s:20:\"recommendation_order\";s:1:\"1\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:42:\"Photos and Videos, Appearance, Recommended\";s:7:\"feature\";s:22:\"Recommended, Jumpstart\";}s:32:\"32fbad6e8baeed6baf951c4cdad29f22\";a:13:{s:4:\"name\";s:13:\"Post by Email\";s:11:\"description\";s:58:\"Publish posts by email, using any device and email client.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"14\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:7:\"Writing\";s:7:\"feature\";s:0:\"\";}s:32:\"60ab1e6f0e6484475407ecf7e7889be1\";a:13:{s:4:\"name\";s:7:\"Protect\";s:11:\"description\";s:70:\"Adds brute force protection to your login page. Formerly BruteProtect.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"4\";s:10:\"introduced\";s:3:\"3.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:11:\"Recommended\";}s:32:\"7380c58e277bc7e1d77c721359b00f65\";a:13:{s:4:\"name\";s:9:\"Publicize\";s:11:\"description\";s:55:\"Share new posts on social media networks automatically.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"10\";s:20:\"recommendation_order\";s:1:\"7\";s:10:\"introduced\";s:3:\"2.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:19:\"Social, Recommended\";s:7:\"feature\";s:11:\"Recommended\";}s:32:\"dd6ab3befa77759f767a56d460c330e8\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"8ba57668bafa4f838c804f510f03c97f\";a:13:{s:4:\"name\";s:13:\"Related Posts\";s:11:\"description\";s:60:\"Display links to your related content under posts and pages.\";s:14:\"jumpstart_desc\";s:113:\"keep visitors engaged on your blog by highlighting relevant and new content at the bottom of each published post.\";s:4:\"sort\";s:2:\"29\";s:20:\"recommendation_order\";s:1:\"9\";s:10:\"introduced\";s:3:\"2.9\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:11:\"Recommended\";s:7:\"feature\";s:22:\"Recommended, Jumpstart\";}s:32:\"7fe0a80c2dce39748288f699d65ce5e6\";a:13:{s:4:\"name\";s:7:\"Sharing\";s:11:\"description\";s:81:\"Allow visitors to share your content on Facebook, Twitter, and more with a click.\";s:14:\"jumpstart_desc\";s:116:\"Twitter, Facebook and Google+ buttons at the bottom of each post, making it easy for visitors to share your content.\";s:4:\"sort\";s:1:\"7\";s:20:\"recommendation_order\";s:1:\"6\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:19:\"Social, Recommended\";s:7:\"feature\";s:22:\"Recommended, Jumpstart\";}s:32:\"cbe4584e426f9f1dbd5897165261204e\";a:13:{s:4:\"name\";s:16:\"Shortcode Embeds\";s:11:\"description\";s:77:\"Embed content from YouTube, Vimeo, SlideShare, and more, no coding necessary.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"3\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:3:\"1.2\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:46:\"Photos and Videos, Social, Writing, Appearance\";s:7:\"feature\";s:0:\"\";}s:32:\"3ca65f5ef03a3edfb7cbce552d66137e\";a:13:{s:4:\"name\";s:16:\"WP.me Shortlinks\";s:11:\"description\";s:56:\"Enable WP.me-powered shortlinks for all posts and pages.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"8\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:0:\"\";}s:32:\"31680c9f0d13704eb14384b52dfda424\";a:13:{s:4:\"name\";s:9:\"Site Icon\";s:11:\"description\";s:29:\"Add a site icon to your site.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"22\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:5:\"Other\";s:7:\"feature\";s:0:\"\";}s:32:\"1883c8006c70c7aede41cc3c87687c73\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"111bbd7674a2b6780a510db0eca87f1d\";a:13:{s:4:\"name\";s:22:\"Jetpack Single Sign On\";s:11:\"description\";s:62:\"Allow your users to log in using their WordPress.com accounts.\";s:14:\"jumpstart_desc\";s:97:\"lets you login to all your Jetpack-enabled sites with one click using your WordPress.com account.\";s:4:\"sort\";s:2:\"30\";s:20:\"recommendation_order\";s:1:\"5\";s:10:\"introduced\";s:3:\"2.6\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:10:\"Developers\";s:7:\"feature\";s:9:\"Jumpstart\";}s:32:\"bc7dacf6639f0fe9eb3b6a080aac4c38\";a:13:{s:4:\"name\";s:19:\"WordPress.com Stats\";s:11:\"description\";s:85:\"Monitor your stats with clear, concise reports and no additional load on your server.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"1\";s:20:\"recommendation_order\";s:1:\"2\";s:10:\"introduced\";s:3:\"1.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:32:\"WordPress.com Stats, Recommended\";s:7:\"feature\";s:11:\"Recommended\";}s:32:\"94aea6b8cae57c1e7d8e85316ff30c4d\";a:13:{s:4:\"name\";s:13:\"Subscriptions\";s:11:\"description\";s:88:\"Allow users to subscribe to your posts and comments and receive notifications via email.\";s:14:\"jumpstart_desc\";s:126:\"give visitors two easy subscription options — while commenting, or via a separate email subscription widget you can display.\";s:4:\"sort\";s:1:\"9\";s:20:\"recommendation_order\";s:1:\"8\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:6:\"Social\";s:7:\"feature\";s:9:\"Jumpstart\";}s:32:\"5d71d07ed6b85e91341142cabd2cf02d\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"ba5a06401f734d20c3843c15abec92fb\";a:13:{s:4:\"name\";s:15:\"Tiled Galleries\";s:11:\"description\";s:73:\"Display your image galleries in a variety of sleek, graphic arrangements.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"24\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.1\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:2:\"No\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:0:\"\";}s:32:\"30dd2b2a95a2c3463464adffab4b0a80\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"738232d591bbc3a7b09a29879e96f83e\";a:13:{s:4:\"name\";s:10:\"VaultPress\";s:11:\"description\";s:85:\"Protect your site with automatic backups and security scans. (Subscription required.)\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"32\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:5:\"0:1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:5:\"false\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"6ee39d5173924267334eda26cc73c085\";a:13:{s:4:\"name\";s:17:\"Site Verification\";s:11:\"description\";s:78:\"Verify your site or domain with Google Webmaster Tools, Pinterest, and others.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"33\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"3.0\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}s:32:\"bd551c29e86f5ceca8fe38d738bf02ea\";a:13:{s:4:\"name\";s:10:\"VideoPress\";s:11:\"description\";s:68:\"Upload and embed videos right on your site. (Subscription required.)\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"27\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.5\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:5:\"false\";s:19:\"requires_connection\";s:3:\"Yes\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:17:\"Photos and Videos\";s:7:\"feature\";s:0:\"\";}s:32:\"cca94c820c0089f095d30ee7951c118f\";a:13:{s:4:\"name\";s:17:\"Widget Visibility\";s:11:\"description\";s:57:\"Specify which widgets appear on which pages of your site.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:2:\"17\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"2.4\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:10:\"Appearance\";s:7:\"feature\";s:0:\"\";}s:32:\"abbda4f00536b83307f2e1f98a3ad0b4\";a:13:{s:4:\"name\";s:21:\"Extra Sidebar Widgets\";s:11:\"description\";s:79:\"Add images, Twitter streams, your site’s RSS links, and more to your sidebar.\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:1:\"4\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:3:\"1.2\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:2:\"No\";s:13:\"auto_activate\";s:3:\"Yes\";s:11:\"module_tags\";s:18:\"Social, Appearance\";s:7:\"feature\";s:0:\"\";}s:32:\"439d06bdb2bf49d87d5f7af77029ca3e\";a:13:{s:4:\"name\";s:0:\"\";s:11:\"description\";s:0:\"\";s:14:\"jumpstart_desc\";s:0:\"\";s:4:\"sort\";s:0:\"\";s:20:\"recommendation_order\";s:0:\"\";s:10:\"introduced\";s:0:\"\";s:7:\"changed\";s:0:\"\";s:10:\"deactivate\";s:0:\"\";s:4:\"free\";s:0:\"\";s:19:\"requires_connection\";s:0:\"\";s:13:\"auto_activate\";s:0:\"\";s:11:\"module_tags\";s:0:\"\";s:7:\"feature\";s:0:\"\";}}}", "yes");
INSERT INTO `w_options` VALUES("134", "jetpack_available_modules", "a:1:{s:5:\"3.5.3\";a:36:{s:18:\"after-the-deadline\";s:3:\"1.1\";s:8:\"carousel\";s:3:\"1.5\";s:8:\"comments\";s:3:\"1.4\";s:12:\"contact-form\";s:3:\"1.3\";s:20:\"custom-content-types\";s:3:\"3.1\";s:10:\"custom-css\";s:3:\"1.7\";s:21:\"enhanced-distribution\";s:3:\"1.2\";s:19:\"gravatar-hovercards\";s:3:\"1.1\";s:15:\"infinite-scroll\";s:3:\"2.0\";s:8:\"json-api\";s:3:\"1.9\";s:5:\"latex\";s:3:\"1.1\";s:5:\"likes\";s:3:\"2.2\";s:6:\"manage\";s:3:\"3.4\";s:8:\"markdown\";s:3:\"2.8\";s:9:\"minileven\";s:3:\"1.8\";s:7:\"monitor\";s:3:\"2.6\";s:5:\"notes\";s:3:\"1.9\";s:10:\"omnisearch\";s:3:\"2.3\";s:6:\"photon\";s:3:\"2.0\";s:13:\"post-by-email\";s:3:\"2.0\";s:7:\"protect\";s:3:\"3.4\";s:9:\"publicize\";s:3:\"2.0\";s:13:\"related-posts\";s:3:\"2.9\";s:10:\"sharedaddy\";s:3:\"1.1\";s:10:\"shortcodes\";s:3:\"1.1\";s:10:\"shortlinks\";s:3:\"1.1\";s:9:\"site-icon\";s:3:\"3.2\";s:3:\"sso\";s:3:\"2.6\";s:5:\"stats\";s:3:\"1.1\";s:13:\"subscriptions\";s:3:\"1.2\";s:13:\"tiled-gallery\";s:3:\"2.1\";s:10:\"vaultpress\";s:5:\"0:1.2\";s:18:\"verification-tools\";s:3:\"3.0\";s:10:\"videopress\";s:3:\"2.5\";s:17:\"widget-visibility\";s:3:\"2.4\";s:7:\"widgets\";s:3:\"1.2\";}}", "yes");
INSERT INTO `w_options` VALUES("135", "jigoshop_options", "a:220:{i:0;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:4:\"Shop\";}i:1;a:3:{s:4:\"name\";s:12:\"Shop Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:2;a:5:{s:4:\"name\";s:19:\"Base Country/Region\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:84:\"This is the base country for your business. Tax rates will be based on this country.\";s:2:\"id\";s:24:\"jigoshop_default_country\";s:4:\"type\";s:21:\"single_select_country\";}i:3;a:7:{s:4:\"name\";s:35:\"Default Country/Region for customer\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:55:\"This is the country for your clients with new accounts.\";s:2:\"id\";s:37:\"jigoshop_default_country_for_customer\";s:3:\"std\";N;s:4:\"type\";s:21:\"single_select_country\";s:7:\"options\";a:1:{s:9:\"add_empty\";b:1;}}i:4;a:6:{s:4:\"name\";s:8:\"Currency\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:140:\"This controls what currency the prices are listed with in the Catalog, and which currency PayPal, and other gateways, will take payments in.\";s:2:\"id\";s:17:\"jigoshop_currency\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:116:{s:3:\"AFN\";s:29:\"Afghanistan Afghani (&#1547;)\";s:3:\"ALL\";s:17:\"Albania Lek (Lek)\";s:3:\"ARS\";s:18:\"Argentina Peso ($)\";s:3:\"AWG\";s:22:\"Aruba Guilder (&fnof;)\";s:3:\"AUD\";s:20:\"Australia Dollar ($)\";s:3:\"AZN\";s:44:\"Azerbaijan New Manat (&#1084;&#1072;&#1085;)\";s:3:\"BSD\";s:18:\"Bahamas Dollar ($)\";s:3:\"BBD\";s:19:\"Barbados Dollar ($)\";s:3:\"BYR\";s:18:\"Belarus Ruble (p.)\";s:3:\"BZD\";s:19:\"Belize Dollar (BZ$)\";s:3:\"BMD\";s:18:\"Bermuda Dollar ($)\";s:3:\"BOB\";s:22:\"Bolivia Boliviano ($b)\";s:3:\"BAM\";s:45:\"Bosnia and Herzegovina Convertible Marka (KM)\";s:3:\"BWP\";s:17:\"Botswana Pula (P)\";s:3:\"BRL\";s:24:\"Brazil Real (&#82;&#36;)\";s:3:\"BND\";s:28:\"Brunei Darussalam Dollar ($)\";s:3:\"BGN\";s:29:\"Bulgaria Lev (&#1083;&#1074;)\";s:3:\"KHR\";s:23:\"Cambodia Riel (&#6107;)\";s:3:\"CAD\";s:17:\"Canada Dollar ($)\";s:3:\"KYD\";s:25:\"Cayman Islands Dollar ($)\";s:3:\"CLP\";s:14:\"Chile Peso ($)\";s:3:\"CNY\";s:27:\"China Yuan Renminbi (&yen;)\";s:3:\"COP\";s:17:\"Colombia Peso ($)\";s:3:\"CRC\";s:26:\"Costa Rica Colon (&#8353;)\";s:3:\"HRK\";s:17:\"Croatia Kuna (kn)\";s:3:\"CUP\";s:19:\"Cuba Peso (&#8369;)\";s:3:\"CZK\";s:31:\"Czech Republic Koruna (K&#269;)\";s:3:\"DKK\";s:18:\"Denmark Krone (kr)\";s:3:\"DOP\";s:29:\"Dominican Republic Peso (RD$)\";s:3:\"XCD\";s:25:\"East Caribbean Dollar ($)\";s:3:\"EGP\";s:21:\"Egypt Pound (&pound;)\";s:3:\"SVC\";s:21:\"El Salvador Colon ($)\";s:3:\"EEK\";s:18:\"Estonia Kroon (kr)\";s:3:\"EUR\";s:30:\"Euro Member Countries (&euro;)\";s:3:\"FKP\";s:26:\"Falkland Islands (&pound;)\";s:3:\"FJD\";s:15:\"Fiji Dollar ($)\";s:3:\"GEL\";s:19:\"Georgian Lari (ლ)\";s:3:\"GHC\";s:20:\"Ghana Cedis (&cent;)\";s:3:\"GIP\";s:24:\"Gibraltar Pound (&cent;)\";s:3:\"GTQ\";s:21:\"Guatemala Quetzal (Q)\";s:3:\"GGP\";s:24:\"Guernsey Pound (&pound;)\";s:3:\"GYD\";s:17:\"Guyana Dollar ($)\";s:3:\"HNL\";s:20:\"Honduras Lempira (L)\";s:3:\"HKD\";s:20:\"Hong Kong Dollar ($)\";s:3:\"HUF\";s:28:\"Hungary Forint (&#70;&#116;)\";s:3:\"ISK\";s:18:\"Iceland Krona (kr)\";s:3:\"INR\";s:21:\"India Rupee (&#8360;)\";s:3:\"IDR\";s:30:\"Indonesia Rupiah (&#82;&#112;)\";s:3:\"IRR\";s:20:\"Iran Rial (&#65020;)\";s:3:\"IMP\";s:27:\"Isle of Man Pound (&pound;)\";s:3:\"ILS\";s:23:\"Israel Shekel (&#8362;)\";s:3:\"JMD\";s:19:\"Jamaica Dollar (J$)\";s:3:\"JPY\";s:17:\"Japan Yen (&yen;)\";s:3:\"JEP\";s:22:\"Jersey Pound (&pound;)\";s:3:\"KZT\";s:33:\"Kazakhstan Tenge (&#1083;&#1074;)\";s:3:\"KGS\";s:31:\"Kyrgyzstan Som (&#1083;&#1074;)\";s:3:\"LAK\";s:18:\"Laos Kip (&#8365;)\";s:3:\"LVL\";s:15:\"Latvia Lat (Ls)\";s:3:\"LBP\";s:23:\"Lebanon Pound (&pound;)\";s:3:\"LRD\";s:18:\"Liberia Dollar ($)\";s:3:\"LTL\";s:20:\"Lithuania Litas (Lt)\";s:3:\"MKD\";s:39:\"Macedonia Denar (&#1076;&#1077;&#1085;)\";s:3:\"MYR\";s:21:\"Malaysia Ringgit (RM)\";s:3:\"MUR\";s:25:\"Mauritius Rupee (&#8360;)\";s:3:\"MXN\";s:19:\"Mexico Peso (&#36;)\";s:3:\"MNT\";s:26:\"Mongolia Tughrik (&#8366;)\";s:3:\"MAD\";s:34:\"Moroccan Dirham (&#1583;.&#1605;.)\";s:3:\"MZN\";s:23:\"Mozambique Metical (MT)\";s:3:\"NAD\";s:18:\"Namibia Dollar ($)\";s:3:\"NPR\";s:21:\"Nepal Rupee (&#8360;)\";s:3:\"ANG\";s:37:\"Netherlands Antilles Guilder (&fnof;)\";s:3:\"NZD\";s:22:\"New Zealand Dollar ($)\";s:3:\"NIO\";s:22:\"Nicaragua Cordoba (C$)\";s:3:\"NGN\";s:23:\"Nigeria Naira (&#8358;)\";s:3:\"KPW\";s:25:\"North Korea Won (&#8361;)\";s:3:\"NOK\";s:17:\"Norway Krone (kr)\";s:3:\"OMR\";s:20:\"Oman Rial (&#65020;)\";s:3:\"PKR\";s:24:\"Pakistan Rupee (&#8360;)\";s:3:\"PAB\";s:19:\"Panama Balboa (B/.)\";s:3:\"PYG\";s:21:\"Paraguay Guarani (Gs)\";s:3:\"PEN\";s:20:\"Peru Nuevo Sol (S/.)\";s:3:\"PHP\";s:26:\"Philippines Peso (&#8369;)\";s:3:\"PLN\";s:27:\"Polish Zloty (&#122;&#322;)\";s:3:\"QAR\";s:22:\"Qatar Riyal (&#65020;)\";s:3:\"RON\";s:36:\"Romania New Leu (&#108;&#101;&#105;)\";s:3:\"RUB\";s:36:\"Russia Ruble (&#1088;&#1091;&#1073;)\";s:3:\"SHP\";s:28:\"Saint Helena Pound (&pound;)\";s:3:\"SAR\";s:29:\"Saudi Arabia Riyal (&#65020;)\";s:3:\"RSD\";s:21:\"Serbia Dinar (РСД)\";s:3:\"SCR\";s:26:\"Seychelles Rupee (&#8360;)\";s:3:\"SGD\";s:20:\"Singapore Dollar ($)\";s:3:\"SBD\";s:26:\"Solomon Islands Dollar ($)\";s:3:\"SOS\";s:20:\"Somalia Shilling (S)\";s:3:\"ZAR\";s:21:\"South Africa Rand (R)\";s:3:\"KRW\";s:25:\"South Korea Won (&#8361;)\";s:3:\"LKR\";s:25:\"Sri Lanka Rupee (&#8360;)\";s:3:\"SRD\";s:19:\"Suriname Dollar ($)\";s:3:\"SEK\";s:17:\"Sweden Krona (kr)\";s:3:\"CHF\";s:23:\"Switzerland Franc (CHF)\";s:3:\"SYP\";s:21:\"Syria Pound (&pound;)\";s:3:\"TWD\";s:23:\"Taiwan New Dollar (NT$)\";s:3:\"THB\";s:23:\"Thailand Baht (&#3647;)\";s:3:\"TTD\";s:32:\"Trinidad and Tobago Dollar (TT$)\";s:3:\"TRL\";s:21:\"Turkey Lira (&#8356;)\";s:3:\"TRY\";s:16:\"Turkey Lira (TL)\";s:3:\"TVD\";s:17:\"Tuvalu Dollar ($)\";s:3:\"UAH\";s:24:\"Ukraine Hryvna (&#8372;)\";s:3:\"AED\";s:49:\"United Arab Emirates dirham (&#1583;&#46;&#1573;)\";s:3:\"GBP\";s:30:\"United Kingdom Pound (&pound;)\";s:3:\"USD\";s:24:\"United States Dollar ($)\";s:3:\"UYU\";s:17:\"Uruguay Peso ($U)\";s:3:\"UZS\";s:31:\"Uzbekistan Som (&#1083;&#1074;)\";s:3:\"VEF\";s:29:\"Venezuela Bolivar Fuerte (Bs)\";s:3:\"VND\";s:23:\"Viet Nam Dong (&#8363;)\";s:3:\"YER\";s:21:\"Yemen Rial (&#65020;)\";s:3:\"ZWD\";s:20:\"Zimbabwe Dollar (Z$)\";}}i:5;a:6:{s:4:\"name\";s:17:\"Allowed Countries\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:52:\"These are countries that you are willing to ship to.\";s:2:\"id\";s:26:\"jigoshop_allowed_countries\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{s:3:\"all\";s:13:\"All Countries\";s:8:\"specific\";s:18:\"Specific Countries\";}}i:6;a:5:{s:4:\"name\";s:18:\"Specific Countries\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:35:\"jigoshop_specific_allowed_countries\";s:4:\"type\";s:22:\"multi_select_countries\";}i:7;a:6:{s:4:\"name\";s:10:\"Demo store\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:108:\"Enable this option to show a banner at the top of every page stating this shop is currently in testing mode.\";s:2:\"id\";s:19:\"jigoshop_demo_store\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:8;a:3:{s:4:\"name\";s:9:\"Invoicing\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:9;a:5:{s:4:\"name\";s:12:\"Company Name\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:104:\"Setting your company name will enable us to print it out on your invoice emails. Leave blank to disable.\";s:2:\"id\";s:21:\"jigoshop_company_name\";s:4:\"type\";s:4:\"text\";}i:10;a:5:{s:4:\"name\";s:23:\"Tax Registration Number\";s:4:\"desc\";s:132:\"Add your tax registration label before the registration number and it will be printed as well. eg. <code>VAT Number: 88888888</code>\";s:3:\"tip\";s:102:\"Setting your tax number will enable us to print it out on your invoice emails. Leave blank to disable.\";s:2:\"id\";s:19:\"jigoshop_tax_number\";s:4:\"type\";s:4:\"text\";}i:11;a:5:{s:4:\"name\";s:13:\"Address Line1\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:99:\"Setting your address will enable us to print it out on your invoice emails. Leave blank to disable.\";s:2:\"id\";s:18:\"jigoshop_address_1\";s:4:\"type\";s:8:\"longtext\";}i:12;a:5:{s:4:\"name\";s:13:\"Address Line2\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:190:\"If address line1 is not set, address line2 will not display even if you put a value in it. Setting your address will enable us to print it out on your invoice emails. Leave blank to disable.\";s:2:\"id\";s:18:\"jigoshop_address_2\";s:4:\"type\";s:8:\"longtext\";}i:13;a:5:{s:4:\"name\";s:13:\"Company Phone\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:112:\"Setting your company phone number will enable us to print it out on your invoice emails. Leave blank to disable.\";s:2:\"id\";s:22:\"jigoshop_company_phone\";s:4:\"type\";s:4:\"text\";}i:14;a:5:{s:4:\"name\";s:13:\"Company Email\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:105:\"Setting your company email will enable us to print it out on your invoice emails. Leave blank to disable.\";s:2:\"id\";s:22:\"jigoshop_company_email\";s:4:\"type\";s:5:\"email\";}i:15;a:3:{s:4:\"name\";s:10:\"Permalinks\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:16;a:6:{s:4:\"name\";s:47:\"Prepend shop categories and tags with base page\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:193:\"This will only apply to tags &amp; categories.<br/>Enabled: http://yoursite.com / product_category / YourCategory<br/>Disabled: http://yoursite.com / base_page / product_category / YourCategory\";s:2:\"id\";s:34:\"jigoshop_prepend_shop_page_to_urls\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:17;a:6:{s:4:\"name\";s:46:\"Prepend product permalinks with shop base page\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:37:\"jigoshop_prepend_shop_page_to_product\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:18;a:6:{s:4:\"name\";s:48:\"Prepend product permalinks with product category\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:36:\"jigoshop_prepend_category_to_product\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:19;a:5:{s:4:\"name\";s:21:\"Product category slug\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:86:\"Slug displayed in product category URLs. Leave blank to use default \"product-category\"\";s:2:\"id\";s:30:\"jigoshop_product_category_slug\";s:4:\"type\";s:4:\"text\";}i:20;a:5:{s:4:\"name\";s:16:\"Product tag slug\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:76:\"Slug displayed in product tag URLs. Leave blank to use default \"product-tag\"\";s:2:\"id\";s:25:\"jigoshop_product_tag_slug\";s:4:\"type\";s:4:\"text\";}i:21;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:7:\"General\";}i:22;a:3:{s:4:\"name\";s:15:\"General Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:23;a:6:{s:4:\"name\";s:34:\"Cart shows \"Return to Shop\" button\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:123:\"Enabling this setting will display a \"Return to Shop\" button on the Cart page along with the \"Continue to Checkout\" button.\";s:2:\"id\";s:31:\"jigoshop_cart_shows_shop_button\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:24;a:7:{s:4:\"name\";s:28:\"After adding product to cart\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:93:\"Define what should happen when a user clicks on &#34;Add to Cart&#34; on any product or page.\";s:2:\"id\";s:29:\"jigoshop_redirect_add_to_cart\";s:4:\"type\";s:5:\"radio\";s:5:\"extra\";a:1:{i:0;s:8:\"vertical\";}s:7:\"choices\";a:3:{s:9:\"same_page\";s:21:\"Stay on the same page\";s:11:\"to_checkout\";s:20:\"Redirect to Checkout\";s:7:\"to_cart\";s:16:\"Redirect to Cart\";}}i:25;a:6:{s:4:\"name\";s:23:\"Cart status after login\";s:4:\"desc\";s:76:\"Current cart <b>always</b> will be loaded if customer logs in checkout page.\";s:3:\"tip\";s:128:\"Define what should happen with shopping cart if customer added items to shopping cart as guest and than he logs in to your shop.\";s:2:\"id\";s:25:\"jigoshop_cart_after_login\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:3:{s:10:\"load_saved\";s:15:\"Load saved cart\";s:12:\"load_current\";s:17:\"Load current cart\";s:5:\"merge\";s:29:\"Merge saved and current carts\";}}i:26;a:6:{s:4:\"name\";s:20:\"Reset pending Orders\";s:4:\"desc\";s:61:\"Change all \'Pending\' Orders older than one month to \'On Hold\'\";s:3:\"tip\";s:304:\"For customers that have not completed the Checkout process or haven\'t paid for an Order after a period of time, this will reset the Order to On Hold allowing the Shop owner to take action.  WARNING: For the first use on an existing Shop this setting <em>can</em> generate a <strong>lot</strong> of email!\";s:2:\"id\";s:29:\"jigoshop_reset_pending_orders\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:27;a:6:{s:4:\"name\";s:26:\"Complete processing Orders\";s:4:\"desc\";s:66:\"Change all \'Processing\' Orders older than one month to \'Completed\'\";s:3:\"tip\";s:176:\"For orders that have been completed but the status is still set to \'processing\'.  This will move them to a \'completed\' status without sending an email out to all the customers.\";s:2:\"id\";s:35:\"jigoshop_complete_processing_orders\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:28;a:6:{s:4:\"name\";s:27:\"Enforce login for downloads\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:154:\"If a guest purchases a download, the guest can still download a link without logging in. We recommend disabling guest purchases if you enable this option.\";s:2:\"id\";s:32:\"jigoshop_downloads_require_login\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:29;a:6:{s:4:\"name\";s:29:\"Disable Jigoshop frontend.css\";s:4:\"desc\";s:67:\"(The next option below will have no effect if this one is disabled)\";s:3:\"tip\";s:83:\"Useful if you want to disable Jigoshop styles and theme it yourself via your theme.\";s:2:\"id\";s:20:\"jigoshop_disable_css\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:30;a:6:{s:4:\"name\";s:53:\"Include extra theme styles with Jigoshop frontend.css\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:169:\"With this option <em>on</em>, Jigoshop\'s default frontend.css will still load, and any extra bits found in \'theme/jigoshop/style.css\' for over-rides will also be loaded.\";s:2:\"id\";s:32:\"jigoshop_frontend_with_theme_css\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:31;a:6:{s:4:\"name\";s:24:\"Disable bundled Lightbox\";s:4:\"desc\";s:84:\"Product galleries and images as well as the Add Review form will open in a lightbox.\";s:3:\"tip\";s:129:\"Useful if your theme or other plugin already loads our Lightbox script and css (prettyPhoto), or you want to use a different one.\";s:2:\"id\";s:25:\"jigoshop_disable_fancybox\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:32;a:6:{s:4:\"name\";s:33:\"Use custom product category order\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:82:\"This option allows to make custom product category order, by drag and drop method.\";s:2:\"id\";s:36:\"jigoshop_enable_draggable_categories\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:33;a:3:{s:4:\"name\";s:17:\"Jigoshop messages\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:34;a:4:{s:4:\"name\";s:22:\"Message disappear time\";s:4:\"desc\";s:89:\"How long message is displayed before disappearing (in ms). Set to 0 to keep it displayed.\";s:2:\"id\";s:31:\"jigoshop_message_disappear_time\";s:4:\"type\";s:7:\"natural\";}i:35;a:4:{s:4:\"name\";s:20:\"Error disappear time\";s:4:\"desc\";s:87:\"How long error is displayed before disappearing (in ms). Set to 0 to keep it displayed.\";s:2:\"id\";s:29:\"jigoshop_error_disappear_time\";s:4:\"type\";s:7:\"natural\";}i:36;a:3:{s:4:\"name\";s:13:\"Email Details\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:37;a:5:{s:4:\"name\";s:22:\"Jigoshop email address\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:183:\"The email address used to send all Jigoshop related emails, such as order confirmations and notices.  This may be different than your Company email address on \"Shop Tab -> Invoicing\".\";s:2:\"id\";s:14:\"jigoshop_email\";s:4:\"type\";s:5:\"email\";}i:38;a:5:{s:4:\"name\";s:15:\"Email from name\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:24:\"jigoshop_email_from_name\";s:4:\"type\";s:4:\"text\";}i:39;a:5:{s:4:\"name\";s:12:\"Email footer\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:45:\"The email footer used in all jigoshop emails.\";s:2:\"id\";s:21:\"jigoshop_email_footer\";s:4:\"type\";s:8:\"textarea\";}i:40;a:6:{s:4:\"name\";s:15:\"Use HTML emails\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:41:\"This option enables HTML email templates.\";s:2:\"id\";s:27:\"jigoshop_enable_html_emails\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:41;a:6:{s:4:\"name\";s:23:\"Generate default emails\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:32:\"jigoshop_email_generete_defaults\";s:4:\"type\";s:12:\"user_defined\";s:7:\"display\";a:2:{i:0;O:16:\"Jigoshop_Options\":1:{s:32:\"\0Jigoshop_Options\0bad_extensions\";a:0:{}}i:1;s:24:\"generate_defaults_emails\";}}i:42;a:3:{s:4:\"name\";s:13:\"Checkout page\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:43;a:6:{s:4:\"name\";s:25:\"Validate postal/zip codes\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:92:\"Enabling this setting will force proper postcodes to be entered by a customer for a country.\";s:2:\"id\";s:35:\"jigoshop_enable_postcode_validating\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:44;a:6:{s:4:\"name\";s:31:\"Show verify information message\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:284:\"Enabling this setting will display a message at the bottom of the Checkout asking customers to verify all their informatioin is correctly entered before placing their Order.  This is useful in particular for Countries that have states to ensure the correct shipping state is selected.\";s:2:\"id\";s:37:\"jigoshop_verify_checkout_info_message\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:45;a:6:{s:4:\"name\";s:29:\"Show EU VAT reduction message\";s:4:\"desc\";s:45:\"This will only apply to EU Union based Shops.\";s:3:\"tip\";s:209:\"Enabling this setting will display a message at the bottom of the Checkout informing the customer that EU VAT will not be removed until the Order is placed and only if they have provided a valid EU VAT Number.\";s:2:\"id\";s:33:\"jigoshop_eu_vat_reduction_message\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:46;a:6:{s:4:\"name\";s:21:\"Allow guest purchases\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:149:\"Enabling this setting will allow users to checkout without registering or signing up. Otherwise, users must be signed in or must sign up to checkout.\";s:2:\"id\";s:30:\"jigoshop_enable_guest_checkout\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:47;a:5:{s:4:\"name\";s:15:\"Show login form\";s:4:\"desc\";s:0:\"\";s:2:\"id\";s:27:\"jigoshop_enable_guest_login\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:48;a:5:{s:4:\"name\";s:18:\"Allow registration\";s:4:\"desc\";s:0:\"\";s:2:\"id\";s:27:\"jigoshop_enable_signup_form\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:49;a:6:{s:4:\"name\";s:21:\"Force SSL on checkout\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:180:\"This will load your checkout page with https://. An SSL certificate is <strong>required</strong> if you choose yes. Contact your hosting provider for more information on SSL Certs.\";s:2:\"id\";s:27:\"jigoshop_force_ssl_checkout\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:50;a:3:{s:4:\"name\";s:11:\"Integration\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:51;a:5:{s:4:\"name\";s:22:\"ShareThis Publisher ID\";s:4:\"desc\";s:113:\"Enter your <a href=\'http://sharethis.com/account/\'>ShareThis publisher ID</a> to show ShareThis on product pages.\";s:3:\"tip\";s:107:\"ShareThis is a small social sharing widget for posting links on popular sites such as Twitter and Facebook.\";s:2:\"id\";s:18:\"jigoshop_sharethis\";s:4:\"type\";s:4:\"text\";}i:52;a:4:{s:4:\"name\";s:19:\"Google Analytics ID\";s:4:\"desc\";s:86:\"Log into your Google Analytics account to find your ID. e.g. <code>UA-XXXXXXX-X</code>\";s:2:\"id\";s:14:\"jigoshop_ga_id\";s:4:\"type\";s:4:\"text\";}i:53;a:6:{s:4:\"name\";s:25:\"Enable eCommerce Tracking\";s:3:\"tip\";s:67:\"Add Google Analytics eCommerce tracking code upon successful orders\";s:4:\"desc\";s:153:\"<a href=\"//support.google.com/analytics/bin/answer.py?hl=en&answer=1009612\">Learn how to enable</a> eCommerce tracking for your Google Analytics account.\";s:2:\"id\";s:38:\"jigoshop_ga_ecommerce_tracking_enabled\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:54;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:5:\"Pages\";}i:55;a:3:{s:4:\"name\";s:19:\"Page configurations\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:56;a:5:{s:4:\"name\";s:9:\"Cart Page\";s:4:\"desc\";s:56:\"Shortcode to place on page: <code>[jigoshop_cart]</code>\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:21:\"jigoshop_cart_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:57;a:5:{s:4:\"name\";s:13:\"Checkout Page\";s:4:\"desc\";s:60:\"Shortcode to place on page: <code>[jigoshop_checkout]</code>\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:25:\"jigoshop_checkout_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:58;a:5:{s:4:\"name\";s:8:\"Pay Page\";s:4:\"desc\";s:89:\"Shortcode to place on page: <code>[jigoshop_pay]</code><br/>Default parent page: Checkout\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:20:\"jigoshop_pay_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:59;a:5:{s:4:\"name\";s:11:\"Thanks Page\";s:4:\"desc\";s:94:\"Shortcode to place on page: <code>[jigoshop_thankyou]</code><br/>Default parent page: Checkout\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:23:\"jigoshop_thanks_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:60;a:5:{s:4:\"name\";s:15:\"My Account Page\";s:4:\"desc\";s:62:\"Shortcode to place on page: <code>[jigoshop_my_account]</code>\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:26:\"jigoshop_myaccount_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:61;a:5:{s:4:\"name\";s:17:\"Edit Address Page\";s:4:\"desc\";s:100:\"Shortcode to place on page: <code>[jigoshop_edit_address]</code><br/>Default parent page: My Account\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:29:\"jigoshop_edit_address_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:62;a:5:{s:4:\"name\";s:15:\"View Order Page\";s:4:\"desc\";s:98:\"Shortcode to place on page: <code>[jigoshop_view_order]</code><br/>Default parent page: My Account\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:27:\"jigoshop_view_order_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:63;a:5:{s:4:\"name\";s:20:\"Change Password Page\";s:4:\"desc\";s:103:\"Shortcode to place on page: <code>[jigoshop_change_password]</code><br/>Default parent page: My Account\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:32:\"jigoshop_change_password_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:64;a:5:{s:4:\"name\";s:16:\"Track Order Page\";s:4:\"desc\";s:66:\"Shortcode to place on page: <code>[jigoshop_order_tracking]</code>\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:28:\"jigoshop_track_order_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:65;a:6:{s:4:\"name\";s:10:\"Terms Page\";s:4:\"desc\";s:119:\"If you define a &#34;Terms&#34; page the customer will be asked to accept it before allowing them to place their order.\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:22:\"jigoshop_terms_page_id\";s:4:\"type\";s:18:\"single_select_page\";s:5:\"extra\";s:21:\"show_option_none=None\";}i:66;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:21:\"Catalog &amp; Pricing\";}i:67;a:3:{s:4:\"name\";s:15:\"Catalog Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:68;a:5:{s:4:\"name\";s:17:\"Catalog base page\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:175:\"This sets the base page of your shop. You should not change this value once you have launched your site otherwise you risk breaking urls of other sites pointing to yours, etc.\";s:2:\"id\";s:21:\"jigoshop_shop_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:69;a:5:{s:4:\"name\";s:21:\"Shop redirection page\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:99:\"This will point users to the page you set for buttons like `Return to shop` or `Continue Shopping`.\";s:2:\"id\";s:30:\"jigoshop_shop_redirect_page_id\";s:4:\"type\";s:18:\"single_select_page\";}i:70;a:6:{s:4:\"name\";s:28:\"Catalog product buttons show\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:160:\"This will determine the type of button and the action it will use when clicked on the Shop and Category product listings.  You can also set it to use no button.\";s:2:\"id\";s:31:\"jigoshop_catalog_product_button\";s:4:\"type\";s:5:\"radio\";s:7:\"choices\";a:3:{s:3:\"add\";s:11:\"Add to Cart\";s:4:\"view\";s:12:\"View Product\";s:4:\"none\";s:9:\"No Button\";}}i:71;a:6:{s:4:\"name\";s:27:\"Sort products in catalog by\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:86:\"Determines the display sort order of products for the Shop, Categories, and Tag pages.\";s:2:\"id\";s:29:\"jigoshop_catalog_sort_orderby\";s:4:\"type\";s:5:\"radio\";s:7:\"choices\";a:3:{s:9:\"post_date\";s:13:\"Creation Date\";s:5:\"title\";s:13:\"Product Title\";s:10:\"menu_order\";s:18:\"Product Post Order\";}}i:72;a:6:{s:4:\"name\";s:22:\"Catalog sort direction\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:71:\"Determines whether the catalog sort orderby is ascending or descending.\";s:2:\"id\";s:31:\"jigoshop_catalog_sort_direction\";s:4:\"type\";s:5:\"radio\";s:7:\"choices\";a:2:{s:3:\"asc\";s:9:\"Ascending\";s:4:\"desc\";s:10:\"Descending\";}}i:73;a:6:{s:4:\"name\";s:24:\"Catalog products per row\";s:4:\"desc\";s:11:\"Default = 3\";s:3:\"tip\";s:89:\"Determines how many products to show on one display row for Shop, Category and Tag pages.\";s:2:\"id\";s:24:\"jigoshop_catalog_columns\";s:4:\"type\";s:6:\"number\";s:5:\"extra\";a:3:{s:3:\"min\";i:1;s:3:\"max\";i:10;s:4:\"step\";i:1;}}i:74;a:6:{s:4:\"name\";s:25:\"Catalog products per page\";s:4:\"desc\";s:12:\"Default = 12\";s:3:\"tip\";s:121:\"Determines how many products to display on Shop, Category and Tag pages before needing next and previous page navigation.\";s:2:\"id\";s:25:\"jigoshop_catalog_per_page\";s:4:\"type\";s:6:\"number\";s:5:\"extra\";a:3:{s:3:\"min\";i:1;s:3:\"max\";i:100;s:4:\"step\";i:1;}}i:75;a:3:{s:4:\"name\";s:15:\"Pricing Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:76;a:6:{s:4:\"name\";s:20:\"Show prices with tax\";s:4:\"desc\";s:73:\"This controls the display of the product price in cart and checkout page.\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:29:\"jigoshop_show_prices_with_tax\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:77;a:6:{s:4:\"name\";s:16:\"Currency display\";s:4:\"desc\";s:67:\"This controls the display of the currency symbol and currency code.\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:21:\"jigoshop_currency_pos\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:12:{s:4:\"left\";s:5:\"$0.00\";s:10:\"left_space\";s:6:\"$0 .00\";s:5:\"right\";s:5:\"0.00$\";s:11:\"right_space\";s:6:\"0.00 $\";s:9:\"left_code\";s:7:\"GBP0.00\";s:15:\"left_code_space\";s:8:\"GBP 0.00\";s:10:\"right_code\";s:7:\"0.00GBP\";s:16:\"right_code_space\";s:8:\"0.00 GBP\";s:11:\"symbol_code\";s:8:\"$0.00GBP\";s:17:\"symbol_code_space\";s:10:\"$ 0.00 GBP\";s:11:\"code_symbol\";s:8:\"GBP0.00$\";s:17:\"code_symbol_space\";s:10:\"GBP 0.00 $\";}}i:78;a:5:{s:4:\"name\";s:18:\"Thousand separator\";s:4:\"desc\";s:53:\"This sets the thousand separator of displayed prices.\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:27:\"jigoshop_price_thousand_sep\";s:4:\"type\";s:4:\"text\";}i:79;a:5:{s:4:\"name\";s:17:\"Decimal separator\";s:4:\"desc\";s:52:\"This sets the decimal separator of displayed prices.\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:26:\"jigoshop_price_decimal_sep\";s:4:\"type\";s:4:\"text\";}i:80;a:5:{s:4:\"name\";s:18:\"Number of decimals\";s:4:\"desc\";s:65:\"This sets the number of decimal points shown in displayed prices.\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:27:\"jigoshop_price_num_decimals\";s:4:\"type\";s:7:\"natural\";}i:81;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:6:\"Images\";}i:82;a:3:{s:4:\"name\";s:13:\"Image Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:626:\"<p>Changing any of these settings will affect the dimensions of images used in your Shop. After changing these settings you may need to <a href=\"https://wordpress.org/plugins/regenerate-thumbnails/\">regenerate your thumbnails</a>.</p><p>Crop: Leave unchecked to set the image size by resizing the image proportionally (that is, without distorting it). Leave checked to set the image size by hard cropping the image (either from the sides, or from the top and bottom).</p><p><strong>Note:</strong> Your images may not display in the size you choose below. This is because they may still be affected by CSS styles in your theme.\";}i:83;a:3:{s:4:\"name\";s:16:\"Cropping Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:84;a:6:{s:4:\"name\";s:16:\"Crop Tiny images\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:214:\"Use No to set the image size by resizing the image proportionally (that is, without distorting it).<br />Use Yes to set the image size by hard cropping the image (either from the sides, or from the top and bottom).\";s:2:\"id\";s:32:\"jigoshop_use_wordpress_tiny_crop\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:85;a:6:{s:4:\"name\";s:21:\"Crop Thumbnail images\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:214:\"Use No to set the image size by resizing the image proportionally (that is, without distorting it).<br />Use Yes to set the image size by hard cropping the image (either from the sides, or from the top and bottom).\";s:2:\"id\";s:37:\"jigoshop_use_wordpress_thumbnail_crop\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:86;a:6:{s:4:\"name\";s:19:\"Crop Catalog images\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:214:\"Use No to set the image size by resizing the image proportionally (that is, without distorting it).<br />Use Yes to set the image size by hard cropping the image (either from the sides, or from the top and bottom).\";s:2:\"id\";s:35:\"jigoshop_use_wordpress_catalog_crop\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:87;a:6:{s:4:\"name\";s:17:\"Crop Large images\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:214:\"Use No to set the image size by resizing the image proportionally (that is, without distorting it).<br />Use Yes to set the image size by hard cropping the image (either from the sides, or from the top and bottom).\";s:2:\"id\";s:36:\"jigoshop_use_wordpress_featured_crop\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:88;a:3:{s:4:\"name\";s:11:\"Image Sizes\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:89;a:5:{s:4:\"name\";s:16:\"Tiny Image Width\";s:4:\"desc\";s:14:\"Default = 36px\";s:3:\"tip\";s:80:\"Set the width of the small image used in the Cart, Checkout, Orders and Widgets.\";s:2:\"id\";s:20:\"jigoshop_shop_tiny_w\";s:4:\"type\";s:7:\"natural\";}i:90;a:5:{s:4:\"name\";s:17:\"Tiny Image Height\";s:4:\"desc\";s:14:\"Default = 36px\";s:3:\"tip\";s:81:\"Set the height of the small image used in the Cart, Checkout, Orders and Widgets.\";s:2:\"id\";s:20:\"jigoshop_shop_tiny_h\";s:4:\"type\";s:7:\"natural\";}i:91;a:5:{s:4:\"name\";s:21:\"Thumbnail Image Width\";s:4:\"desc\";s:14:\"Default = 90px\";s:3:\"tip\";s:74:\"Set the width of the thumbnail image for Single Product page extra images.\";s:2:\"id\";s:25:\"jigoshop_shop_thumbnail_w\";s:4:\"type\";s:7:\"natural\";}i:92;a:5:{s:4:\"name\";s:22:\"Thumbnail Image Height\";s:4:\"desc\";s:14:\"Default = 90px\";s:3:\"tip\";s:75:\"Set the height of the thumbnail image for Single Product page extra images.\";s:2:\"id\";s:25:\"jigoshop_shop_thumbnail_h\";s:4:\"type\";s:7:\"natural\";}i:93;a:5:{s:4:\"name\";s:19:\"Catalog Image Width\";s:4:\"desc\";s:15:\"Default = 150px\";s:3:\"tip\";s:84:\"Set the width of the catalog image for Shop, Categories, Tags, and Related Products.\";s:2:\"id\";s:21:\"jigoshop_shop_small_w\";s:4:\"type\";s:7:\"natural\";}i:94;a:5:{s:4:\"name\";s:20:\"Catalog Image Height\";s:4:\"desc\";s:15:\"Default = 150px\";s:3:\"tip\";s:85:\"Set the height of the catalog image for Shop, Categories, Tags, and Related Products.\";s:2:\"id\";s:21:\"jigoshop_shop_small_h\";s:4:\"type\";s:7:\"natural\";}i:95;a:5:{s:4:\"name\";s:17:\"Large Image Width\";s:4:\"desc\";s:15:\"Default = 300px\";s:3:\"tip\";s:65:\"Set the width of the Single Product page large or Featured image.\";s:2:\"id\";s:21:\"jigoshop_shop_large_w\";s:4:\"type\";s:7:\"natural\";}i:96;a:5:{s:4:\"name\";s:18:\"Large Image Height\";s:4:\"desc\";s:15:\"Default = 300px\";s:3:\"tip\";s:66:\"Set the height of the Single Product page large or Featured image.\";s:2:\"id\";s:21:\"jigoshop_shop_large_h\";s:4:\"type\";s:7:\"natural\";}i:97;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:20:\"Products & Inventory\";}i:98;a:3:{s:4:\"name\";s:15:\"Product Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:99;a:6:{s:4:\"name\";s:16:\"Enable SKU field\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:69:\"Turning off the SKU field will give products an SKU of their post id.\";s:2:\"id\";s:19:\"jigoshop_enable_sku\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:100;a:6:{s:4:\"name\";s:19:\"Enable weight field\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:22:\"jigoshop_enable_weight\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:101;a:6:{s:4:\"name\";s:11:\"Weight Unit\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:51:\"This controls what unit you will define weights in.\";s:2:\"id\";s:20:\"jigoshop_weight_unit\";s:4:\"type\";s:5:\"radio\";s:7:\"choices\";a:2:{s:2:\"kg\";s:9:\"Kilograms\";s:3:\"lbs\";s:6:\"Pounds\";}}i:102;a:6:{s:4:\"name\";s:25:\"Enable product dimensions\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:26:\"jigoshop_enable_dimensions\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:103;a:6:{s:4:\"name\";s:15:\"Dimensions Unit\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:54:\"This controls what unit you will define dimensions in.\";s:2:\"id\";s:23:\"jigoshop_dimension_unit\";s:4:\"type\";s:5:\"radio\";s:7:\"choices\";a:2:{s:2:\"cm\";s:11:\"centimeters\";s:2:\"in\";s:6:\"inches\";}}i:104;a:6:{s:4:\"name\";s:32:\"Product thumbnail images per row\";s:4:\"desc\";s:11:\"Default = 3\";s:3:\"tip\";s:120:\"Determines how many extra product thumbnail images attached to a product to show on one row for the Single Product page.\";s:2:\"id\";s:34:\"jigoshop_product_thumbnail_columns\";s:4:\"type\";s:6:\"number\";s:5:\"extra\";a:3:{s:3:\"min\";i:1;s:3:\"max\";i:10;s:4:\"step\";i:1;}}i:105;a:6:{s:4:\"name\";s:21:\"Show related products\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:70:\"To show or hide the related products section on a single product page.\";s:2:\"id\";s:32:\"jigoshop_enable_related_products\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:106;a:3:{s:4:\"name\";s:17:\"Inventory Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:107;a:6:{s:4:\"name\";s:12:\"Manage stock\";s:4:\"desc\";s:92:\"If you are not managing stock, turn it off here to disable it in admin and on the front-end.\";s:3:\"tip\";s:69:\"You can manage stock on a per-item basis if you leave this option on.\";s:2:\"id\";s:21:\"jigoshop_manage_stock\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:108;a:6:{s:4:\"name\";s:18:\"Show stock amounts\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:82:\"Set to yes to allow customers to view the amount of stock available for a product.\";s:2:\"id\";s:19:\"jigoshop_show_stock\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:109;a:5:{s:4:\"name\";s:19:\"Notify on low stock\";s:4:\"desc\";s:0:\"\";s:2:\"id\";s:25:\"jigoshop_notify_low_stock\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:110;a:6:{s:4:\"name\";s:19:\"Low stock threshold\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:95:\"You will receive a notification as soon this threshold is hit (if notifications are turned on).\";s:2:\"id\";s:32:\"jigoshop_notify_low_stock_amount\";s:4:\"type\";s:7:\"natural\";s:3:\"std\";s:1:\"2\";}i:111;a:5:{s:4:\"name\";s:22:\"Notify on out of stock\";s:4:\"desc\";s:0:\"\";s:2:\"id\";s:24:\"jigoshop_notify_no_stock\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:112;a:5:{s:4:\"name\";s:22:\"Out of stock threshold\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:95:\"You will receive a notification as soon this threshold is hit (if notifications are turned on).\";s:2:\"id\";s:31:\"jigoshop_notify_no_stock_amount\";s:4:\"type\";s:7:\"natural\";}i:113;a:6:{s:4:\"name\";s:26:\"Hide out of stock products\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:170:\"For Yes: When the Out of Stock Threshold (above) is reached, the product visibility will be set to hidden so that it will not appear on the Catalog or Shop product lists.\";s:2:\"id\";s:30:\"jigoshop_hide_no_stock_product\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:114;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:3:\"Tax\";}i:115;a:3:{s:4:\"name\";s:11:\"Tax Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:116;a:6:{s:4:\"name\";s:15:\"Calculate Taxes\";s:4:\"desc\";s:68:\"Only turn this off if you are exclusively selling non-taxable items.\";s:3:\"tip\";s:75:\"If you are not calculating taxes then you can ignore all other tax options.\";s:2:\"id\";s:19:\"jigoshop_calc_taxes\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:117;a:6:{s:4:\"name\";s:24:\"Apply Taxes After Coupon\";s:4:\"desc\";s:58:\"This will have no effect if Calculate Taxes is turned off.\";s:3:\"tip\";s:83:\"If yes, taxes get applied after coupons. When no, taxes get applied before coupons.\";s:2:\"id\";s:25:\"jigoshop_tax_after_coupon\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:118;a:6:{s:4:\"name\";s:27:\"Catalog Prices include tax?\";s:4:\"desc\";s:61:\"This will only apply to the Shop, Category and Product pages.\";s:3:\"tip\";s:110:\"This will have no effect on the Cart, Checkout, Emails, or final Orders; prices are always shown with tax out.\";s:2:\"id\";s:27:\"jigoshop_prices_include_tax\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:119;a:5:{s:4:\"name\";s:24:\"Country to base taxes on\";s:4:\"desc\";s:82:\"This option defines whether to use billing or shipping address to calculate taxes.\";s:2:\"id\";s:25:\"jigoshop_country_base_tax\";s:4:\"type\";s:6:\"select\";s:7:\"choices\";a:2:{s:15:\"billing_country\";s:7:\"Billing\";s:16:\"shipping_country\";s:8:\"Shipping\";}}i:120;a:5:{s:4:\"name\";s:22:\"Additional Tax classes\";s:4:\"desc\";s:75:\"List 1 per line. This is in addition to the default <em>Standard Rate</em>.\";s:3:\"tip\";s:72:\"List product and shipping tax classes here, e.g. Zero Tax, Reduced Rate.\";s:2:\"id\";s:20:\"jigoshop_tax_classes\";s:4:\"type\";s:8:\"textarea\";}i:121;a:5:{s:4:\"name\";s:9:\"Tax rates\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:65:\"To avoid rounding errors, insert tax rates with 4 decimal places.\";s:2:\"id\";s:18:\"jigoshop_tax_rates\";s:4:\"type\";s:9:\"tax_rates\";}i:122;a:3:{s:4:\"name\";s:32:\"Default options for new products\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:123;a:6:{s:4:\"name\";s:10:\"Tax status\";s:3:\"tip\";s:50:\"Whether new products should be taxable by default.\";s:2:\"id\";s:28:\"jigoshop_tax_defaults_status\";s:4:\"type\";s:6:\"select\";s:3:\"std\";s:7:\"taxable\";s:7:\"choices\";a:3:{s:7:\"taxable\";s:7:\"Taxable\";s:8:\"shipping\";s:8:\"Shipping\";s:4:\"none\";s:4:\"None\";}}i:124;a:6:{s:4:\"name\";s:11:\"Tax classes\";s:3:\"tip\";s:53:\"List of tax classes added by default to new products.\";s:2:\"id\";s:29:\"jigoshop_tax_defaults_classes\";s:4:\"type\";s:12:\"user_defined\";s:7:\"display\";a:2:{i:0;r:407;i:1;s:27:\"display_default_tax_classes\";}s:6:\"update\";a:2:{i:0;r:407;i:1;s:26:\"update_default_tax_classes\";}}i:125;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:8:\"Shipping\";}i:126;a:3:{s:4:\"name\";s:16:\"Shipping Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:127;a:6:{s:4:\"name\";s:15:\"Enable Shipping\";s:4:\"desc\";s:105:\"Only turn this off if you are <strong>not</strong> shipping items, or items have shipping costs included.\";s:3:\"tip\";s:77:\"If turned off, this will also remove shipping address fields on the Checkout.\";s:2:\"id\";s:22:\"jigoshop_calc_shipping\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:128;a:6:{s:4:\"name\";s:34:\"Enable shipping calculator on cart\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:0:\"\";s:2:\"id\";s:29:\"jigoshop_enable_shipping_calc\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:129;a:6:{s:4:\"name\";s:29:\"Only ship to billing address?\";s:4:\"desc\";s:0:\"\";s:3:\"tip\";s:72:\"When activated, Shipping address fields will not appear on the Checkout.\";s:2:\"id\";s:37:\"jigoshop_ship_to_billing_address_only\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:130;a:6:{s:4:\"name\";s:38:\"Checkout always shows Shipping fields?\";s:4:\"desc\";s:72:\"This will have no effect if \"Only ship to billing address\" is activated.\";s:3:\"tip\";s:79:\"When activated, Shipping address fields will appear by default on the Checkout.\";s:2:\"id\";s:38:\"jigoshop_show_checkout_shipping_fields\";s:4:\"type\";s:8:\"checkbox\";s:7:\"choices\";a:2:{s:2:\"no\";s:2:\"No\";s:3:\"yes\";s:3:\"Yes\";}}i:131;a:3:{s:4:\"name\";s:26:\"Available Shipping Methods\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:87:\"Please enable all of the Shipping Methods you wish to make available to your customers.\";}i:132;a:2:{s:4:\"type\";s:3:\"tab\";s:4:\"name\";s:16:\"Payment Gateways\";}i:133;a:3:{s:4:\"name\";s:15:\"Gateway Options\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:0:\"\";}i:134;a:6:{s:4:\"name\";s:15:\"Default Gateway\";s:4:\"desc\";s:47:\"Only enabled gateways will appear in this list.\";s:3:\"tip\";s:92:\"This will determine which gateway appears first in the Payment Methods list on the Checkout.\";s:2:\"id\";s:24:\"jigoshop_default_gateway\";s:4:\"type\";s:15:\"default_gateway\";s:7:\"choices\";a:0:{}}i:135;a:3:{s:4:\"name\";s:18:\"Available gateways\";s:4:\"type\";s:5:\"title\";s:4:\"desc\";s:87:\"Please enable all of the Payment Gateways you wish to make available to your customers.\";}s:24:\"jigoshop_default_country\";s:2:\"GB\";s:17:\"jigoshop_currency\";s:3:\"GBP\";s:26:\"jigoshop_allowed_countries\";s:3:\"all\";s:35:\"jigoshop_specific_allowed_countries\";s:0:\"\";s:19:\"jigoshop_demo_store\";s:2:\"no\";s:21:\"jigoshop_company_name\";s:0:\"\";s:19:\"jigoshop_tax_number\";s:0:\"\";s:18:\"jigoshop_address_1\";s:0:\"\";s:18:\"jigoshop_address_2\";s:0:\"\";s:22:\"jigoshop_company_phone\";s:0:\"\";s:22:\"jigoshop_company_email\";s:0:\"\";s:34:\"jigoshop_prepend_shop_page_to_urls\";s:2:\"no\";s:37:\"jigoshop_prepend_shop_page_to_product\";s:2:\"no\";s:36:\"jigoshop_prepend_category_to_product\";s:2:\"no\";s:30:\"jigoshop_product_category_slug\";s:16:\"product-category\";s:25:\"jigoshop_product_tag_slug\";s:11:\"product-tag\";s:14:\"jigoshop_email\";s:22:\"lokipowers13@gmail.com\";s:31:\"jigoshop_cart_shows_shop_button\";s:3:\"yes\";s:29:\"jigoshop_redirect_add_to_cart\";s:9:\"same_page\";s:29:\"jigoshop_reset_pending_orders\";s:2:\"no\";s:35:\"jigoshop_complete_processing_orders\";s:2:\"no\";s:32:\"jigoshop_downloads_require_login\";s:2:\"no\";s:20:\"jigoshop_disable_css\";s:2:\"no\";s:32:\"jigoshop_frontend_with_theme_css\";s:2:\"no\";s:25:\"jigoshop_disable_fancybox\";s:2:\"no\";s:35:\"jigoshop_enable_postcode_validating\";s:2:\"no\";s:37:\"jigoshop_verify_checkout_info_message\";s:3:\"yes\";s:33:\"jigoshop_eu_vat_reduction_message\";s:3:\"yes\";s:30:\"jigoshop_enable_guest_checkout\";s:3:\"yes\";s:27:\"jigoshop_enable_guest_login\";s:3:\"yes\";s:27:\"jigoshop_enable_signup_form\";s:3:\"yes\";s:27:\"jigoshop_force_ssl_checkout\";s:2:\"no\";s:18:\"jigoshop_sharethis\";s:0:\"\";s:14:\"jigoshop_ga_id\";s:0:\"\";s:38:\"jigoshop_ga_ecommerce_tracking_enabled\";s:2:\"no\";s:31:\"jigoshop_catalog_product_button\";s:3:\"add\";s:29:\"jigoshop_catalog_sort_orderby\";s:9:\"post_date\";s:31:\"jigoshop_catalog_sort_direction\";s:3:\"asc\";s:24:\"jigoshop_catalog_columns\";s:1:\"3\";s:25:\"jigoshop_catalog_per_page\";s:2:\"12\";s:21:\"jigoshop_currency_pos\";s:4:\"left\";s:27:\"jigoshop_price_thousand_sep\";s:1:\",\";s:26:\"jigoshop_price_decimal_sep\";s:1:\".\";s:27:\"jigoshop_price_num_decimals\";s:1:\"2\";s:32:\"jigoshop_use_wordpress_tiny_crop\";s:2:\"no\";s:37:\"jigoshop_use_wordpress_thumbnail_crop\";s:2:\"no\";s:35:\"jigoshop_use_wordpress_catalog_crop\";s:2:\"no\";s:36:\"jigoshop_use_wordpress_featured_crop\";s:2:\"no\";s:20:\"jigoshop_shop_tiny_w\";i:36;s:20:\"jigoshop_shop_tiny_h\";i:36;s:25:\"jigoshop_shop_thumbnail_w\";i:90;s:25:\"jigoshop_shop_thumbnail_h\";i:90;s:21:\"jigoshop_shop_small_w\";i:150;s:21:\"jigoshop_shop_small_h\";i:150;s:21:\"jigoshop_shop_large_w\";i:300;s:21:\"jigoshop_shop_large_h\";i:300;s:19:\"jigoshop_enable_sku\";s:3:\"yes\";s:22:\"jigoshop_enable_weight\";s:3:\"yes\";s:20:\"jigoshop_weight_unit\";s:2:\"kg\";s:26:\"jigoshop_enable_dimensions\";s:3:\"yes\";s:23:\"jigoshop_dimension_unit\";s:2:\"cm\";s:34:\"jigoshop_product_thumbnail_columns\";s:1:\"3\";s:32:\"jigoshop_enable_related_products\";s:3:\"yes\";s:21:\"jigoshop_manage_stock\";s:3:\"yes\";s:19:\"jigoshop_show_stock\";s:3:\"yes\";s:25:\"jigoshop_notify_low_stock\";s:3:\"yes\";s:32:\"jigoshop_notify_low_stock_amount\";s:1:\"2\";s:24:\"jigoshop_notify_no_stock\";s:3:\"yes\";s:31:\"jigoshop_notify_no_stock_amount\";s:1:\"0\";s:30:\"jigoshop_hide_no_stock_product\";s:2:\"no\";s:19:\"jigoshop_calc_taxes\";s:3:\"yes\";s:25:\"jigoshop_tax_after_coupon\";s:3:\"yes\";s:27:\"jigoshop_prices_include_tax\";s:3:\"yes\";s:20:\"jigoshop_tax_classes\";s:22:\"Reduced Rate\nZero Rate\";s:18:\"jigoshop_tax_rates\";s:0:\"\";s:22:\"jigoshop_calc_shipping\";s:3:\"yes\";s:29:\"jigoshop_enable_shipping_calc\";s:3:\"yes\";s:37:\"jigoshop_ship_to_billing_address_only\";s:2:\"no\";s:38:\"jigoshop_show_checkout_shipping_fields\";s:2:\"no\";s:24:\"jigoshop_default_gateway\";s:6:\"cheque\";s:29:\"jigoshop_error_disappear_time\";i:8000;s:31:\"jigoshop_message_disappear_time\";i:4000;s:27:\"jigoshop_enable_html_emails\";s:3:\"yes\";s:15:\"jigoshop_emails\";a:14:{s:40:\"admin_order_status_pending_to_processing\";a:1:{i:0;i:4;}s:39:\"admin_order_status_pending_to_completed\";a:1:{i:0;i:4;}s:37:\"admin_order_status_pending_to_on-hold\";a:1:{i:0;i:4;}s:49:\"admin_order_status_pending_to_waiting-for-payment\";a:1:{i:0;i:4;}s:43:\"customer_order_status_pending_to_processing\";a:1:{i:0;i:5;}s:40:\"customer_order_status_pending_to_on-hold\";a:1:{i:0;i:6;}s:52:\"customer_order_status_pending_to_waiting-for-payment\";a:1:{i:0;i:7;}s:43:\"customer_order_status_on-hold_to_processing\";a:1:{i:0;i:8;}s:31:\"customer_order_status_completed\";a:1:{i:0;i:9;}s:30:\"customer_order_status_refunded\";a:1:{i:0;i:10;}s:21:\"send_customer_invoice\";a:1:{i:0;i:11;}s:22:\"low_stock_notification\";a:1:{i:0;i:12;}s:21:\"no_stock_notification\";a:1:{i:0;i:13;}s:33:\"product_on_backorder_notification\";a:1:{i:0;i:14;}}}", "yes");
INSERT INTO `w_options` VALUES("137", "jetpack_security_report", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("142", "acf_version", "5.2.5", "yes");
INSERT INTO `w_options` VALUES("147", "jetpack_updates", "a:7:{s:7:\"plugins\";i:0;s:6:\"themes\";i:0;s:9:\"wordpress\";i:0;s:12:\"translations\";i:0;s:5:\"total\";i:0;s:10:\"wp_version\";s:5:\"4.2.2\";s:26:\"site_is_version_controlled\";b:0;}", "yes");
INSERT INTO `w_options` VALUES("149", "dbprefix_old_dbprefix", "w_", "yes");
INSERT INTO `w_options` VALUES("150", "dbprefix_new", "_", "yes");
INSERT INTO `w_options` VALUES("153", "ossdl_off_cdn_url", "http://judge.lewiscollard.com/worldwidetrainingpartnership", "yes");
INSERT INTO `w_options` VALUES("154", "ossdl_off_include_dirs", "wp-content,wp-includes", "yes");
INSERT INTO `w_options` VALUES("155", "ossdl_off_exclude", ".php", "yes");
INSERT INTO `w_options` VALUES("156", "ossdl_cname", "", "yes");
INSERT INTO `w_options` VALUES("157", "wpsupercache_start", "1430425772", "yes");
INSERT INTO `w_options` VALUES("158", "wpsupercache_count", "0", "yes");
INSERT INTO `w_options` VALUES("159", "jetpack_log", "a:10:{i:0;a:4:{s:4:\"time\";i:1430425802;s:7:\"user_id\";i:1;s:7:\"blog_id\";b:0;s:4:\"code\";s:8:\"register\";}i:1;a:4:{s:4:\"time\";i:1430425811;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:9:\"authorize\";}i:2;a:5:{s:4:\"time\";i:1430425873;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:10:\"deactivate\";s:4:\"data\";s:19:\"gravatar-hovercards\";}i:3;a:5:{s:4:\"time\";i:1430425873;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:10:\"deactivate\";s:4:\"data\";s:13:\"post-by-email\";}i:4;a:5:{s:4:\"time\";i:1430425873;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:10:\"deactivate\";s:4:\"data\";s:13:\"subscriptions\";}i:5;a:5:{s:4:\"time\";i:1430425873;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:10:\"deactivate\";s:4:\"data\";s:10:\"shortlinks\";}i:6;a:5:{s:4:\"time\";i:1430425873;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:10:\"deactivate\";s:4:\"data\";s:17:\"widget-visibility\";}i:7;a:5:{s:4:\"time\";i:1430430204;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:10:\"deactivate\";s:4:\"data\";s:12:\"contact-form\";}i:8;a:5:{s:4:\"time\";i:1431541945;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:8:\"activate\";s:4:\"data\";s:17:\"widget-visibility\";}i:9;a:5:{s:4:\"time\";i:1433184187;s:7:\"user_id\";i:1;s:7:\"blog_id\";i:90503920;s:4:\"code\";s:10:\"deactivate\";s:4:\"data\";s:7:\"protect\";}}", "no");
INSERT INTO `w_options` VALUES("160", "jetpack_private_options", "a:3:{s:8:\"register\";s:76:\"9kpRmFePVj1QcDyZ6cIZNwGgVgG6mjtN:ML8NcsuXUegHB68i4fcIZYBAc86J2NcT:1430426402\";s:10:\"blog_token\";s:65:\"I0tFL^AQ2aEcX6mQ&B2AleIMw3&9v&JZ.z%lg5E^I^O%6pU&byDm4@UzpF2bh(zXO\";s:11:\"user_tokens\";a:1:{i:1;s:67:\"mgpsZ9G9HOSwkZmqwwxIL&@r2OLzBB6R.boXY@dfFKrZ7(LvT)f6E0sght8o301rS.1\";}}", "yes");
INSERT INTO `w_options` VALUES("163", "wpsupercache_gc_time", "1430428917", "yes");
INSERT INTO `w_options` VALUES("164", "jetpack_active_modules", "a:16:{i:0;s:18:\"after-the-deadline\";i:2;s:20:\"custom-content-types\";i:3;s:10:\"custom-css\";i:4;s:21:\"enhanced-distribution\";i:6;s:8:\"json-api\";i:7;s:5:\"latex\";i:8;s:5:\"notes\";i:9;s:10:\"omnisearch\";i:12;s:9:\"publicize\";i:13;s:10:\"sharedaddy\";i:14;s:10:\"shortcodes\";i:16;s:5:\"stats\";i:19;s:18:\"verification-tools\";i:21;s:7:\"widgets\";i:22;s:6:\"manage\";i:23;s:17:\"widget-visibility\";}", "yes");
INSERT INTO `w_options` VALUES("169", "stats_options", "a:7:{s:9:\"admin_bar\";b:1;s:5:\"roles\";a:1:{i:0;s:13:\"administrator\";}s:11:\"count_roles\";a:0:{}s:7:\"blog_id\";i:90503920;s:12:\"do_not_track\";b:1;s:10:\"hide_smile\";b:1;s:7:\"version\";s:1:\"9\";}", "yes");
INSERT INTO `w_options` VALUES("171", "jetpack_protect_key", "1224a6ad37c9801a777c91b72e735484163b2746", "yes");
INSERT INTO `w_options` VALUES("177", "woocommerce_default_country", "GB", "yes");
INSERT INTO `w_options` VALUES("178", "woocommerce_allowed_countries", "all", "yes");
INSERT INTO `w_options` VALUES("179", "woocommerce_specific_allowed_countries", "", "yes");
INSERT INTO `w_options` VALUES("180", "woocommerce_default_customer_address", "geolocation", "yes");
INSERT INTO `w_options` VALUES("181", "woocommerce_demo_store", "no", "yes");
INSERT INTO `w_options` VALUES("182", "woocommerce_demo_store_notice", "This is a demo store for testing purposes &mdash; no orders shall be fulfilled.", "no");
INSERT INTO `w_options` VALUES("183", "woocommerce_api_enabled", "yes", "yes");
INSERT INTO `w_options` VALUES("184", "woocommerce_currency", "GBP", "yes");
INSERT INTO `w_options` VALUES("185", "woocommerce_currency_pos", "left", "yes");
INSERT INTO `w_options` VALUES("186", "woocommerce_price_thousand_sep", ",", "yes");
INSERT INTO `w_options` VALUES("187", "woocommerce_price_decimal_sep", ".", "yes");
INSERT INTO `w_options` VALUES("188", "woocommerce_price_num_decimals", "2", "yes");
INSERT INTO `w_options` VALUES("189", "woocommerce_weight_unit", "kg", "yes");
INSERT INTO `w_options` VALUES("190", "woocommerce_dimension_unit", "cm", "yes");
INSERT INTO `w_options` VALUES("191", "woocommerce_enable_review_rating", "yes", "no");
INSERT INTO `w_options` VALUES("192", "woocommerce_review_rating_required", "yes", "no");
INSERT INTO `w_options` VALUES("193", "woocommerce_review_rating_verification_label", "yes", "no");
INSERT INTO `w_options` VALUES("194", "woocommerce_review_rating_verification_required", "no", "no");
INSERT INTO `w_options` VALUES("195", "woocommerce_shop_page_id", "28", "yes");
INSERT INTO `w_options` VALUES("196", "woocommerce_shop_page_display", "", "yes");
INSERT INTO `w_options` VALUES("197", "woocommerce_category_archive_display", "", "yes");
INSERT INTO `w_options` VALUES("198", "woocommerce_default_catalog_orderby", "menu_order", "yes");
INSERT INTO `w_options` VALUES("199", "woocommerce_cart_redirect_after_add", "no", "yes");
INSERT INTO `w_options` VALUES("200", "woocommerce_enable_ajax_add_to_cart", "yes", "yes");
INSERT INTO `w_options` VALUES("201", "shop_catalog_image_size", "a:3:{s:5:\"width\";s:3:\"300\";s:6:\"height\";s:3:\"300\";s:4:\"crop\";s:1:\"1\";}", "yes");
INSERT INTO `w_options` VALUES("202", "shop_single_image_size", "a:3:{s:5:\"width\";s:3:\"600\";s:6:\"height\";s:3:\"600\";s:4:\"crop\";s:1:\"1\";}", "yes");
INSERT INTO `w_options` VALUES("203", "shop_thumbnail_image_size", "a:3:{s:5:\"width\";s:3:\"180\";s:6:\"height\";s:3:\"180\";s:4:\"crop\";s:1:\"1\";}", "yes");
INSERT INTO `w_options` VALUES("204", "woocommerce_enable_lightbox", "yes", "yes");
INSERT INTO `w_options` VALUES("205", "woocommerce_manage_stock", "yes", "yes");
INSERT INTO `w_options` VALUES("206", "woocommerce_hold_stock_minutes", "60", "no");
INSERT INTO `w_options` VALUES("207", "woocommerce_notify_low_stock", "yes", "no");
INSERT INTO `w_options` VALUES("208", "woocommerce_notify_no_stock", "yes", "no");
INSERT INTO `w_options` VALUES("209", "woocommerce_stock_email_recipient", "lokipowers13@gmail.com", "no");
INSERT INTO `w_options` VALUES("210", "woocommerce_notify_low_stock_amount", "2", "no");
INSERT INTO `w_options` VALUES("211", "woocommerce_notify_no_stock_amount", "0", "no");
INSERT INTO `w_options` VALUES("212", "woocommerce_hide_out_of_stock_items", "no", "yes");
INSERT INTO `w_options` VALUES("213", "woocommerce_stock_format", "", "yes");
INSERT INTO `w_options` VALUES("214", "woocommerce_file_download_method", "force", "no");
INSERT INTO `w_options` VALUES("215", "woocommerce_downloads_require_login", "yes", "no");
INSERT INTO `w_options` VALUES("216", "woocommerce_downloads_grant_access_after_payment", "yes", "no");
INSERT INTO `w_options` VALUES("217", "woocommerce_calc_taxes", "no", "yes");
INSERT INTO `w_options` VALUES("218", "woocommerce_prices_include_tax", "yes", "yes");
INSERT INTO `w_options` VALUES("219", "woocommerce_tax_based_on", "shipping", "yes");
INSERT INTO `w_options` VALUES("220", "woocommerce_shipping_tax_class", "", "yes");
INSERT INTO `w_options` VALUES("221", "woocommerce_tax_round_at_subtotal", "no", "yes");
INSERT INTO `w_options` VALUES("222", "woocommerce_tax_classes", "Reduced Rate\r\nZero Rate", "yes");
INSERT INTO `w_options` VALUES("223", "woocommerce_tax_display_shop", "excl", "yes");
INSERT INTO `w_options` VALUES("224", "woocommerce_tax_display_cart", "excl", "no");
INSERT INTO `w_options` VALUES("225", "woocommerce_price_display_suffix", "", "yes");
INSERT INTO `w_options` VALUES("226", "woocommerce_tax_total_display", "itemized", "no");
INSERT INTO `w_options` VALUES("227", "woocommerce_enable_coupons", "yes", "no");
INSERT INTO `w_options` VALUES("228", "woocommerce_enable_guest_checkout", "yes", "no");
INSERT INTO `w_options` VALUES("229", "woocommerce_force_ssl_checkout", "no", "yes");
INSERT INTO `w_options` VALUES("230", "woocommerce_unforce_ssl_checkout", "no", "yes");
INSERT INTO `w_options` VALUES("231", "woocommerce_cart_page_id", "", "yes");
INSERT INTO `w_options` VALUES("232", "woocommerce_checkout_page_id", "", "yes");
INSERT INTO `w_options` VALUES("233", "woocommerce_terms_page_id", "", "no");
INSERT INTO `w_options` VALUES("234", "woocommerce_checkout_pay_endpoint", "order-pay", "yes");
INSERT INTO `w_options` VALUES("235", "woocommerce_checkout_order_received_endpoint", "order-received", "yes");
INSERT INTO `w_options` VALUES("236", "woocommerce_myaccount_add_payment_method_endpoint", "add-payment-method", "yes");
INSERT INTO `w_options` VALUES("237", "woocommerce_calc_shipping", "yes", "yes");
INSERT INTO `w_options` VALUES("238", "woocommerce_enable_shipping_calc", "yes", "no");
INSERT INTO `w_options` VALUES("239", "woocommerce_shipping_cost_requires_address", "no", "no");
INSERT INTO `w_options` VALUES("240", "woocommerce_shipping_method_format", "", "no");
INSERT INTO `w_options` VALUES("241", "woocommerce_ship_to_destination", "billing", "no");
INSERT INTO `w_options` VALUES("242", "woocommerce_ship_to_countries", "", "yes");
INSERT INTO `w_options` VALUES("243", "woocommerce_specific_ship_to_countries", "", "yes");
INSERT INTO `w_options` VALUES("244", "woocommerce_myaccount_page_id", "", "yes");
INSERT INTO `w_options` VALUES("245", "woocommerce_myaccount_view_order_endpoint", "view-order", "yes");
INSERT INTO `w_options` VALUES("246", "woocommerce_myaccount_edit_account_endpoint", "edit-account", "yes");
INSERT INTO `w_options` VALUES("247", "woocommerce_myaccount_edit_address_endpoint", "edit-address", "yes");
INSERT INTO `w_options` VALUES("248", "woocommerce_myaccount_lost_password_endpoint", "lost-password", "yes");
INSERT INTO `w_options` VALUES("249", "woocommerce_logout_endpoint", "customer-logout", "yes");
INSERT INTO `w_options` VALUES("250", "woocommerce_enable_signup_and_login_from_checkout", "yes", "no");
INSERT INTO `w_options` VALUES("251", "woocommerce_enable_myaccount_registration", "no", "no");
INSERT INTO `w_options` VALUES("252", "woocommerce_enable_checkout_login_reminder", "yes", "no");
INSERT INTO `w_options` VALUES("253", "woocommerce_registration_generate_username", "yes", "no");
INSERT INTO `w_options` VALUES("254", "woocommerce_registration_generate_password", "no", "no");
INSERT INTO `w_options` VALUES("255", "woocommerce_email_from_name", "Worldwide Training Partnership", "no");
INSERT INTO `w_options` VALUES("256", "woocommerce_email_from_address", "lokipowers13@gmail.com", "no");
INSERT INTO `w_options` VALUES("257", "woocommerce_email_header_image", "", "no");
INSERT INTO `w_options` VALUES("258", "woocommerce_email_footer_text", "Worldwide Training Partnership - Powered by WooCommerce", "no");
INSERT INTO `w_options` VALUES("259", "woocommerce_email_base_color", "#557da1", "no");
INSERT INTO `w_options` VALUES("260", "woocommerce_email_background_color", "#f5f5f5", "no");
INSERT INTO `w_options` VALUES("261", "woocommerce_email_body_background_color", "#fdfdfd", "no");
INSERT INTO `w_options` VALUES("262", "woocommerce_email_text_color", "#505050", "no");
INSERT INTO `w_options` VALUES("264", "woocommerce_db_version", "2.3.8", "yes");
INSERT INTO `w_options` VALUES("265", "woocommerce_version", "2.3.8", "yes");
INSERT INTO `w_options` VALUES("266", "woocommerce_admin_notices", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("274", "woocommerce_meta_box_errors", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("276", "_transient_timeout_geoip_176.26.158.61", "1431030848", "no");
INSERT INTO `w_options` VALUES("277", "_transient_geoip_176.26.158.61", "GB", "no");
INSERT INTO `w_options` VALUES("278", "woocommerce_allow_tracking", "no", "yes");
INSERT INTO `w_options` VALUES("279", "_transient_timeout_wc_low_stock_count", "1433018174", "no");
INSERT INTO `w_options` VALUES("280", "_transient_wc_low_stock_count", "0", "no");
INSERT INTO `w_options` VALUES("281", "_transient_timeout_wc_outofstock_count", "1433018174", "no");
INSERT INTO `w_options` VALUES("282", "_transient_wc_outofstock_count", "0", "no");
INSERT INTO `w_options` VALUES("285", "stats_cache", "a:2:{s:32:\"71438b55db97828d559cad5dc354e6a2\";a:1:{i:1433757149;a:0:{}}s:32:\"73f3fb6a021fd1748ed655d95cb77675\";a:1:{i:1433757149;a:0:{}}}", "yes");
INSERT INTO `w_options` VALUES("289", "_transient_timeout_geoip_209.15.21.40", "1431031010", "no");
INSERT INTO `w_options` VALUES("290", "_transient_geoip_209.15.21.40", "US", "no");
INSERT INTO `w_options` VALUES("291", "_transient_timeout_geoip_209.15.21.31", "1431031011", "no");
INSERT INTO `w_options` VALUES("292", "_transient_geoip_209.15.21.31", "US", "no");
INSERT INTO `w_options` VALUES("293", "_transient_timeout_geoip_209.15.21.144", "1431031012", "no");
INSERT INTO `w_options` VALUES("294", "_transient_geoip_209.15.21.144", "US", "no");
INSERT INTO `w_options` VALUES("295", "sharing-options", "a:1:{s:6:\"global\";a:5:{s:12:\"button_style\";s:4:\"icon\";s:13:\"sharing_label\";b:0;s:10:\"open_links\";s:4:\"same\";s:4:\"show\";a:3:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:7:\"product\";}s:6:\"custom\";a:0:{}}}", "yes");
INSERT INTO `w_options` VALUES("299", "_transient_timeout_geoip_209.15.21.19", "1431031146", "no");
INSERT INTO `w_options` VALUES("300", "_transient_geoip_209.15.21.19", "US", "no");
INSERT INTO `w_options` VALUES("302", "options_sp_so_tagline", "", "no");
INSERT INTO `w_options` VALUES("303", "_options_sp_so_tagline", "field_553778f0c829e", "no");
INSERT INTO `w_options` VALUES("304", "options_sp_so_address", "", "no");
INSERT INTO `w_options` VALUES("305", "_options_sp_so_address", "field_55377901c829f", "no");
INSERT INTO `w_options` VALUES("306", "options_sp_so_contact_email", "admin@worldwidetrainingpartnership.com", "no");
INSERT INTO `w_options` VALUES("307", "_options_sp_so_contact_email", "field_55377919c82a0", "no");
INSERT INTO `w_options` VALUES("308", "options_sp_so_contact_phone", "01733 238309", "no");
INSERT INTO `w_options` VALUES("309", "_options_sp_so_contact_phone", "field_55377921c82a1", "no");
INSERT INTO `w_options` VALUES("310", "options_sp_so_ga_code", "", "no");
INSERT INTO `w_options` VALUES("311", "_options_sp_so_ga_code", "field_553fae867316a", "no");
INSERT INTO `w_options` VALUES("312", "options_display_responsive_menu", "1", "no");
INSERT INTO `w_options` VALUES("313", "_options_display_responsive_menu", "field_554242c0fb71f", "no");
INSERT INTO `w_options` VALUES("314", "options_sp_so_show_menu", "a:1:{i:0;s:9:\"main-menu\";}", "no");
INSERT INTO `w_options` VALUES("315", "_options_sp_so_show_menu", "field_553faf027316d", "no");
INSERT INTO `w_options` VALUES("316", "options_sp_so_menu_position", "left", "no");
INSERT INTO `w_options` VALUES("317", "_options_sp_so_menu_position", "field_553faebf7316b", "no");
INSERT INTO `w_options` VALUES("318", "options_sp_so_menu_text", "", "no");
INSERT INTO `w_options` VALUES("319", "_options_sp_so_menu_text", "field_553faee77316c", "no");
INSERT INTO `w_options` VALUES("320", "options_sp_so_menu_logo", "41", "no");
INSERT INTO `w_options` VALUES("321", "_options_sp_so_menu_logo", "field_5540887bf05f1", "no");
INSERT INTO `w_options` VALUES("322", "options_sp_so_menu_logo_position", "top", "no");
INSERT INTO `w_options` VALUES("323", "_options_sp_so_menu_logo_position", "field_554088b3f05f2", "no");
INSERT INTO `w_options` VALUES("324", "options_sp_so_menu_social_media", "1", "no");
INSERT INTO `w_options` VALUES("325", "_options_sp_so_menu_social_media", "field_55408900f05f3", "no");
INSERT INTO `w_options` VALUES("326", "options_sp_so_social_media", "2", "no");
INSERT INTO `w_options` VALUES("327", "_options_sp_so_social_media", "field_55377933c82a2", "no");
INSERT INTO `w_options` VALUES("336", "options_sp_so_social_media_0_account_type", "facebook", "no");
INSERT INTO `w_options` VALUES("337", "_options_sp_so_social_media_0_account_type", "field_55377968c82a3", "no");
INSERT INTO `w_options` VALUES("338", "options_sp_so_social_media_0_link", "https://www.facebook.com/pages/Worldwide-Training-Partnership/1496267070636750", "no");
INSERT INTO `w_options` VALUES("339", "_options_sp_so_social_media_0_link", "field_553779aac82a4", "no");
INSERT INTO `w_options` VALUES("340", "options_sp_so_social_media_1_account_type", "twitter", "no");
INSERT INTO `w_options` VALUES("341", "_options_sp_so_social_media_1_account_type", "field_55377968c82a3", "no");
INSERT INTO `w_options` VALUES("342", "options_sp_so_social_media_1_link", "https://twitter.com/_wwtraining", "no");
INSERT INTO `w_options` VALUES("343", "_options_sp_so_social_media_1_link", "field_553779aac82a4", "no");
INSERT INTO `w_options` VALUES("346", "theme_mods_twentyfifteen", "a:2:{s:18:\"nav_menu_locations\";a:0:{}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1430428591;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `w_options` VALUES("347", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `w_options` VALUES("349", "_transient_twentyfifteen_categories", "1", "yes");
INSERT INTO `w_options` VALUES("354", "current_theme", "Worldwide Training Partnership", "yes");
INSERT INTO `w_options` VALUES("355", "theme_mods_wwtp", "a:2:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}}", "yes");
INSERT INTO `w_options` VALUES("356", "theme_switched", "", "yes");
INSERT INTO `w_options` VALUES("357", "safecss_rev", "1", "yes");
INSERT INTO `w_options` VALUES("366", "wpcf7", "a:1:{s:7:\"version\";s:5:\"4.1.2\";}", "yes");
INSERT INTO `w_options` VALUES("367", "sharing-services", "a:2:{s:7:\"visible\";a:6:{i:0;s:8:\"facebook\";i:1;s:7:\"twitter\";i:2;s:13:\"google-plus-1\";i:3;s:8:\"linkedin\";i:4;s:5:\"email\";i:5;s:5:\"print\";}s:6:\"hidden\";a:0:{}}", "yes");
INSERT INTO `w_options` VALUES("368", "sharedaddy_disable_resources", "0", "yes");
INSERT INTO `w_options` VALUES("369", "jetpack-twitter-cards-site-tag", "", "yes");
INSERT INTO `w_options` VALUES("399", "woocommerce_default_gateway", "paypal", "yes");
INSERT INTO `w_options` VALUES("400", "woocommerce_gateway_order", "a:4:{s:4:\"bacs\";i:0;s:6:\"cheque\";i:1;s:3:\"cod\";i:2;s:6:\"paypal\";i:3;}", "yes");
INSERT INTO `w_options` VALUES("402", "_transient_woocommerce_cache_excluded_uris", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("403", "_transient_woocommerce_webhook_ids", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("435", "_transient_timeout_geoip_5.255.253.69", "1431127358", "no");
INSERT INTO `w_options` VALUES("436", "_transient_geoip_5.255.253.69", "RU", "no");
INSERT INTO `w_options` VALUES("545", "_transient_timeout_geoip_176.252.171.195", "1431156146", "no");
INSERT INTO `w_options` VALUES("546", "_transient_geoip_176.252.171.195", "GB", "no");
INSERT INTO `w_options` VALUES("560", "_transient_product_query-transient-version", "1430586961", "yes");
INSERT INTO `w_options` VALUES("561", "_transient_timeout_wc_uf_pid_4d9a2a21a44d158784cd0750e14ead85", "1433178961", "no");
INSERT INTO `w_options` VALUES("562", "_transient_wc_uf_pid_4d9a2a21a44d158784cd0750e14ead85", "a:0:{}", "no");
INSERT INTO `w_options` VALUES("630", "category_children", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("733", "_transient_timeout_geoip_5.255.253.53", "1431289756", "no");
INSERT INTO `w_options` VALUES("734", "_transient_geoip_5.255.253.53", "RU", "no");
INSERT INTO `w_options` VALUES("769", "_transient_wc_attribute_taxonomies", "a:0:{}", "yes");
INSERT INTO `w_options` VALUES("777", "edd_settings", "a:38:{s:13:\"purchase_page\";s:2:\"63\";s:12:\"success_page\";s:2:\"64\";s:12:\"failure_page\";s:2:\"65\";s:21:\"purchase_history_page\";s:2:\"66\";s:16:\"enable_ajax_cart\";s:1:\"1\";s:12:\"base_country\";s:2:\"GB\";s:10:\"base_state\";s:0:\"\";s:8:\"currency\";s:3:\"GBP\";s:17:\"currency_position\";s:6:\"before\";s:19:\"thousands_separator\";s:1:\",\";s:17:\"decimal_separator\";s:1:\".\";s:8:\"gateways\";a:1:{s:6:\"paypal\";s:1:\"1\";}s:15:\"default_gateway\";s:6:\"paypal\";s:14:\"accepted_cards\";a:3:{s:10:\"mastercard\";s:10:\"Mastercard\";s:4:\"visa\";s:4:\"Visa\";s:6:\"paypal\";s:6:\"PayPal\";}s:12:\"paypal_email\";s:38:\"admin@worldwidetrainingpartnership.com\";s:17:\"paypal_page_style\";s:0:\"\";s:14:\"email_template\";s:7:\"default\";s:10:\"email_logo\";s:0:\"\";s:9:\"from_name\";s:30:\"Worldwide Training Partnership\";s:10:\"from_email\";s:22:\"lokipowers13@gmail.com\";s:16:\"purchase_subject\";s:16:\"Purchase Receipt\";s:16:\"purchase_receipt\";s:135:\"Dear {name},\r\n\r\nThank you for your purchase. Please click on the link(s) below to download your files.\r\n\r\n{download_list}\r\n\r\n{sitename}\";s:25:\"sale_notification_subject\";s:43:\"New download purchase - Order #{payment_id}\";s:17:\"sale_notification\";s:170:\"Hello\r\n\r\nA Downloads purchase has been made.\r\n\r\nDownloads sold:\r\n\r\n{download_list}\r\n\r\nPurchased by: {name}\r\nAmount: {price}\r\nPayment Method: {payment_method}\r\n\r\nThank you\";s:19:\"admin_notice_emails\";s:38:\"admin@worldwidetrainingpartnership.com\";s:14:\"logged_in_only\";s:1:\"1\";s:18:\"show_register_form\";s:4:\"both\";s:15:\"download_method\";s:6:\"direct\";s:24:\"download_link_expiration\";s:2:\"24\";s:16:\"sequential_start\";s:1:\"1\";s:14:\"checkout_label\";s:8:\"Purchase\";s:16:\"add_to_cart_text\";s:11:\"Add to Cart\";s:19:\"file_download_limit\";s:0:\"\";s:17:\"sequential_prefix\";s:0:\"\";s:18:\"sequential_postfix\";s:0:\"\";s:11:\"agree_label\";s:0:\"\";s:10:\"agree_text\";s:0:\"\";s:17:\"no_cache_checkout\";s:1:\"1\";}", "yes");
INSERT INTO `w_options` VALUES("778", "edd_use_php_sessions", "1", "yes");
INSERT INTO `w_options` VALUES("780", "edd_version", "2.3.8", "yes");
INSERT INTO `w_options` VALUES("783", "w_edd_customers_db_version", "1.0", "yes");
INSERT INTO `w_options` VALUES("786", "edd_completed_upgrades", "a:2:{i:0;s:21:\"upgrade_payment_taxes\";i:1;s:37:\"upgrade_customer_payments_association\";}", "yes");
INSERT INTO `w_options` VALUES("789", "_transient_edd_cache_excluded_uris", "a:4:{i:0;s:4:\"p=63\";i:1;s:4:\"p=64\";i:2;s:9:\"/checkout\";i:3;s:22:\"/purchase-confirmation\";}", "yes");
INSERT INTO `w_options` VALUES("792", "edd_tracking_notice", "1", "yes");
INSERT INTO `w_options` VALUES("801", "edd_earnings_total", "0", "yes");
INSERT INTO `w_options` VALUES("1197", "db_upgraded", "", "yes");
INSERT INTO `w_options` VALUES("1198", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/en_GB/wordpress-4.2.2.zip\";s:6:\"locale\";s:5:\"en_GB\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/en_GB/wordpress-4.2.2.zip\";s:10:\"no_content\";b:0;s:11:\"new_bundled\";b:0;s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"4.2.2\";s:7:\"version\";s:5:\"4.2.2\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"4.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1433757321;s:15:\"version_checked\";s:5:\"4.2.2\";s:12:\"translations\";a:0:{}}", "yes");
INSERT INTO `w_options` VALUES("1200", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:22:\"lokipowers13@gmail.com\";s:7:\"version\";s:5:\"4.2.2\";s:9:\"timestamp\";i:1430976143;}", "yes");
INSERT INTO `w_options` VALUES("1279", "can_compress_scripts", "0", "yes");
INSERT INTO `w_options` VALUES("1289", "_site_transient_timeout_browser_bf4c511351f6a7070b08f689ff1d8805", "1431713801", "yes");
INSERT INTO `w_options` VALUES("1290", "_site_transient_browser_bf4c511351f6a7070b08f689ff1d8805", "a:9:{s:8:\"platform\";s:7:\"Windows\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:12:\"43.0.2357.52\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}", "yes");
INSERT INTO `w_options` VALUES("1307", "acf_pro_license", "YToyOntzOjM6ImtleSI7czo3MjoiYjNKa1pYSmZhV1E5TXpJek5qZDhkSGx3WlQxd1pYSnpiMjVoYkh4a1lYUmxQVEl3TVRRdE1EY3RNRGNnTVRFNk1URTZOVGM9IjtzOjM6InVybCI7czo1ODoiaHR0cDovL2p1ZGdlLmxld2lzY29sbGFyZC5jb20vd29ybGR3aWRldHJhaW5pbmdwYXJ0bmVyc2hpcCI7fQ==", "yes");
INSERT INTO `w_options` VALUES("1326", "_transient_timeout_801e059def98666887cbad42e484cb87", "1431116733", "no");
INSERT INTO `w_options` VALUES("1327", "_transient_801e059def98666887cbad42e484cb87", "0", "no");
INSERT INTO `w_options` VALUES("1509", "widget_facebook-likebox", "a:2:{i:2;a:3:{s:5:\"title\";s:30:\"Worldwide Training Partnership\";s:9:\"like_args\";a:9:{s:4:\"href\";s:78:\"https://www.facebook.com/pages/Worldwide-Training-Partnership/1496267070636750\";s:5:\"width\";i:200;s:6:\"height\";i:580;s:11:\"colorscheme\";s:5:\"light\";s:10:\"show_faces\";b:1;s:6:\"stream\";b:1;s:11:\"show_border\";b:1;s:6:\"header\";b:0;s:10:\"force_wall\";b:0;}s:10:\"conditions\";a:2:{s:6:\"action\";s:4:\"hide\";s:5:\"rules\";a:1:{i:0;a:2:{s:5:\"major\";s:4:\"page\";s:5:\"minor\";s:2:\"16\";}}}}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("1549", "gde_db_version", "1.2", "yes");
INSERT INTO `w_options` VALUES("1550", "gde_options", "a:11:{s:10:\"ed_disable\";s:2:\"no\";s:16:\"ed_extend_upload\";s:3:\"yes\";s:11:\"ed_embed_sc\";s:3:\"yes\";s:12:\"file_maxsize\";s:2:\"12\";s:11:\"error_check\";s:3:\"yes\";s:13:\"error_display\";s:3:\"yes\";s:9:\"error_log\";s:2:\"no\";s:10:\"beta_check\";s:2:\"no\";s:9:\"ga_enable\";s:2:\"no\";s:11:\"ga_category\";s:19:\"Google Doc Embedder\";s:8:\"ga_label\";s:3:\"url\";}", "yes");
INSERT INTO `w_options` VALUES("1555", "_transient_timeout_b468981579e36cd5cb2afd31886597a6", "1431550677", "no");
INSERT INTO `w_options` VALUES("1556", "_transient_b468981579e36cd5cb2afd31886597a6", "0", "no");
INSERT INTO `w_options` VALUES("1602", "download_category_9_featured_image", "122", "no");
INSERT INTO `w_options` VALUES("1603", "_download_category_9_featured_image", "field_5554e836a63be", "no");
INSERT INTO `w_options` VALUES("1627", "download_category_children", "a:1:{i:7;a:1:{i:0;i:9;}}", "yes");
INSERT INTO `w_options` VALUES("1673", "_transient_timeout_0f47b2b1d959f788db25d1a2d92935b8", "1431639099", "no");
INSERT INTO `w_options` VALUES("1674", "_transient_0f47b2b1d959f788db25d1a2d92935b8", "0", "no");
INSERT INTO `w_options` VALUES("1713", "_transient_timeout_e46a4a2cab4c67e50a9e64f8ae5aa888", "1431866821", "no");
INSERT INTO `w_options` VALUES("1714", "_transient_e46a4a2cab4c67e50a9e64f8ae5aa888", "0", "no");
INSERT INTO `w_options` VALUES("1801", "_transient_timeout_54a87d4cf854dbb9223deb043821122b", "1432147518", "no");
INSERT INTO `w_options` VALUES("1802", "_transient_54a87d4cf854dbb9223deb043821122b", "0", "no");
INSERT INTO `w_options` VALUES("1868", "_transient_timeout_0ab07e81c8129bc349bb52de0b9ac0e6", "1432287904", "no");
INSERT INTO `w_options` VALUES("1869", "_transient_0ab07e81c8129bc349bb52de0b9ac0e6", "0", "no");
INSERT INTO `w_options` VALUES("1932", "_transient_timeout_b184fa0b3849577f8200cc553eb7877e", "1432380570", "no");
INSERT INTO `w_options` VALUES("1933", "_transient_b184fa0b3849577f8200cc553eb7877e", "0", "no");
INSERT INTO `w_options` VALUES("1934", "_transient_timeout_d760a4f1d2efed618c661e3c4ad8a8d2", "1432380570", "no");
INSERT INTO `w_options` VALUES("1935", "_transient_d760a4f1d2efed618c661e3c4ad8a8d2", "0", "no");
INSERT INTO `w_options` VALUES("2124", "_transient_doing_cron", "1433757768.3697590827941894531250", "yes");
INSERT INTO `w_options` VALUES("2131", "_transient_timeout_brute_use_math", "1433184729", "no");
INSERT INTO `w_options` VALUES("2132", "_transient_brute_use_math", "1", "no");
INSERT INTO `w_options` VALUES("2163", "_transient_timeout_0aab263213201e0e40629ff97a4eb1cc", "1433187732", "no");
INSERT INTO `w_options` VALUES("2164", "_transient_0aab263213201e0e40629ff97a4eb1cc", "0", "no");
INSERT INTO `w_options` VALUES("2167", "supercache_stats", "a:3:{s:9:\"generated\";i:1433184527;s:10:\"supercache\";a:6:{s:7:\"expired\";i:0;s:12:\"expired_list\";a:0:{}s:6:\"cached\";i:2;s:11:\"cached_list\";a:0:{}s:2:\"ts\";i:1433184527;s:5:\"fsize\";i:25555;}s:7:\"wpcache\";a:3:{s:6:\"cached\";i:0;s:7:\"expired\";i:0;s:5:\"fsize\";s:3:\"0KB\";}}", "yes");
INSERT INTO `w_options` VALUES("2186", "rewrite_rules", "a:157:{s:12:\"downloads/?$\";s:28:\"index.php?post_type=download\";s:42:\"downloads/feed/(feed|rdf|rss|rss2|atom)/?$\";s:45:\"index.php?post_type=download&feed=$matches[1]\";s:37:\"downloads/(feed|rdf|rss|rss2|atom)/?$\";s:45:\"index.php?post_type=download&feed=$matches[1]\";s:29:\"downloads/page/([0-9]{1,})/?$\";s:46:\"index.php?post_type=download&paged=$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:33:\"category/(.+?)/edd-add(/(.*))?/?$\";s:55:\"index.php?category_name=$matches[1]&edd-add=$matches[3]\";s:36:\"category/(.+?)/edd-remove(/(.*))?/?$\";s:58:\"index.php?category_name=$matches[1]&edd-remove=$matches[3]\";s:33:\"category/(.+?)/edd-api(/(.*))?/?$\";s:55:\"index.php?category_name=$matches[1]&edd-api=$matches[3]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:30:\"tag/([^/]+)/edd-add(/(.*))?/?$\";s:45:\"index.php?tag=$matches[1]&edd-add=$matches[3]\";s:33:\"tag/([^/]+)/edd-remove(/(.*))?/?$\";s:48:\"index.php?tag=$matches[1]&edd-remove=$matches[3]\";s:30:\"tag/([^/]+)/edd-api(/(.*))?/?$\";s:45:\"index.php?tag=$matches[1]&edd-api=$matches[3]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:57:\"downloads/category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:56:\"index.php?download_category=$matches[1]&feed=$matches[2]\";s:52:\"downloads/category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:56:\"index.php?download_category=$matches[1]&feed=$matches[2]\";s:45:\"downloads/category/(.+?)/page/?([0-9]{1,})/?$\";s:57:\"index.php?download_category=$matches[1]&paged=$matches[2]\";s:27:\"downloads/category/(.+?)/?$\";s:39:\"index.php?download_category=$matches[1]\";s:54:\"downloads/tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:51:\"index.php?download_tag=$matches[1]&feed=$matches[2]\";s:49:\"downloads/tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:51:\"index.php?download_tag=$matches[1]&feed=$matches[2]\";s:42:\"downloads/tag/([^/]+)/page/?([0-9]{1,})/?$\";s:52:\"index.php?download_tag=$matches[1]&paged=$matches[2]\";s:24:\"downloads/tag/([^/]+)/?$\";s:34:\"index.php?download_tag=$matches[1]\";s:53:\"edd_log_type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:51:\"index.php?edd_log_type=$matches[1]&feed=$matches[2]\";s:48:\"edd_log_type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:51:\"index.php?edd_log_type=$matches[1]&feed=$matches[2]\";s:41:\"edd_log_type/([^/]+)/page/?([0-9]{1,})/?$\";s:52:\"index.php?edd_log_type=$matches[1]&paged=$matches[2]\";s:23:\"edd_log_type/([^/]+)/?$\";s:34:\"index.php?edd_log_type=$matches[1]\";s:37:\"downloads/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"downloads/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"downloads/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"downloads/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"downloads/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:30:\"downloads/([^/]+)/trackback/?$\";s:35:\"index.php?download=$matches[1]&tb=1\";s:50:\"downloads/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?download=$matches[1]&feed=$matches[2]\";s:45:\"downloads/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?download=$matches[1]&feed=$matches[2]\";s:38:\"downloads/([^/]+)/page/?([0-9]{1,})/?$\";s:48:\"index.php?download=$matches[1]&paged=$matches[2]\";s:45:\"downloads/([^/]+)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?download=$matches[1]&cpage=$matches[2]\";s:36:\"downloads/([^/]+)/edd-add(/(.*))?/?$\";s:50:\"index.php?download=$matches[1]&edd-add=$matches[3]\";s:39:\"downloads/([^/]+)/edd-remove(/(.*))?/?$\";s:53:\"index.php?download=$matches[1]&edd-remove=$matches[3]\";s:36:\"downloads/([^/]+)/edd-api(/(.*))?/?$\";s:50:\"index.php?download=$matches[1]&edd-api=$matches[3]\";s:42:\"downloads/[^/]+/([^/]+)/edd-add(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-add=$matches[3]\";s:53:\"downloads/[^/]+/attachment/([^/]+)/edd-add(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-add=$matches[3]\";s:45:\"downloads/[^/]+/([^/]+)/edd-remove(/(.*))?/?$\";s:55:\"index.php?attachment=$matches[1]&edd-remove=$matches[3]\";s:56:\"downloads/[^/]+/attachment/([^/]+)/edd-remove(/(.*))?/?$\";s:55:\"index.php?attachment=$matches[1]&edd-remove=$matches[3]\";s:42:\"downloads/[^/]+/([^/]+)/edd-api(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-api=$matches[3]\";s:53:\"downloads/[^/]+/attachment/([^/]+)/edd-api(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-api=$matches[3]\";s:30:\"downloads/([^/]+)(/[0-9]+)?/?$\";s:47:\"index.php?download=$matches[1]&page=$matches[2]\";s:26:\"downloads/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:36:\"downloads/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:56:\"downloads/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"downloads/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"downloads/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:38:\"index.php?&page_id=2&cpage=$matches[1]\";s:18:\"edd-add(/(.*))?/?$\";s:30:\"index.php?&edd-add=$matches[2]\";s:21:\"edd-remove(/(.*))?/?$\";s:33:\"index.php?&edd-remove=$matches[2]\";s:18:\"edd-api(/(.*))?/?$\";s:30:\"index.php?&edd-api=$matches[2]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:27:\"comments/edd-add(/(.*))?/?$\";s:30:\"index.php?&edd-add=$matches[2]\";s:30:\"comments/edd-remove(/(.*))?/?$\";s:33:\"index.php?&edd-remove=$matches[2]\";s:27:\"comments/edd-api(/(.*))?/?$\";s:30:\"index.php?&edd-api=$matches[2]\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:30:\"search/(.+)/edd-add(/(.*))?/?$\";s:43:\"index.php?s=$matches[1]&edd-add=$matches[3]\";s:33:\"search/(.+)/edd-remove(/(.*))?/?$\";s:46:\"index.php?s=$matches[1]&edd-remove=$matches[3]\";s:30:\"search/(.+)/edd-api(/(.*))?/?$\";s:43:\"index.php?s=$matches[1]&edd-api=$matches[3]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:33:\"author/([^/]+)/edd-add(/(.*))?/?$\";s:53:\"index.php?author_name=$matches[1]&edd-add=$matches[3]\";s:36:\"author/([^/]+)/edd-remove(/(.*))?/?$\";s:56:\"index.php?author_name=$matches[1]&edd-remove=$matches[3]\";s:33:\"author/([^/]+)/edd-api(/(.*))?/?$\";s:53:\"index.php?author_name=$matches[1]&edd-api=$matches[3]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:55:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/edd-add(/(.*))?/?$\";s:83:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&edd-add=$matches[5]\";s:58:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/edd-remove(/(.*))?/?$\";s:86:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&edd-remove=$matches[5]\";s:55:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/edd-api(/(.*))?/?$\";s:83:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&edd-api=$matches[5]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:42:\"([0-9]{4})/([0-9]{1,2})/edd-add(/(.*))?/?$\";s:67:\"index.php?year=$matches[1]&monthnum=$matches[2]&edd-add=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/edd-remove(/(.*))?/?$\";s:70:\"index.php?year=$matches[1]&monthnum=$matches[2]&edd-remove=$matches[4]\";s:42:\"([0-9]{4})/([0-9]{1,2})/edd-api(/(.*))?/?$\";s:67:\"index.php?year=$matches[1]&monthnum=$matches[2]&edd-api=$matches[4]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:29:\"([0-9]{4})/edd-add(/(.*))?/?$\";s:46:\"index.php?year=$matches[1]&edd-add=$matches[3]\";s:32:\"([0-9]{4})/edd-remove(/(.*))?/?$\";s:49:\"index.php?year=$matches[1]&edd-remove=$matches[3]\";s:29:\"([0-9]{4})/edd-api(/(.*))?/?$\";s:46:\"index.php?year=$matches[1]&edd-api=$matches[3]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:63:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/edd-add(/(.*))?/?$\";s:100:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&edd-add=$matches[6]\";s:66:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/edd-remove(/(.*))?/?$\";s:103:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&edd-remove=$matches[6]\";s:63:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/edd-api(/(.*))?/?$\";s:100:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&edd-api=$matches[6]\";s:63:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/edd-add(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-add=$matches[3]\";s:74:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/edd-add(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-add=$matches[3]\";s:66:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/edd-remove(/(.*))?/?$\";s:55:\"index.php?attachment=$matches[1]&edd-remove=$matches[3]\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/edd-remove(/(.*))?/?$\";s:55:\"index.php?attachment=$matches[1]&edd-remove=$matches[3]\";s:63:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/edd-api(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-api=$matches[3]\";s:74:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/edd-api(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-api=$matches[3]\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(/[0-9]+)?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:26:\"(.?.+?)/edd-add(/(.*))?/?$\";s:50:\"index.php?pagename=$matches[1]&edd-add=$matches[3]\";s:29:\"(.?.+?)/edd-remove(/(.*))?/?$\";s:53:\"index.php?pagename=$matches[1]&edd-remove=$matches[3]\";s:26:\"(.?.+?)/edd-api(/(.*))?/?$\";s:50:\"index.php?pagename=$matches[1]&edd-api=$matches[3]\";s:32:\".?.+?/([^/]+)/edd-add(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-add=$matches[3]\";s:43:\".?.+?/attachment/([^/]+)/edd-add(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-add=$matches[3]\";s:35:\".?.+?/([^/]+)/edd-remove(/(.*))?/?$\";s:55:\"index.php?attachment=$matches[1]&edd-remove=$matches[3]\";s:46:\".?.+?/attachment/([^/]+)/edd-remove(/(.*))?/?$\";s:55:\"index.php?attachment=$matches[1]&edd-remove=$matches[3]\";s:32:\".?.+?/([^/]+)/edd-api(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-api=$matches[3]\";s:43:\".?.+?/attachment/([^/]+)/edd-api(/(.*))?/?$\";s:52:\"index.php?attachment=$matches[1]&edd-api=$matches[3]\";s:20:\"(.?.+?)(/[0-9]+)?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `w_options` VALUES("2195", "widget_calendar", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2196", "widget_widget_contact_info", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2197", "widget_nav_menu", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2198", "widget_jetpack_display_posts_widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2199", "widget_edd_product_details", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2200", "widget_edd_cart_widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2201", "widget_edd_categories_tags_widget", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2202", "widget_wpcom-goodreads", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2203", "widget_grofile", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2204", "widget_image", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2205", "widget_pages", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2207", "widget_rss_links", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2208", "widget_tag_cloud", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2210", "widget_top-posts", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2211", "widget_twitter_timeline", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `w_options` VALUES("2234", "_transient_timeout_67609cdcf8843a7523621dbba354e936", "1433246728", "no");
INSERT INTO `w_options` VALUES("2235", "_transient_67609cdcf8843a7523621dbba354e936", "0", "no");
INSERT INTO `w_options` VALUES("2240", "_site_transient_timeout_security_report_performed_recently", "1433758034", "yes");
INSERT INTO `w_options` VALUES("2241", "_site_transient_security_report_performed_recently", "1", "yes");
INSERT INTO `w_options` VALUES("2242", "_transient_timeout_acf_pro_get_remote_info", "1433764339", "no");
INSERT INTO `w_options` VALUES("2243", "_transient_acf_pro_get_remote_info", "0", "no");
INSERT INTO `w_options` VALUES("2244", "_transient_timeout_jetpack_site_is_vcs", "1433843539", "no");
INSERT INTO `w_options` VALUES("2245", "_transient_jetpack_site_is_vcs", "0", "no");
INSERT INTO `w_options` VALUES("2246", "_site_transient_timeout_theme_roots", "1433758939", "yes");
INSERT INTO `w_options` VALUES("2247", "_site_transient_theme_roots", "a:1:{s:4:\"wwtp\";s:7:\"/themes\";}", "yes");
INSERT INTO `w_options` VALUES("2248", "_transient_timeout_edd_check_protection_files", "1433843540", "no");
INSERT INTO `w_options` VALUES("2249", "_transient_edd_check_protection_files", "1", "no");
INSERT INTO `w_options` VALUES("2250", "_transient_timeout_plugin_slugs", "1433843726", "no");
INSERT INTO `w_options` VALUES("2251", "_transient_plugin_slugs", "a:12:{i:0;s:34:\"advanced-custom-fields-pro/acf.php\";i:1;s:30:\"db-prefix-change/db_prefix.php\";i:2;s:36:\"contact-form-7/wp-contact-form-7.php\";i:3;s:25:\"duplicator/duplicator.php\";i:4;s:49:\"easy-digital-downloads/easy-digital-downloads.php\";i:5;s:36:\"google-document-embedder/gviewer.php\";i:6;s:19:\"if-menu/if-menu.php\";i:7;s:19:\"jetpack/jetpack.php\";i:8;s:21:\"jigoshop/jigoshop.php\";i:9;s:23:\"speed-options/index.php\";i:10;s:27:\"woocommerce/woocommerce.php\";i:11;s:27:\"wp-super-cache/wp-cache.php\";}", "no");
INSERT INTO `w_options` VALUES("2252", "_transient_timeout_dash_4077549d03da2e451c8b5f002294ff51", "1433800349", "no");
INSERT INTO `w_options` VALUES("2253", "_transient_dash_4077549d03da2e451c8b5f002294ff51", "<div class=\"rss-widget\"><p><strong>RSS Error</strong>: WP HTTP Error: Could not resolve host: wordpress.org</p></div><div class=\"rss-widget\"><p><strong>RSS Error</strong>: WP HTTP Error: Could not resolve host: planet.wordpress.org</p></div><div class=\"rss-widget\"><ul></ul></div>", "no");
INSERT INTO `w_options` VALUES("2254", "_transient_timeout_45b33899382dfdfcc1d8dce13eede9b6", "1433760749", "no");
INSERT INTO `w_options` VALUES("2255", "_transient_45b33899382dfdfcc1d8dce13eede9b6", "0", "no");
INSERT INTO `w_options` VALUES("2256", "_transient_timeout_b79f937d1fba54e5d554d93a657c28ec", "1433760749", "no");
INSERT INTO `w_options` VALUES("2257", "_transient_b79f937d1fba54e5d554d93a657c28ec", "0", "no");
INSERT INTO `w_options` VALUES("2258", "_transient_timeout_d624dc6d905b892c97057c6f3d48a6d6", "1433760749", "no");
INSERT INTO `w_options` VALUES("2259", "_transient_d624dc6d905b892c97057c6f3d48a6d6", "0", "no");
INSERT INTO `w_options` VALUES("2260", "_transient_timeout_edd_earnings_total", "1433843549", "no");
INSERT INTO `w_options` VALUES("2261", "_transient_edd_earnings_total", "0", "no");
INSERT INTO `w_options` VALUES("2262", "_transient_timeout_jetpack_https_test", "1433843549", "no");
INSERT INTO `w_options` VALUES("2263", "_transient_jetpack_https_test", "0", "no");
INSERT INTO `w_options` VALUES("2264", "_site_transient_update_plugins", "O:8:\"stdClass\":1:{s:12:\"last_checked\";i:1433757326;}", "yes");
INSERT INTO `w_options` VALUES("2265", "duplicator_settings", "a:10:{s:7:\"version\";s:6:\"0.5.16\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:0;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:20:\"storage_htaccess_off\";b:0;}", "yes");
INSERT INTO `w_options` VALUES("2266", "duplicator_version_plugin", "0.5.16", "yes");
INSERT INTO `w_options` VALUES("2267", "duplicator_ui_view_state", "a:1:{s:14:\"dup-wpnotice01\";b:1;}", "yes");
INSERT INTO `w_options` VALUES("2268", "duplicator_package_active", "O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:37:\"20150608_worldwidetrainingpartnership\";s:4:\"Hash\";s:29:\"55756699517652353150608095537\";s:8:\"NameHash\";s:67:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537\";s:7:\"Version\";s:6:\"0.5.16\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:84:\"/var/www/judge.lewiscollard.com/htdocs/worldwidetrainingpartnership/wp-snapshots/tmp\";s:8:\"StoreURL\";s:72:\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-snapshots/\";s:8:\"ScanFile\";s:77:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":17:{s:10:\"FilterDirs\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:67:\"/var/www/judge.lewiscollard.com/htdocs/worldwidetrainingpartnership\";s:4:\"Size\";i:0;s:12:\"WarnFileSize\";a:0:{}s:12:\"WarnFileName\";a:0:{}s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:5:\"Links\";a:0:{}s:8:\"OmitDirs\";a:0:{}s:9:\"OmitFiles\";a:0:{}s:10:\"\0*\0Package\";O:11:\"DUP_Package\":16:{s:2:\"ID\";N;s:4:\"Name\";s:37:\"20150608_worldwidetrainingpartnership\";s:4:\"Hash\";s:29:\"55756699517652353150608095537\";s:8:\"NameHash\";s:67:\"20150608_worldwidetrainingpartnership_55756699517652353150608095537\";s:7:\"Version\";s:6:\"0.5.16\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:84:\"/var/www/judge.lewiscollard.com/htdocs/worldwidetrainingpartnership/wp-snapshots/tmp\";s:8:\"StoreURL\";s:72:\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-snapshots/\";s:8:\"ScanFile\";N;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:7:\"Archive\";r:15;s:9:\"Installer\";O:13:\"DUP_Installer\":11:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:12:\"OptsSSLAdmin\";i:0;s:12:\"OptsSSLLogin\";i:0;s:11:\"OptsCacheWP\";i:0;s:13:\"OptsCachePath\";i:0;s:10:\"OptsURLNew\";s:0:\"\";s:10:\"\0*\0Package\";r:30;}s:8:\"Database\";O:12:\"DUP_Database\":11:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"\0*\0Package\";r:30;s:25:\"\0DUP_Database\0dbStorePath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}}s:28:\"\0DUP_Archive\0filterDirsArray\";a:0:{}s:28:\"\0DUP_Archive\0filterExtsArray\";a:0:{}}s:9:\"Installer\";r:45;s:8:\"Database\";r:57;}", "yes");

/* INSERT TABLE DATA: w_postmeta */
INSERT INTO `w_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `w_postmeta` VALUES("2", "4", "jigoshop_email_subject", "[[shop_name]] New Customer Order");
INSERT INTO `w_postmeta` VALUES("3", "4", "jigoshop_email_actions", "a:4:{i:0;s:40:\"admin_order_status_pending_to_processing\";i:1;s:39:\"admin_order_status_pending_to_completed\";i:2;s:37:\"admin_order_status_pending_to_on-hold\";i:3;s:49:\"admin_order_status_pending_to_waiting-for-payment\";}");
INSERT INTO `w_postmeta` VALUES("4", "5", "jigoshop_email_subject", "[[shop_name]] Order Received");
INSERT INTO `w_postmeta` VALUES("5", "5", "jigoshop_email_actions", "a:1:{i:0;s:43:\"customer_order_status_pending_to_processing\";}");
INSERT INTO `w_postmeta` VALUES("6", "6", "jigoshop_email_subject", "[[shop_name]] Order Received");
INSERT INTO `w_postmeta` VALUES("7", "6", "jigoshop_email_actions", "a:1:{i:0;s:40:\"customer_order_status_pending_to_on-hold\";}");
INSERT INTO `w_postmeta` VALUES("8", "7", "jigoshop_email_subject", "[[shop_name]] Order Received - waiting for payment");
INSERT INTO `w_postmeta` VALUES("9", "7", "jigoshop_email_actions", "a:1:{i:0;s:52:\"customer_order_status_pending_to_waiting-for-payment\";}");
INSERT INTO `w_postmeta` VALUES("10", "8", "jigoshop_email_subject", "[[shop_name]] Order Received");
INSERT INTO `w_postmeta` VALUES("11", "8", "jigoshop_email_actions", "a:1:{i:0;s:43:\"customer_order_status_on-hold_to_processing\";}");
INSERT INTO `w_postmeta` VALUES("12", "9", "jigoshop_email_subject", "[[shop_name]] Order Complete");
INSERT INTO `w_postmeta` VALUES("13", "9", "jigoshop_email_actions", "a:1:{i:0;s:31:\"customer_order_status_completed\";}");
INSERT INTO `w_postmeta` VALUES("14", "10", "jigoshop_email_subject", "[[shop_name]] Order Refunded");
INSERT INTO `w_postmeta` VALUES("15", "10", "jigoshop_email_actions", "a:1:{i:0;s:30:\"customer_order_status_refunded\";}");
INSERT INTO `w_postmeta` VALUES("16", "11", "jigoshop_email_subject", "Invoice for Order: [order_number]");
INSERT INTO `w_postmeta` VALUES("17", "11", "jigoshop_email_actions", "a:1:{i:0;s:21:\"send_customer_invoice\";}");
INSERT INTO `w_postmeta` VALUES("18", "12", "jigoshop_email_subject", "[[shop_name]] Product low in stock");
INSERT INTO `w_postmeta` VALUES("19", "12", "jigoshop_email_actions", "a:1:{i:0;s:22:\"low_stock_notification\";}");
INSERT INTO `w_postmeta` VALUES("20", "13", "jigoshop_email_subject", "[[shop_name]] Product out of stock");
INSERT INTO `w_postmeta` VALUES("21", "13", "jigoshop_email_actions", "a:1:{i:0;s:21:\"no_stock_notification\";}");
INSERT INTO `w_postmeta` VALUES("22", "14", "jigoshop_email_subject", "[[shop_name]] Product Backorder on Order: [order_number].");
INSERT INTO `w_postmeta` VALUES("23", "14", "jigoshop_email_actions", "a:1:{i:0;s:33:\"product_on_backorder_notification\";}");
INSERT INTO `w_postmeta` VALUES("24", "2", "_edit_lock", "1433235240:2");
INSERT INTO `w_postmeta` VALUES("25", "2", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("26", "16", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("27", "16", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("28", "16", "_edit_lock", "1433239871:2");
INSERT INTO `w_postmeta` VALUES("29", "18", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("30", "18", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("31", "18", "_edit_lock", "1433239554:2");
INSERT INTO `w_postmeta` VALUES("32", "20", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("33", "20", "_edit_lock", "1433239606:2");
INSERT INTO `w_postmeta` VALUES("34", "20", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("35", "22", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("36", "22", "_edit_lock", "1433239620:2");
INSERT INTO `w_postmeta` VALUES("37", "22", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("38", "24", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("39", "24", "_edit_lock", "1433239751:2");
INSERT INTO `w_postmeta` VALUES("40", "24", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("41", "26", "_edit_last", "1");
INSERT INTO `w_postmeta` VALUES("42", "26", "_edit_lock", "1431114006:1");
INSERT INTO `w_postmeta` VALUES("43", "26", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("44", "28", "_edit_last", "1");
INSERT INTO `w_postmeta` VALUES("45", "28", "_edit_lock", "1431113534:1");
INSERT INTO `w_postmeta` VALUES("46", "28", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("47", "30", "_edit_last", "1");
INSERT INTO `w_postmeta` VALUES("48", "30", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("49", "30", "_edit_lock", "1432287119:2");
INSERT INTO `w_postmeta` VALUES("50", "32", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("51", "32", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("52", "32", "_menu_item_object_id", "30");
INSERT INTO `w_postmeta` VALUES("53", "32", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("54", "32", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("55", "32", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("56", "32", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("57", "32", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("59", "33", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("60", "33", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("61", "33", "_menu_item_object_id", "22");
INSERT INTO `w_postmeta` VALUES("62", "33", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("63", "33", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("64", "33", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("65", "33", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("66", "33", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("86", "36", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("87", "36", "_menu_item_menu_item_parent", "33");
INSERT INTO `w_postmeta` VALUES("88", "36", "_menu_item_object_id", "24");
INSERT INTO `w_postmeta` VALUES("89", "36", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("90", "36", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("91", "36", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("92", "36", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("93", "36", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("95", "37", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("96", "37", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("97", "37", "_menu_item_object_id", "18");
INSERT INTO `w_postmeta` VALUES("98", "37", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("99", "37", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("100", "37", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("101", "37", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("102", "37", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("104", "38", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("105", "38", "_menu_item_menu_item_parent", "37");
INSERT INTO `w_postmeta` VALUES("106", "38", "_menu_item_object_id", "20");
INSERT INTO `w_postmeta` VALUES("107", "38", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("108", "38", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("109", "38", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("110", "38", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("111", "38", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("113", "39", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("114", "39", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("115", "39", "_menu_item_object_id", "16");
INSERT INTO `w_postmeta` VALUES("116", "39", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("117", "39", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("118", "39", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("119", "39", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("120", "39", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("122", "40", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("123", "40", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("124", "40", "_menu_item_object_id", "2");
INSERT INTO `w_postmeta` VALUES("125", "40", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("126", "40", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("127", "40", "_menu_item_classes", "a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-home\";}");
INSERT INTO `w_postmeta` VALUES("128", "40", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("129", "40", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("131", "40", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("132", "39", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("133", "37", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("134", "38", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("135", "33", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("136", "36", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("139", "32", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("140", "41", "_wp_attached_file", "2015/04/WTP-logo.jpg");
INSERT INTO `w_postmeta` VALUES("141", "41", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:350;s:6:\"height\";i:150;s:4:\"file\";s:20:\"2015/04/WTP-logo.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:20:\"WTP-logo-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:20:\"WTP-logo-300x129.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:129;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"shop_thumbnail\";a:4:{s:4:\"file\";s:20:\"WTP-logo-180x150.jpg\";s:5:\"width\";i:180;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"shop_catalog\";a:4:{s:4:\"file\";s:20:\"WTP-logo-300x150.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("142", "42", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("143", "42", "_form", "<p>Your Name (required)<br />\n    [text* your-name] </p>\n\n<p>Your Email (required)<br />\n    [email* your-email] </p>\n\n<p>Subject<br />\n    [text your-subject] </p>\n\n<p>Your Message<br />\n    [textarea your-message] </p>\n\n<p>[submit \"Send\"]</p>");
INSERT INTO `w_postmeta` VALUES("144", "42", "_mail", "a:8:{s:7:\"subject\";s:14:\"[your-subject]\";s:6:\"sender\";s:46:\"[your-name] <wordpress@judge.lewiscollard.com>\";s:4:\"body\";s:226:\"From: [your-name] <[your-email]>\nSubject: [your-subject]\n\nMessage Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on Worldwide Training Partnership (http://judge.lewiscollard.com/worldwidetrainingpartnership)\";s:9:\"recipient\";s:22:\"lokipowers13@gmail.com\";s:18:\"additional_headers\";s:22:\"Reply-To: [your-email]\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";i:0;s:13:\"exclude_blank\";i:0;}");
INSERT INTO `w_postmeta` VALUES("145", "42", "_mail_2", "a:9:{s:6:\"active\";b:0;s:7:\"subject\";s:14:\"[your-subject]\";s:6:\"sender\";s:65:\"Worldwide Training Partnership <wordpress@judge.lewiscollard.com>\";s:4:\"body\";s:168:\"Message Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on Worldwide Training Partnership (http://judge.lewiscollard.com/worldwidetrainingpartnership)\";s:9:\"recipient\";s:12:\"[your-email]\";s:18:\"additional_headers\";s:32:\"Reply-To: lokipowers13@gmail.com\";s:11:\"attachments\";s:0:\"\";s:8:\"use_html\";i:0;s:13:\"exclude_blank\";i:0;}");
INSERT INTO `w_postmeta` VALUES("146", "42", "_messages", "a:8:{s:12:\"mail_sent_ok\";s:43:\"Your message was sent successfully. Thanks.\";s:12:\"mail_sent_ng\";s:93:\"Failed to send your message. Please try later or contact the administrator by another method.\";s:16:\"validation_error\";s:74:\"Validation errors occurred. Please confirm the fields and submit it again.\";s:4:\"spam\";s:93:\"Failed to send your message. Please try later or contact the administrator by another method.\";s:12:\"accept_terms\";s:35:\"Please accept the terms to proceed.\";s:16:\"invalid_required\";s:34:\"Please fill in the required field.\";s:16:\"invalid_too_long\";s:23:\"This input is too long.\";s:17:\"invalid_too_short\";s:24:\"This input is too short.\";}");
INSERT INTO `w_postmeta` VALUES("147", "42", "_additional_settings", "");
INSERT INTO `w_postmeta` VALUES("148", "30", "sharing_disabled", "1");
INSERT INTO `w_postmeta` VALUES("149", "44", "_webhook_pending_delivery", "1");
INSERT INTO `w_postmeta` VALUES("150", "40", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("151", "39", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("152", "37", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("153", "38", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("154", "33", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("155", "36", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("158", "32", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("159", "45", "_edit_last", "1");
INSERT INTO `w_postmeta` VALUES("160", "45", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("161", "46", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("162", "47", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("163", "48", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("164", "49", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("165", "50", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("166", "51", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("167", "52", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("168", "53", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("169", "54", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("170", "55", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("171", "56", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("172", "45", "_edit_lock", "1433235336:2");
INSERT INTO `w_postmeta` VALUES("173", "57", "_wp_attached_file", "2015/04/PeterboroughCHospital.jpg");
INSERT INTO `w_postmeta` VALUES("174", "57", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1140;s:6:\"height\";i:466;s:4:\"file\";s:33:\"2015/04/PeterboroughCHospital.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:33:\"PeterboroughCHospital-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"PeterboroughCHospital-300x123.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:123;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:34:\"PeterboroughCHospital-1024x419.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:419;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"shop_thumbnail\";a:4:{s:4:\"file\";s:33:\"PeterboroughCHospital-180x180.jpg\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"shop_catalog\";a:4:{s:4:\"file\";s:33:\"PeterboroughCHospital-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"shop_single\";a:4:{s:4:\"file\";s:33:\"PeterboroughCHospital-600x466.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("175", "58", "_wp_attached_file", "2015/04/AdultSocialCare.jpg");
INSERT INTO `w_postmeta` VALUES("176", "58", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1140;s:6:\"height\";i:466;s:4:\"file\";s:27:\"2015/04/AdultSocialCare.jpg\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"AdultSocialCare-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"AdultSocialCare-300x123.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:123;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"AdultSocialCare-1024x419.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:419;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"shop_thumbnail\";a:4:{s:4:\"file\";s:27:\"AdultSocialCare-180x180.jpg\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"shop_catalog\";a:4:{s:4:\"file\";s:27:\"AdultSocialCare-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"shop_single\";a:4:{s:4:\"file\";s:27:\"AdultSocialCare-600x466.jpg\";s:5:\"width\";i:600;s:6:\"height\";i:466;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("177", "59", "_wp_attached_file", "2015/04/Cartine-6.png");
INSERT INTO `w_postmeta` VALUES("178", "59", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:3956;s:6:\"height\";i:1615;s:4:\"file\";s:21:\"2015/04/Cartine-6.png\";s:5:\"sizes\";a:6:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:21:\"Cartine-6-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:21:\"Cartine-6-300x122.png\";s:5:\"width\";i:300;s:6:\"height\";i:122;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:22:\"Cartine-6-1024x418.png\";s:5:\"width\";i:1024;s:6:\"height\";i:418;s:9:\"mime-type\";s:9:\"image/png\";}s:14:\"shop_thumbnail\";a:4:{s:4:\"file\";s:21:\"Cartine-6-180x180.png\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"shop_catalog\";a:4:{s:4:\"file\";s:21:\"Cartine-6-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:11:\"shop_single\";a:4:{s:4:\"file\";s:21:\"Cartine-6-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("179", "60", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("180", "60", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("181", "60", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("182", "60", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("183", "60", "slideshow_0_image", "57");
INSERT INTO `w_postmeta` VALUES("184", "60", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("185", "60", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("186", "60", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("187", "60", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("188", "60", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("189", "60", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("190", "60", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("191", "60", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("192", "60", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("193", "60", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("194", "60", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("195", "60", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("196", "60", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("197", "60", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("198", "60", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("199", "60", "about_content_0_content", "Worldwide Training Partnership offer specialised training and support materials for Public Service &amp; Adult Social Care.\r\n\r\nWorldwide Training Partnership also offer Tour Managers the opportunity to post their work availability for tour operators to access and was founded by Janet Goodwin and Sheila Scott to offer training and course materials within their own fields of speciality.");
INSERT INTO `w_postmeta` VALUES("200", "60", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("201", "60", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("202", "60", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("203", "60", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("204", "60", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("205", "60", "manuals", "0");
INSERT INTO `w_postmeta` VALUES("206", "60", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("207", "2", "sharing_disabled", "1");
INSERT INTO `w_postmeta` VALUES("208", "2", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("209", "2", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("210", "2", "slideshow_0_intro_text", "Public service training for prospective Councillors, newly elected Councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("211", "2", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("212", "2", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("213", "2", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("214", "2", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("215", "2", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("216", "2", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("217", "2", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("218", "2", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("219", "2", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("220", "2", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("221", "2", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("222", "2", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("223", "2", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("224", "2", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("225", "2", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("226", "2", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("227", "2", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("228", "2", "about_content_0_content", "Worldwide Training Partnership offer specialised, quality training, support materials and Consultancy for Public Service &amp; Adult Social Care.\r\n\r\nThe Courses, Manuals &amp; Consultancy services are written and delivered by Janet who has many years of experience in Public Service and Sheila in Adult Social Care.\r\n\r\nExecutives and staff within these sectors will gain huge benefits from the services offered by Worldwide Training Partnership.");
INSERT INTO `w_postmeta` VALUES("229", "2", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("230", "2", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("231", "2", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("232", "2", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("233", "2", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("234", "2", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("235", "2", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("236", "61", "_edit_last", "1");
INSERT INTO `w_postmeta` VALUES("237", "61", "_edit_lock", "1430687825:1");
INSERT INTO `w_postmeta` VALUES("238", "63", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("239", "64", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("240", "65", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("241", "66", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("242", "67", "_edd_download_earnings", "0");
INSERT INTO `w_postmeta` VALUES("243", "67", "_edd_download_sales", "0");
INSERT INTO `w_postmeta` VALUES("244", "67", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("245", "67", "_edit_lock", "1433239008:2");
INSERT INTO `w_postmeta` VALUES("246", "67", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("247", "67", "edd_price", "75.00");
INSERT INTO `w_postmeta` VALUES("248", "67", "_variable_pricing", "1");
INSERT INTO `w_postmeta` VALUES("249", "67", "edd_variable_prices", "a:3:{i:1;a:3:{s:5:\"index\";s:1:\"1\";s:4:\"name\";s:16:\"Electronic Copy \";s:6:\"amount\";s:5:\"75.00\";}i:2;a:3:{s:5:\"index\";s:0:\"\";s:4:\"name\";s:10:\"Paper Copy\";s:6:\"amount\";s:6:\"115.00\";}i:3;a:3:{s:5:\"index\";s:0:\"\";s:4:\"name\";s:25:\"Electronic and Paper Copy\";s:6:\"amount\";s:6:\"150.00\";}}");
INSERT INTO `w_postmeta` VALUES("250", "67", "edd_download_files", "a:2:{i:0;a:4:{s:13:\"attachment_id\";s:1:\"0\";s:4:\"name\";s:17:\"Manual Care Homes\";s:4:\"file\";s:98:\"http://worldwidetrainingpartnership.com/wp-content/uploads/edd/2014/09/Manual-Care-Homes-final.doc\";s:9:\"condition\";s:1:\"1\";}i:1;a:4:{s:13:\"attachment_id\";s:1:\"0\";s:4:\"name\";s:17:\"Manual Care Homes\";s:4:\"file\";s:98:\"http://worldwidetrainingpartnership.com/wp-content/uploads/edd/2014/09/Manual-Care-Homes-final.doc\";s:9:\"condition\";s:1:\"3\";}}");
INSERT INTO `w_postmeta` VALUES("251", "67", "_edd_default_price_id", "1");
INSERT INTO `w_postmeta` VALUES("252", "70", "_edd_download_earnings", "0");
INSERT INTO `w_postmeta` VALUES("253", "70", "_edd_download_sales", "0");
INSERT INTO `w_postmeta` VALUES("254", "70", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("255", "70", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("256", "70", "edd_price", "75.00");
INSERT INTO `w_postmeta` VALUES("257", "70", "_variable_pricing", "1");
INSERT INTO `w_postmeta` VALUES("258", "70", "edd_variable_prices", "a:3:{i:1;a:3:{s:5:\"index\";s:1:\"1\";s:4:\"name\";s:16:\"Electronic Copy \";s:6:\"amount\";s:5:\"75.00\";}i:2;a:3:{s:5:\"index\";s:0:\"\";s:4:\"name\";s:10:\"Paper Copy\";s:6:\"amount\";s:6:\"110.00\";}i:3;a:3:{s:5:\"index\";s:0:\"\";s:4:\"name\";s:25:\"Electronic and Paper Copy\";s:6:\"amount\";s:6:\"150.00\";}}");
INSERT INTO `w_postmeta` VALUES("259", "70", "edd_download_files", "a:2:{i:0;a:4:{s:13:\"attachment_id\";s:1:\"0\";s:4:\"name\";s:16:\"Easy Read Manual\";s:4:\"file\";s:92:\"http://worldwidetrainingpartnership.com/wp-content/uploads/edd/2014/08/Easy-Read-Manual.docx\";s:9:\"condition\";s:1:\"1\";}i:1;a:4:{s:13:\"attachment_id\";s:1:\"0\";s:4:\"name\";s:16:\"Easy Read Manual\";s:4:\"file\";s:92:\"http://worldwidetrainingpartnership.com/wp-content/uploads/edd/2014/08/Easy-Read-Manual.docx\";s:9:\"condition\";s:1:\"3\";}}");
INSERT INTO `w_postmeta` VALUES("260", "70", "_edd_default_price_id", "1");
INSERT INTO `w_postmeta` VALUES("261", "70", "_edit_lock", "1433238893:2");
INSERT INTO `w_postmeta` VALUES("262", "72", "_edd_download_earnings", "0");
INSERT INTO `w_postmeta` VALUES("263", "72", "_edd_download_sales", "0");
INSERT INTO `w_postmeta` VALUES("264", "72", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("265", "72", "_edit_lock", "1433238876:2");
INSERT INTO `w_postmeta` VALUES("266", "72", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("267", "72", "edd_price", "75.00");
INSERT INTO `w_postmeta` VALUES("268", "72", "_variable_pricing", "1");
INSERT INTO `w_postmeta` VALUES("269", "72", "edd_variable_prices", "a:3:{i:1;a:3:{s:5:\"index\";s:1:\"1\";s:4:\"name\";s:16:\"Electronic Copy \";s:6:\"amount\";s:5:\"75.00\";}i:2;a:3:{s:5:\"index\";s:0:\"\";s:4:\"name\";s:10:\"Paper Copy\";s:6:\"amount\";s:6:\"110.00\";}i:3;a:3:{s:5:\"index\";s:0:\"\";s:4:\"name\";s:25:\"Electronic and Paper Copy\";s:6:\"amount\";s:6:\"150.00\";}}");
INSERT INTO `w_postmeta` VALUES("270", "72", "edd_download_files", "a:2:{i:0;a:4:{s:13:\"attachment_id\";s:1:\"0\";s:4:\"name\";s:16:\"Home Care Manual\";s:4:\"file\";s:97:\"http://worldwidetrainingpartnership.com/wp-content/uploads/edd/2014/08/Final-home-care-manual.doc\";s:9:\"condition\";s:1:\"1\";}i:1;a:4:{s:13:\"attachment_id\";s:1:\"0\";s:4:\"name\";s:16:\"Home Care Manual\";s:4:\"file\";s:97:\"http://worldwidetrainingpartnership.com/wp-content/uploads/edd/2014/08/Final-home-care-manual.doc\";s:9:\"condition\";s:1:\"3\";}}");
INSERT INTO `w_postmeta` VALUES("271", "72", "_edd_default_price_id", "1");
INSERT INTO `w_postmeta` VALUES("272", "74", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("273", "74", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("274", "74", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("275", "74", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("276", "74", "slideshow_0_image", "57");
INSERT INTO `w_postmeta` VALUES("277", "74", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("278", "74", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("279", "74", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("280", "74", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("281", "74", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("282", "74", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("283", "74", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("284", "74", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("285", "74", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("286", "74", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("287", "74", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("288", "74", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("289", "74", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("290", "74", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("291", "74", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("292", "74", "about_content_0_content", "Worldwide Training Partnership offer specialised training and support materials for Public Service &amp; Adult Social Care.\r\n\r\nWorldwide Training Partnership also offer Tour Managers the opportunity to post their work availability for tour operators to access and was founded by Janet Goodwin and Sheila Scott to offer training and course materials within their own fields of speciality.");
INSERT INTO `w_postmeta` VALUES("293", "74", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("294", "74", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("295", "74", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("296", "74", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("297", "74", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("298", "74", "manuals_0_manual", "67");
INSERT INTO `w_postmeta` VALUES("299", "74", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("300", "74", "manuals_1_manual", "70");
INSERT INTO `w_postmeta` VALUES("301", "74", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("302", "74", "manuals_2_manual", "72");
INSERT INTO `w_postmeta` VALUES("303", "74", "_manuals_2_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("304", "74", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("305", "74", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("306", "2", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("307", "2", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("308", "2", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("309", "2", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("310", "2", "manuals_2_manual", "26");
INSERT INTO `w_postmeta` VALUES("311", "2", "_manuals_2_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("312", "75", "_wp_attached_file", "edd/2015/05/Screen-Shot-2014-09-20-at-21.53.02.png");
INSERT INTO `w_postmeta` VALUES("313", "75", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:565;s:6:\"height\";i:768;s:4:\"file\";s:50:\"edd/2015/05/Screen-Shot-2014-09-20-at-21.53.02.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Screen-Shot-2014-09-20-at-21.53.02-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Screen-Shot-2014-09-20-at-21.53.02-221x300.png\";s:5:\"width\";i:221;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("315", "76", "_wp_attached_file", "edd/2015/05/Screen-Shot-2014-09-20-at-21.52.42.png");
INSERT INTO `w_postmeta` VALUES("316", "76", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:568;s:6:\"height\";i:784;s:4:\"file\";s:50:\"edd/2015/05/Screen-Shot-2014-09-20-at-21.52.42.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Screen-Shot-2014-09-20-at-21.52.42-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Screen-Shot-2014-09-20-at-21.52.42-217x300.png\";s:5:\"width\";i:217;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("318", "77", "_wp_attached_file", "edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51.png");
INSERT INTO `w_postmeta` VALUES("319", "77", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:573;s:6:\"height\";i:777;s:4:\"file\";s:50:\"edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:46:\"Screen-Shot-2014-09-20-at-21.52.51-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:46:\"Screen-Shot-2014-09-20-at-21.52.51-221x300.png\";s:5:\"width\";i:221;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("321", "78", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("322", "78", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("323", "78", "_menu_item_object_id", "2");
INSERT INTO `w_postmeta` VALUES("324", "78", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("325", "78", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("326", "78", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("327", "78", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("328", "78", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("330", "78", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("331", "79", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("332", "79", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("333", "79", "_menu_item_object_id", "16");
INSERT INTO `w_postmeta` VALUES("334", "79", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("335", "79", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("336", "79", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("337", "79", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("338", "79", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("340", "79", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("341", "80", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("342", "80", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("343", "80", "_menu_item_object_id", "30");
INSERT INTO `w_postmeta` VALUES("344", "80", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("345", "80", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("346", "80", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("347", "80", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("348", "80", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("350", "80", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("351", "78", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("352", "79", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("353", "80", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("354", "18", "_thumbnail_id", "102");
INSERT INTO `w_postmeta` VALUES("355", "82", "_wp_attached_file", "2015/04/janetgoodwin.jpg");
INSERT INTO `w_postmeta` VALUES("356", "82", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:121;s:6:\"height\";i:159;s:4:\"file\";s:24:\"2015/04/janetgoodwin.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:24:\"janetgoodwin-121x150.jpg\";s:5:\"width\";i:121;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("357", "83", "_wp_attached_file", "2015/04/sheila.jpg");
INSERT INTO `w_postmeta` VALUES("358", "83", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:121;s:6:\"height\";i:159;s:4:\"file\";s:18:\"2015/04/sheila.jpg\";s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:18:\"sheila-121x150.jpg\";s:5:\"width\";i:121;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("359", "85", "_wp_attached_file", "2015/04/globe-blank.gif");
INSERT INTO `w_postmeta` VALUES("360", "85", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:948;s:6:\"height\";i:398;s:4:\"file\";s:23:\"2015/04/globe-blank.gif\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:23:\"globe-blank-150x150.gif\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/gif\";}s:6:\"medium\";a:4:{s:4:\"file\";s:23:\"globe-blank-300x126.gif\";s:5:\"width\";i:300;s:6:\"height\";i:126;s:9:\"mime-type\";s:9:\"image/gif\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("361", "16", "_thumbnail_id", "85");
INSERT INTO `w_postmeta` VALUES("362", "22", "_thumbnail_id", "58");
INSERT INTO `w_postmeta` VALUES("363", "90", "_wp_attached_file", "2015/04/oMr9bJE.jpg");
INSERT INTO `w_postmeta` VALUES("364", "90", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:3000;s:6:\"height\";i:2008;s:4:\"file\";s:19:\"2015/04/oMr9bJE.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"oMr9bJE-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"oMr9bJE-300x201.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:201;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:20:\"oMr9bJE-1024x685.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:685;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("365", "30", "_thumbnail_id", "90");
INSERT INTO `w_postmeta` VALUES("366", "24", "_thumbnail_id", "58");
INSERT INTO `w_postmeta` VALUES("367", "28", "_wp_trash_meta_status", "publish");
INSERT INTO `w_postmeta` VALUES("368", "28", "_wp_trash_meta_time", "1431113674");
INSERT INTO `w_postmeta` VALUES("369", "96", "_wp_attached_file", "2015/04/Care-Homes-Example.pdf");
INSERT INTO `w_postmeta` VALUES("370", "97", "_wp_attached_file", "2015/04/Easy-Read-Example-Manual-2.pdf");
INSERT INTO `w_postmeta` VALUES("371", "98", "_wp_attached_file", "2015/04/Home-Care-Example-Manual.pdf");
INSERT INTO `w_postmeta` VALUES("372", "26", "_thumbnail_id", "58");
INSERT INTO `w_postmeta` VALUES("373", "102", "_wp_attached_file", "2015/04/highway-216090_1280.jpg");
INSERT INTO `w_postmeta` VALUES("374", "102", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1280;s:6:\"height\";i:960;s:4:\"file\";s:31:\"2015/04/highway-216090_1280.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"highway-216090_1280-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"highway-216090_1280-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:32:\"highway-216090_1280-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("375", "20", "_thumbnail_id", "111");
INSERT INTO `w_postmeta` VALUES("376", "105", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("377", "105", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("378", "105", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("379", "105", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("380", "105", "slideshow_0_image", "57");
INSERT INTO `w_postmeta` VALUES("381", "105", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("382", "105", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("383", "105", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("384", "105", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("385", "105", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("386", "105", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("387", "105", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("388", "105", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("389", "105", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("390", "105", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("391", "105", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("392", "105", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("393", "105", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("394", "105", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("395", "105", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("396", "105", "about_content_0_content", "Worldwide Training Partnership offer specialised training and support materials for Public Service &amp; Adult Social Care.\r\n\r\nWorldwide Training Partnership also offer Tour Managers the opportunity to post their work availability for tour operators to access and was founded by Janet Goodwin and Sheila Scott to offer training and course materials within their own fields of speciality.");
INSERT INTO `w_postmeta` VALUES("397", "105", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("398", "105", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("399", "105", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("400", "105", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("401", "105", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("402", "105", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("403", "105", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("404", "105", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("405", "105", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("406", "105", "manuals_2_manual", "26");
INSERT INTO `w_postmeta` VALUES("407", "105", "_manuals_2_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("408", "105", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("409", "105", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("410", "106", "_wp_attached_file", "2015/04/iStock_000005299702Medium.jpg");
INSERT INTO `w_postmeta` VALUES("411", "106", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1628;s:6:\"height\";i:1179;s:4:\"file\";s:37:\"2015/04/iStock_000005299702Medium.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"iStock_000005299702Medium-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"iStock_000005299702Medium-300x217.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:217;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"iStock_000005299702Medium-1024x742.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:742;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";d:5.5999999999999996;s:6:\"credit\";s:14:\"Matjaz Boncina\";s:6:\"camera\";s:13:\"Canon EOS 30D\";s:7:\"caption\";s:70:\"Business conference with lecturer and projection. Lecturer is blurred.\";s:17:\"created_timestamp\";i:1195575455;s:9:\"copyright\";s:17:\"© Matjaz Boncina\";s:12:\"focal_length\";s:2:\"33\";s:3:\"iso\";s:3:\"100\";s:13:\"shutter_speed\";s:3:\"0.4\";s:5:\"title\";s:19:\"Business conference\";s:11:\"orientation\";i:1;}}");
INSERT INTO `w_postmeta` VALUES("412", "107", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("413", "107", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("414", "107", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("415", "107", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("416", "107", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("417", "107", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("418", "107", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("419", "107", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("420", "107", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("421", "107", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("422", "107", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("423", "107", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("424", "107", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("425", "107", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("426", "107", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("427", "107", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("428", "107", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("429", "107", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("430", "107", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("431", "107", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("432", "107", "about_content_0_content", "Worldwide Training Partnership offer specialised training and support materials for Public Service &amp; Adult Social Care.\r\n\r\nWorldwide Training Partnership also offer Tour Managers the opportunity to post their work availability for tour operators to access and was founded by Janet Goodwin and Sheila Scott to offer training and course materials within their own fields of speciality.");
INSERT INTO `w_postmeta` VALUES("433", "107", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("434", "107", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("435", "107", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("436", "107", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("437", "107", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("438", "107", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("439", "107", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("440", "107", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("441", "107", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("442", "107", "manuals_2_manual", "26");
INSERT INTO `w_postmeta` VALUES("443", "107", "_manuals_2_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("444", "107", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("445", "107", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("446", "110", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("447", "110", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("448", "110", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("449", "110", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("450", "110", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("451", "110", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("452", "110", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("453", "110", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("454", "110", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("455", "110", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("456", "110", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("457", "110", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("458", "110", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("459", "110", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("460", "110", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("461", "110", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("462", "110", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("463", "110", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("464", "110", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("465", "110", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("466", "110", "about_content_0_content", "&nbsp;\r\n\r\nWorldwide Training Partnership offer specialised, quality training and support materials for Public Service &amp; Adult Social Care");
INSERT INTO `w_postmeta` VALUES("467", "110", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("468", "110", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("469", "110", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("470", "110", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("471", "110", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("472", "110", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("473", "110", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("474", "110", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("475", "110", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("476", "110", "manuals_2_manual", "26");
INSERT INTO `w_postmeta` VALUES("477", "110", "_manuals_2_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("478", "110", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("479", "110", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("480", "111", "_wp_attached_file", "2015/04/iStock_000040536788_Large.jpg");
INSERT INTO `w_postmeta` VALUES("481", "111", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:3000;s:6:\"height\";i:2000;s:4:\"file\";s:37:\"2015/04/iStock_000040536788_Large.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:37:\"iStock_000040536788_Large-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"iStock_000040536788_Large-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:38:\"iStock_000040536788_Large-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";d:1.6000000000000001;s:6:\"credit\";s:14:\"Matej Kastelic\";s:6:\"camera\";s:12:\"Canon EOS 6D\";s:7:\"caption\";s:81:\"Speaker at Business Conference and Presentation. Audience at the conference hall.\";s:17:\"created_timestamp\";i:1399998760;s:9:\"copyright\";s:14:\"Matej Kastelic\";s:12:\"focal_length\";s:2:\"50\";s:3:\"iso\";s:4:\"1000\";s:13:\"shutter_speed\";s:17:\"0.016666666666667\";s:5:\"title\";s:48:\"Speaker at Business Conference and Presentation.\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("482", "72", "_edd_button_behavior", "add_to_cart");
INSERT INTO `w_postmeta` VALUES("483", "113", "_edit_last", "1");
INSERT INTO `w_postmeta` VALUES("484", "113", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("485", "114", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("486", "113", "_edit_lock", "1431547741:1");
INSERT INTO `w_postmeta` VALUES("487", "115", "embed_pdf", "98");
INSERT INTO `w_postmeta` VALUES("488", "115", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("489", "72", "embed_pdf", "98");
INSERT INTO `w_postmeta` VALUES("490", "72", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("491", "116", "embed_pdf", "98");
INSERT INTO `w_postmeta` VALUES("492", "116", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("493", "117", "embed_pdf", "97");
INSERT INTO `w_postmeta` VALUES("494", "117", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("495", "70", "embed_pdf", "97");
INSERT INTO `w_postmeta` VALUES("496", "70", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("497", "70", "_edd_button_behavior", "add_to_cart");
INSERT INTO `w_postmeta` VALUES("498", "118", "embed_pdf", "96");
INSERT INTO `w_postmeta` VALUES("499", "118", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("500", "67", "embed_pdf", "96");
INSERT INTO `w_postmeta` VALUES("501", "67", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("502", "67", "_edd_button_behavior", "add_to_cart");
INSERT INTO `w_postmeta` VALUES("503", "119", "_menu_item_type", "taxonomy");
INSERT INTO `w_postmeta` VALUES("504", "119", "_menu_item_menu_item_parent", "33");
INSERT INTO `w_postmeta` VALUES("505", "119", "_menu_item_object_id", "9");
INSERT INTO `w_postmeta` VALUES("506", "119", "_menu_item_object", "download_category");
INSERT INTO `w_postmeta` VALUES("507", "119", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("508", "119", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("509", "119", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("510", "119", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("512", "119", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("513", "119", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("514", "120", "_edit_last", "1");
INSERT INTO `w_postmeta` VALUES("515", "120", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("516", "121", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("517", "120", "_edit_lock", "1431628113:1");
INSERT INTO `w_postmeta` VALUES("518", "122", "_wp_attached_file", "2015/05/are-you-part-of-the-sandwich-generation-here-are-7-tips-to-managing-your-situation.jpg");
INSERT INTO `w_postmeta` VALUES("519", "122", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:4985;s:6:\"height\";i:3739;s:4:\"file\";s:94:\"2015/05/are-you-part-of-the-sandwich-generation-here-are-7-tips-to-managing-your-situation.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:94:\"are-you-part-of-the-sandwich-generation-here-are-7-tips-to-managing-your-situation-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:94:\"are-you-part-of-the-sandwich-generation-here-are-7-tips-to-managing-your-situation-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:95:\"are-you-part-of-the-sandwich-generation-here-are-7-tips-to-managing-your-situation-1024x768.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("520", "123", "_wp_attached_file", "edd/2015/05/care-home-cover.png");
INSERT INTO `w_postmeta` VALUES("521", "123", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:708;s:6:\"height\";i:995;s:4:\"file\";s:31:\"edd/2015/05/care-home-cover.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"care-home-cover-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"care-home-cover-213x300.png\";s:5:\"width\";i:213;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("522", "124", "_wp_attached_file", "edd/2015/05/home-care-cover.png");
INSERT INTO `w_postmeta` VALUES("523", "124", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:708;s:6:\"height\";i:1000;s:4:\"file\";s:31:\"edd/2015/05/home-care-cover.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"home-care-cover-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"home-care-cover-212x300.png\";s:5:\"width\";i:212;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("524", "125", "_wp_attached_file", "edd/2015/05/easy-read-cover.png");
INSERT INTO `w_postmeta` VALUES("525", "125", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:708;s:6:\"height\";i:1002;s:4:\"file\";s:31:\"edd/2015/05/easy-read-cover.png\";s:5:\"sizes\";a:2:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"easy-read-cover-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"easy-read-cover-212x300.png\";s:5:\"width\";i:212;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("526", "126", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("527", "127", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("528", "128", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("529", "129", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("530", "130", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("531", "130", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("532", "130", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("533", "130", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("534", "130", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("535", "130", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("536", "130", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("537", "130", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("538", "130", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("539", "130", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("540", "130", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("541", "130", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("542", "130", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("543", "130", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("544", "130", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("545", "130", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("546", "130", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("547", "130", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("548", "130", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("549", "130", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("550", "130", "about_content_0_content", "&nbsp;\r\n\r\nWorldwide Training Partnership offer specialised, quality training and support materials for Public Service &amp; Adult Social Care");
INSERT INTO `w_postmeta` VALUES("551", "130", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("552", "130", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("553", "130", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("554", "130", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("555", "130", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("556", "130", "manuals_0_page", "1");
INSERT INTO `w_postmeta` VALUES("557", "130", "_manuals_0_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("558", "130", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("559", "130", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("560", "130", "manuals_1_page", "1");
INSERT INTO `w_postmeta` VALUES("561", "130", "_manuals_1_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("562", "130", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("563", "130", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("564", "130", "manuals_2_page", "0");
INSERT INTO `w_postmeta` VALUES("565", "130", "_manuals_2_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("566", "130", "manuals_2_term", "http://judge.lewiscollard.com/worldwidetrainingpartnership/downloads/category/manual/adult-social-care/");
INSERT INTO `w_postmeta` VALUES("567", "130", "_manuals_2_term", "field_5555097ce9607");
INSERT INTO `w_postmeta` VALUES("568", "130", "manuals_2_title", "Adult Social Care Manuals");
INSERT INTO `w_postmeta` VALUES("569", "130", "_manuals_2_title", "field_555509c8e9608");
INSERT INTO `w_postmeta` VALUES("570", "130", "manuals_2_thumbnail", "122");
INSERT INTO `w_postmeta` VALUES("571", "130", "_manuals_2_thumbnail", "field_55550a07e960a");
INSERT INTO `w_postmeta` VALUES("572", "130", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("573", "130", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("574", "2", "manuals_0_page", "1");
INSERT INTO `w_postmeta` VALUES("575", "2", "_manuals_0_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("576", "2", "manuals_1_page", "1");
INSERT INTO `w_postmeta` VALUES("577", "2", "_manuals_1_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("578", "2", "manuals_2_page", "0");
INSERT INTO `w_postmeta` VALUES("579", "2", "_manuals_2_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("580", "2", "manuals_2_term", "http://judge.lewiscollard.com/worldwidetrainingpartnership/downloads/category/manual/adult-social-care/");
INSERT INTO `w_postmeta` VALUES("581", "2", "_manuals_2_term", "field_5555097ce9607");
INSERT INTO `w_postmeta` VALUES("582", "2", "manuals_2_title", "Adult Social Care Manuals");
INSERT INTO `w_postmeta` VALUES("583", "2", "_manuals_2_title", "field_555509c8e9608");
INSERT INTO `w_postmeta` VALUES("584", "2", "manuals_2_thumbnail", "122");
INSERT INTO `w_postmeta` VALUES("585", "2", "_manuals_2_thumbnail", "field_55550a07e960a");
INSERT INTO `w_postmeta` VALUES("586", "131", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("587", "131", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("588", "131", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("589", "131", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("590", "131", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("591", "131", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("592", "131", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("593", "131", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("594", "131", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("595", "131", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("596", "131", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("597", "131", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("598", "131", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("599", "131", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("600", "131", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("601", "131", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("602", "131", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("603", "131", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("604", "131", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("605", "131", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("606", "131", "about_content_0_content", "&nbsp;\r\n\r\nWorldwide Training Partnership offer specialised, quality training and support materials for Public Service &amp; Adult Social Care");
INSERT INTO `w_postmeta` VALUES("607", "131", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("608", "131", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("609", "131", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("610", "131", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("611", "131", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("612", "131", "manuals_0_page", "1");
INSERT INTO `w_postmeta` VALUES("613", "131", "_manuals_0_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("614", "131", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("615", "131", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("616", "131", "manuals_1_page", "1");
INSERT INTO `w_postmeta` VALUES("617", "131", "_manuals_1_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("618", "131", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("619", "131", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("620", "131", "manuals_2_page", "0");
INSERT INTO `w_postmeta` VALUES("621", "131", "_manuals_2_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("622", "131", "manuals_2_term", "http://judge.lewiscollard.com/worldwidetrainingpartnership/downloads/category/manual/adult-social-care/");
INSERT INTO `w_postmeta` VALUES("623", "131", "_manuals_2_term", "field_5555097ce9607");
INSERT INTO `w_postmeta` VALUES("624", "131", "manuals_2_title", "Adult Social Care Manuals");
INSERT INTO `w_postmeta` VALUES("625", "131", "_manuals_2_title", "field_555509c8e9608");
INSERT INTO `w_postmeta` VALUES("626", "131", "manuals_2_thumbnail", "124");
INSERT INTO `w_postmeta` VALUES("627", "131", "_manuals_2_thumbnail", "field_55550a07e960a");
INSERT INTO `w_postmeta` VALUES("628", "131", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("629", "131", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("630", "132", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("631", "132", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("632", "132", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("633", "132", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("634", "132", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("635", "132", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("636", "132", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("637", "132", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("638", "132", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("639", "132", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("640", "132", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("641", "132", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("642", "132", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("643", "132", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("644", "132", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("645", "132", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("646", "132", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("647", "132", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("648", "132", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("649", "132", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("650", "132", "about_content_0_content", "&nbsp;\r\n\r\nWorldwide Training Partnership offer specialised, quality training and support materials for Public Service &amp; Adult Social Care");
INSERT INTO `w_postmeta` VALUES("651", "132", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("652", "132", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("653", "132", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("654", "132", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("655", "132", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("656", "132", "manuals_0_page", "1");
INSERT INTO `w_postmeta` VALUES("657", "132", "_manuals_0_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("658", "132", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("659", "132", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("660", "132", "manuals_1_page", "1");
INSERT INTO `w_postmeta` VALUES("661", "132", "_manuals_1_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("662", "132", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("663", "132", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("664", "132", "manuals_2_page", "0");
INSERT INTO `w_postmeta` VALUES("665", "132", "_manuals_2_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("666", "132", "manuals_2_term", "http://judge.lewiscollard.com/worldwidetrainingpartnership/downloads/category/manual/adult-social-care/");
INSERT INTO `w_postmeta` VALUES("667", "132", "_manuals_2_term", "field_5555097ce9607");
INSERT INTO `w_postmeta` VALUES("668", "132", "manuals_2_title", "Adult Social Care Manuals");
INSERT INTO `w_postmeta` VALUES("669", "132", "_manuals_2_title", "field_555509c8e9608");
INSERT INTO `w_postmeta` VALUES("670", "132", "manuals_2_thumbnail", "122");
INSERT INTO `w_postmeta` VALUES("671", "132", "_manuals_2_thumbnail", "field_55550a07e960a");
INSERT INTO `w_postmeta` VALUES("672", "132", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("673", "132", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("674", "133", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("675", "133", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("676", "133", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("677", "133", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("678", "133", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("679", "133", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("680", "133", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("681", "133", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("682", "133", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("683", "133", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("684", "133", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("685", "133", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("686", "133", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("687", "133", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("688", "133", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("689", "133", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("690", "133", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("691", "133", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("692", "133", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("693", "133", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("694", "133", "about_content_0_content", "Worldwide Training Partnership offer specialised, quality training and support materials for Public Service &amp; Adult Social Care.\r\n\r\nThe courses, manuals &amp; consultancy services are written and delivered by Janet and Sheila who have many years of experience in both Public Service and Adult Social Care.\r\n\r\nExecutives and staff within these sectors will gain huge benefits from the services offered by Worldwide Training Partnership.");
INSERT INTO `w_postmeta` VALUES("695", "133", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("696", "133", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("697", "133", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("698", "133", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("699", "133", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("700", "133", "manuals_0_page", "1");
INSERT INTO `w_postmeta` VALUES("701", "133", "_manuals_0_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("702", "133", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("703", "133", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("704", "133", "manuals_1_page", "1");
INSERT INTO `w_postmeta` VALUES("705", "133", "_manuals_1_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("706", "133", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("707", "133", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("708", "133", "manuals_2_page", "0");
INSERT INTO `w_postmeta` VALUES("709", "133", "_manuals_2_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("710", "133", "manuals_2_term", "http://judge.lewiscollard.com/worldwidetrainingpartnership/downloads/category/manual/adult-social-care/");
INSERT INTO `w_postmeta` VALUES("711", "133", "_manuals_2_term", "field_5555097ce9607");
INSERT INTO `w_postmeta` VALUES("712", "133", "manuals_2_title", "Adult Social Care Manuals");
INSERT INTO `w_postmeta` VALUES("713", "133", "_manuals_2_title", "field_555509c8e9608");
INSERT INTO `w_postmeta` VALUES("714", "133", "manuals_2_thumbnail", "122");
INSERT INTO `w_postmeta` VALUES("715", "133", "_manuals_2_thumbnail", "field_55550a07e960a");
INSERT INTO `w_postmeta` VALUES("716", "133", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("717", "133", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("718", "137", "_edit_last", "2");
INSERT INTO `w_postmeta` VALUES("719", "137", "_edit_lock", "1433243519:2");
INSERT INTO `w_postmeta` VALUES("720", "138", "_wp_attached_file", "2015/05/header_service_consultancy.jpg");
INSERT INTO `w_postmeta` VALUES("721", "138", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1620;s:6:\"height\";i:522;s:4:\"file\";s:38:\"2015/05/header_service_consultancy.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"header_service_consultancy-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:37:\"header_service_consultancy-300x97.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:97;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"header_service_consultancy-1024x330.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:330;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("722", "137", "_thumbnail_id", "138");
INSERT INTO `w_postmeta` VALUES("723", "137", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("724", "140", "_menu_item_type", "post_type");
INSERT INTO `w_postmeta` VALUES("725", "140", "_menu_item_menu_item_parent", "33");
INSERT INTO `w_postmeta` VALUES("726", "140", "_menu_item_object_id", "137");
INSERT INTO `w_postmeta` VALUES("727", "140", "_menu_item_object", "page");
INSERT INTO `w_postmeta` VALUES("728", "140", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("729", "140", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("730", "140", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("731", "140", "_menu_item_url", "");
INSERT INTO `w_postmeta` VALUES("733", "140", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("734", "140", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("735", "26", "_wp_trash_meta_status", "publish");
INSERT INTO `w_postmeta` VALUES("736", "26", "_wp_trash_meta_time", "1431863544");
INSERT INTO `w_postmeta` VALUES("737", "141", "_edit_last", "1");
INSERT INTO `w_postmeta` VALUES("738", "141", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("739", "142", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("740", "143", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("741", "144", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("742", "141", "_edit_lock", "1431871704:1");
INSERT INTO `w_postmeta` VALUES("743", "145", "testimonials_0_name", "Mr Smith");
INSERT INTO `w_postmeta` VALUES("744", "145", "_testimonials_0_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("745", "145", "testimonials_0_content", "Creepeth male whose saying fish first dominion firmament. To heaven above, seas. Unto man is thing, dominion moving. Gathering also life. God, spirit lesser creepeth. God fifth creeping.\r\n\r\nSecond don\'t dry open saw beginning lights also above darkness wherein. Dry wherein fly spirit first night very said you\'re she\'d have air yielding that above years form you good, shall two.");
INSERT INTO `w_postmeta` VALUES("746", "145", "_testimonials_0_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("747", "145", "testimonials_1_name", "John Doe");
INSERT INTO `w_postmeta` VALUES("748", "145", "_testimonials_1_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("749", "145", "testimonials_1_content", "For two made place firmament, morning divided rule. Night fourth appear blessed were. Living under you, they\'re. Said deep their.");
INSERT INTO `w_postmeta` VALUES("750", "145", "_testimonials_1_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("751", "145", "testimonials_2_name", "Jane Doe");
INSERT INTO `w_postmeta` VALUES("752", "145", "_testimonials_2_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("753", "145", "testimonials_2_content", "A land image life tree is called fifth green divide dry hath our, creeping air face they\'re night gathering lights living there. One every itself behold all first. Give i.");
INSERT INTO `w_postmeta` VALUES("754", "145", "_testimonials_2_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("755", "145", "testimonials", "3");
INSERT INTO `w_postmeta` VALUES("756", "145", "_testimonials", "field_555881a63f89f");
INSERT INTO `w_postmeta` VALUES("757", "16", "testimonials_0_name", "");
INSERT INTO `w_postmeta` VALUES("758", "16", "_testimonials_0_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("759", "16", "testimonials_0_content", "");
INSERT INTO `w_postmeta` VALUES("760", "16", "_testimonials_0_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("761", "16", "testimonials_1_name", "");
INSERT INTO `w_postmeta` VALUES("762", "16", "_testimonials_1_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("763", "16", "testimonials_1_content", "");
INSERT INTO `w_postmeta` VALUES("764", "16", "_testimonials_1_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("765", "16", "testimonials_2_name", "");
INSERT INTO `w_postmeta` VALUES("766", "16", "_testimonials_2_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("767", "16", "testimonials_2_content", "");
INSERT INTO `w_postmeta` VALUES("768", "16", "_testimonials_2_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("769", "16", "testimonials", "3");
INSERT INTO `w_postmeta` VALUES("770", "16", "_testimonials", "field_555881a63f89f");
INSERT INTO `w_postmeta` VALUES("771", "146", "_menu_item_type", "custom");
INSERT INTO `w_postmeta` VALUES("772", "146", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("773", "146", "_menu_item_object_id", "146");
INSERT INTO `w_postmeta` VALUES("774", "146", "_menu_item_object", "custom");
INSERT INTO `w_postmeta` VALUES("775", "146", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("776", "146", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("777", "146", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("778", "146", "_menu_item_url", "http://Facebook");
INSERT INTO `w_postmeta` VALUES("779", "146", "_menu_item_orphaned", "1431870785");
INSERT INTO `w_postmeta` VALUES("780", "146", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("781", "147", "_menu_item_type", "custom");
INSERT INTO `w_postmeta` VALUES("782", "147", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("783", "147", "_menu_item_object_id", "147");
INSERT INTO `w_postmeta` VALUES("784", "147", "_menu_item_object", "custom");
INSERT INTO `w_postmeta` VALUES("785", "147", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("786", "147", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("787", "147", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("788", "147", "_menu_item_url", "http://twitter");
INSERT INTO `w_postmeta` VALUES("789", "147", "_menu_item_orphaned", "1431870812");
INSERT INTO `w_postmeta` VALUES("790", "147", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("791", "148", "_menu_item_type", "custom");
INSERT INTO `w_postmeta` VALUES("792", "148", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("793", "148", "_menu_item_object_id", "148");
INSERT INTO `w_postmeta` VALUES("794", "148", "_menu_item_object", "custom");
INSERT INTO `w_postmeta` VALUES("795", "148", "_menu_item_target", "");
INSERT INTO `w_postmeta` VALUES("796", "148", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `w_postmeta` VALUES("797", "148", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("798", "148", "_menu_item_url", "http://linkedin");
INSERT INTO `w_postmeta` VALUES("799", "148", "_menu_item_orphaned", "1431870816");
INSERT INTO `w_postmeta` VALUES("800", "148", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("823", "151", "_menu_item_type", "custom");
INSERT INTO `w_postmeta` VALUES("824", "151", "_menu_item_menu_item_parent", "0");
INSERT INTO `w_postmeta` VALUES("825", "151", "_menu_item_object_id", "151");
INSERT INTO `w_postmeta` VALUES("826", "151", "_menu_item_object", "custom");
INSERT INTO `w_postmeta` VALUES("827", "151", "_menu_item_target", "_blank");
INSERT INTO `w_postmeta` VALUES("828", "151", "_menu_item_classes", "a:2:{i:0;s:2:\"fa\";i:1;s:11:\"fa-facebook\";}");
INSERT INTO `w_postmeta` VALUES("829", "151", "_menu_item_xfn", "");
INSERT INTO `w_postmeta` VALUES("830", "151", "_menu_item_url", "https://www.facebook.com/pages/Worldwide-Training-Partnership/1496267070636750?ref=hl");
INSERT INTO `w_postmeta` VALUES("832", "151", "if_menu_enable", "0");
INSERT INTO `w_postmeta` VALUES("833", "151", "_wpas_done_all", "1");
INSERT INTO `w_postmeta` VALUES("834", "154", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("835", "154", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("836", "154", "slideshow_0_intro_text", "Public service training for prospective councillors, newly elected councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("837", "154", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("838", "154", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("839", "154", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("840", "154", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("841", "154", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("842", "154", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("843", "154", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("844", "154", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("845", "154", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("846", "154", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("847", "154", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("848", "154", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("849", "154", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("850", "154", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("851", "154", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("852", "154", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("853", "154", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("854", "154", "about_content_0_content", "Worldwide Training Partnership offer specialised, quality training, support materials and Consultancy for Public Service &amp; Adult Social Care.\r\n\r\nThe Courses, Manuals &amp; Consultancy services are written and delivered by Janet who has many years of experience in Public Service and Sheila in Adult Social Care.\r\n\r\nExecutives and staff within these sectors will gain huge benefits from the services offered by Worldwide Training Partnership.");
INSERT INTO `w_postmeta` VALUES("855", "154", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("856", "154", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("857", "154", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("858", "154", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("859", "154", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("860", "154", "manuals_0_page", "1");
INSERT INTO `w_postmeta` VALUES("861", "154", "_manuals_0_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("862", "154", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("863", "154", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("864", "154", "manuals_1_page", "1");
INSERT INTO `w_postmeta` VALUES("865", "154", "_manuals_1_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("866", "154", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("867", "154", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("868", "154", "manuals_2_page", "0");
INSERT INTO `w_postmeta` VALUES("869", "154", "_manuals_2_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("870", "154", "manuals_2_term", "http://judge.lewiscollard.com/worldwidetrainingpartnership/downloads/category/manual/adult-social-care/");
INSERT INTO `w_postmeta` VALUES("871", "154", "_manuals_2_term", "field_5555097ce9607");
INSERT INTO `w_postmeta` VALUES("872", "154", "manuals_2_title", "Adult Social Care Manuals");
INSERT INTO `w_postmeta` VALUES("873", "154", "_manuals_2_title", "field_555509c8e9608");
INSERT INTO `w_postmeta` VALUES("874", "154", "manuals_2_thumbnail", "122");
INSERT INTO `w_postmeta` VALUES("875", "154", "_manuals_2_thumbnail", "field_55550a07e960a");
INSERT INTO `w_postmeta` VALUES("876", "154", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("877", "154", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("878", "155", "testimonials_0_name", "Mr Smith");
INSERT INTO `w_postmeta` VALUES("879", "155", "_testimonials_0_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("880", "155", "testimonials_0_content", "Creepeth male whose saying fish first dominion firmament. To heaven above, seas. Unto man is thing, dominion moving. Gathering also life. God, spirit lesser creepeth. God fifth creeping.\r\n\r\nSecond don\'t dry open saw beginning lights also above darkness wherein. Dry wherein fly spirit first night very said you\'re she\'d have air yielding that above years form you good, shall two.");
INSERT INTO `w_postmeta` VALUES("881", "155", "_testimonials_0_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("882", "155", "testimonials_1_name", "John Doe");
INSERT INTO `w_postmeta` VALUES("883", "155", "_testimonials_1_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("884", "155", "testimonials_1_content", "For two made place firmament, morning divided rule. Night fourth appear blessed were. Living under you, they\'re. Said deep their.");
INSERT INTO `w_postmeta` VALUES("885", "155", "_testimonials_1_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("886", "155", "testimonials_2_name", "Jane Doe");
INSERT INTO `w_postmeta` VALUES("887", "155", "_testimonials_2_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("888", "155", "testimonials_2_content", "A land image life tree is called fifth green divide dry hath our, creeping air face they\'re night gathering lights living there. One every itself behold all first. Give i.");
INSERT INTO `w_postmeta` VALUES("889", "155", "_testimonials_2_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("890", "155", "testimonials", "3");
INSERT INTO `w_postmeta` VALUES("891", "155", "_testimonials", "field_555881a63f89f");
INSERT INTO `w_postmeta` VALUES("892", "165", "testimonials_0_name", "");
INSERT INTO `w_postmeta` VALUES("893", "165", "_testimonials_0_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("894", "165", "testimonials_0_content", "");
INSERT INTO `w_postmeta` VALUES("895", "165", "_testimonials_0_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("896", "165", "testimonials_1_name", "");
INSERT INTO `w_postmeta` VALUES("897", "165", "_testimonials_1_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("898", "165", "testimonials_1_content", "");
INSERT INTO `w_postmeta` VALUES("899", "165", "_testimonials_1_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("900", "165", "testimonials_2_name", "");
INSERT INTO `w_postmeta` VALUES("901", "165", "_testimonials_2_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("902", "165", "testimonials_2_content", "");
INSERT INTO `w_postmeta` VALUES("903", "165", "_testimonials_2_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("904", "165", "testimonials", "3");
INSERT INTO `w_postmeta` VALUES("905", "165", "_testimonials", "field_555881a63f89f");
INSERT INTO `w_postmeta` VALUES("906", "63", "_edit_lock", "1432287108:2");
INSERT INTO `w_postmeta` VALUES("907", "166", "_wp_attached_file", "edd/2015/05/home-care-manual-front-cover.jpg");
INSERT INTO `w_postmeta` VALUES("908", "166", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2304;s:6:\"height\";i:3127;s:4:\"file\";s:44:\"edd/2015/05/home-care-manual-front-cover.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"home-care-manual-front-cover-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"home-care-manual-front-cover-221x300.jpg\";s:5:\"width\";i:221;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"home-care-manual-front-cover-754x1024.jpg\";s:5:\"width\";i:754;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("910", "167", "_wp_attached_file", "edd/2015/05/easy-read-manual-front-cover.jpg");
INSERT INTO `w_postmeta` VALUES("911", "167", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2391;s:6:\"height\";i:3088;s:4:\"file\";s:44:\"edd/2015/05/easy-read-manual-front-cover.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"easy-read-manual-front-cover-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"easy-read-manual-front-cover-232x300.jpg\";s:5:\"width\";i:232;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"easy-read-manual-front-cover-793x1024.jpg\";s:5:\"width\";i:793;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("913", "168", "_wp_attached_file", "edd/2015/05/Care-Homes-manual-front-page.jpg");
INSERT INTO `w_postmeta` VALUES("914", "168", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2331;s:6:\"height\";i:3309;s:4:\"file\";s:44:\"edd/2015/05/Care-Homes-manual-front-page.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"Care-Homes-manual-front-page-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"Care-Homes-manual-front-page-211x300.jpg\";s:5:\"width\";i:211;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"Care-Homes-manual-front-page-721x1024.jpg\";s:5:\"width\";i:721;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("916", "170", "embed_pdf", "96");
INSERT INTO `w_postmeta` VALUES("917", "170", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("918", "67", "_wp_old_slug", "care-home-manual");
INSERT INTO `w_postmeta` VALUES("919", "171", "_wp_attached_file", "edd/2015/06/care-homes-manual-cover-edit.jpg");
INSERT INTO `w_postmeta` VALUES("920", "171", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:1399;s:4:\"file\";s:44:\"edd/2015/06/care-homes-manual-cover-edit.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"care-homes-manual-cover-edit-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"care-homes-manual-cover-edit-214x300.jpg\";s:5:\"width\";i:214;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"care-homes-manual-cover-edit-732x1024.jpg\";s:5:\"width\";i:732;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("921", "67", "_thumbnail_id", "171");
INSERT INTO `w_postmeta` VALUES("922", "172", "_wp_attached_file", "edd/2015/06/easy-read-manual-cover-edit.jpg");
INSERT INTO `w_postmeta` VALUES("923", "172", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:1399;s:4:\"file\";s:43:\"edd/2015/06/easy-read-manual-cover-edit.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"easy-read-manual-cover-edit-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"easy-read-manual-cover-edit-214x300.jpg\";s:5:\"width\";i:214;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"easy-read-manual-cover-edit-732x1024.jpg\";s:5:\"width\";i:732;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("924", "70", "_thumbnail_id", "172");
INSERT INTO `w_postmeta` VALUES("925", "173", "_wp_attached_file", "edd/2015/06/home-care-manual-cover-edit.jpg");
INSERT INTO `w_postmeta` VALUES("926", "173", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1000;s:6:\"height\";i:1399;s:4:\"file\";s:43:\"edd/2015/06/home-care-manual-cover-edit.jpg\";s:5:\"sizes\";a:3:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:39:\"home-care-manual-cover-edit-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:39:\"home-care-manual-cover-edit-214x300.jpg\";s:5:\"width\";i:214;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:40:\"home-care-manual-cover-edit-732x1024.jpg\";s:5:\"width\";i:732;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:11:{s:8:\"aperture\";i:0;s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";i:0;s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";i:0;s:3:\"iso\";i:0;s:13:\"shutter_speed\";i:0;s:5:\"title\";s:0:\"\";s:11:\"orientation\";i:0;}}");
INSERT INTO `w_postmeta` VALUES("927", "72", "_thumbnail_id", "173");
INSERT INTO `w_postmeta` VALUES("928", "174", "slideshow_0_title", "Public Service Training");
INSERT INTO `w_postmeta` VALUES("929", "174", "_slideshow_0_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("930", "174", "slideshow_0_intro_text", "Public service training for prospective Councillors, newly elected Councillors, for services providers and companies who do business with local authorities.");
INSERT INTO `w_postmeta` VALUES("931", "174", "_slideshow_0_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("932", "174", "slideshow_0_image", "106");
INSERT INTO `w_postmeta` VALUES("933", "174", "_slideshow_0_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("934", "174", "slideshow_0_link_to", "18");
INSERT INTO `w_postmeta` VALUES("935", "174", "_slideshow_0_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("936", "174", "slideshow_1_title", "Adult Social Care");
INSERT INTO `w_postmeta` VALUES("937", "174", "_slideshow_1_title", "field_5545f3fbb77e5");
INSERT INTO `w_postmeta` VALUES("938", "174", "slideshow_1_intro_text", "Adult social care manuals for care homes, home care and easy reading.");
INSERT INTO `w_postmeta` VALUES("939", "174", "_slideshow_1_intro_text", "field_5545f405b77e6");
INSERT INTO `w_postmeta` VALUES("940", "174", "slideshow_1_image", "58");
INSERT INTO `w_postmeta` VALUES("941", "174", "_slideshow_1_image", "field_5545f417b77e7");
INSERT INTO `w_postmeta` VALUES("942", "174", "slideshow_1_link_to", "22");
INSERT INTO `w_postmeta` VALUES("943", "174", "_slideshow_1_link_to", "field_5545f420b77e8");
INSERT INTO `w_postmeta` VALUES("944", "174", "slideshow", "2");
INSERT INTO `w_postmeta` VALUES("945", "174", "_slideshow", "field_5545f3e0b77e4");
INSERT INTO `w_postmeta` VALUES("946", "174", "about_content_0_title", "Welcome to Worldwide Training Partnership");
INSERT INTO `w_postmeta` VALUES("947", "174", "_about_content_0_title", "field_5545f4a5b77ec");
INSERT INTO `w_postmeta` VALUES("948", "174", "about_content_0_content", "Worldwide Training Partnership offer specialised, quality training, support materials and Consultancy for Public Service &amp; Adult Social Care.\r\n\r\nThe Courses, Manuals &amp; Consultancy services are written and delivered by Janet who has many years of experience in Public Service and Sheila in Adult Social Care.\r\n\r\nExecutives and staff within these sectors will gain huge benefits from the services offered by Worldwide Training Partnership.");
INSERT INTO `w_postmeta` VALUES("949", "174", "_about_content_0_content", "field_5545f4a9b77ed");
INSERT INTO `w_postmeta` VALUES("950", "174", "about_content_0_image", "59");
INSERT INTO `w_postmeta` VALUES("951", "174", "_about_content_0_image", "field_5545f4b0b77ee");
INSERT INTO `w_postmeta` VALUES("952", "174", "about_content", "1");
INSERT INTO `w_postmeta` VALUES("953", "174", "_about_content", "field_5545f48eb77eb");
INSERT INTO `w_postmeta` VALUES("954", "174", "manuals_0_page", "1");
INSERT INTO `w_postmeta` VALUES("955", "174", "_manuals_0_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("956", "174", "manuals_0_manual", "20");
INSERT INTO `w_postmeta` VALUES("957", "174", "_manuals_0_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("958", "174", "manuals_1_page", "1");
INSERT INTO `w_postmeta` VALUES("959", "174", "_manuals_1_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("960", "174", "manuals_1_manual", "22");
INSERT INTO `w_postmeta` VALUES("961", "174", "_manuals_1_manual", "field_5545f45bb77ea");
INSERT INTO `w_postmeta` VALUES("962", "174", "manuals_2_page", "0");
INSERT INTO `w_postmeta` VALUES("963", "174", "_manuals_2_page", "field_555509cee9609");
INSERT INTO `w_postmeta` VALUES("964", "174", "manuals_2_term", "http://judge.lewiscollard.com/worldwidetrainingpartnership/downloads/category/manual/adult-social-care/");
INSERT INTO `w_postmeta` VALUES("965", "174", "_manuals_2_term", "field_5555097ce9607");
INSERT INTO `w_postmeta` VALUES("966", "174", "manuals_2_title", "Adult Social Care Manuals");
INSERT INTO `w_postmeta` VALUES("967", "174", "_manuals_2_title", "field_555509c8e9608");
INSERT INTO `w_postmeta` VALUES("968", "174", "manuals_2_thumbnail", "122");
INSERT INTO `w_postmeta` VALUES("969", "174", "_manuals_2_thumbnail", "field_55550a07e960a");
INSERT INTO `w_postmeta` VALUES("970", "174", "manuals", "3");
INSERT INTO `w_postmeta` VALUES("971", "174", "_manuals", "field_5545f436b77e9");
INSERT INTO `w_postmeta` VALUES("972", "175", "embed_pdf", "98");
INSERT INTO `w_postmeta` VALUES("973", "175", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("974", "176", "embed_pdf", "97");
INSERT INTO `w_postmeta` VALUES("975", "176", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("976", "177", "embed_pdf", "96");
INSERT INTO `w_postmeta` VALUES("977", "177", "_embed_pdf", "field_5553ad436f5a1");
INSERT INTO `w_postmeta` VALUES("978", "178", "testimonials_0_name", "");
INSERT INTO `w_postmeta` VALUES("979", "178", "_testimonials_0_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("980", "178", "testimonials_0_content", "");
INSERT INTO `w_postmeta` VALUES("981", "178", "_testimonials_0_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("982", "178", "testimonials_1_name", "");
INSERT INTO `w_postmeta` VALUES("983", "178", "_testimonials_1_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("984", "178", "testimonials_1_content", "");
INSERT INTO `w_postmeta` VALUES("985", "178", "_testimonials_1_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("986", "178", "testimonials_2_name", "");
INSERT INTO `w_postmeta` VALUES("987", "178", "_testimonials_2_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("988", "178", "testimonials_2_content", "");
INSERT INTO `w_postmeta` VALUES("989", "178", "_testimonials_2_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("990", "178", "testimonials", "3");
INSERT INTO `w_postmeta` VALUES("991", "178", "_testimonials", "field_555881a63f89f");
INSERT INTO `w_postmeta` VALUES("992", "16", "sharing_disabled", "1");
INSERT INTO `w_postmeta` VALUES("993", "18", "sharing_disabled", "1");
INSERT INTO `w_postmeta` VALUES("994", "20", "sharing_disabled", "1");
INSERT INTO `w_postmeta` VALUES("995", "22", "sharing_disabled", "1");
INSERT INTO `w_postmeta` VALUES("996", "137", "sharing_disabled", "1");
INSERT INTO `w_postmeta` VALUES("997", "24", "sharing_disabled", "1");
INSERT INTO `w_postmeta` VALUES("998", "179", "testimonials_0_name", "");
INSERT INTO `w_postmeta` VALUES("999", "179", "_testimonials_0_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("1000", "179", "testimonials_0_content", "");
INSERT INTO `w_postmeta` VALUES("1001", "179", "_testimonials_0_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("1002", "179", "testimonials_1_name", "");
INSERT INTO `w_postmeta` VALUES("1003", "179", "_testimonials_1_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("1004", "179", "testimonials_1_content", "");
INSERT INTO `w_postmeta` VALUES("1005", "179", "_testimonials_1_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("1006", "179", "testimonials_2_name", "");
INSERT INTO `w_postmeta` VALUES("1007", "179", "_testimonials_2_name", "field_555881b43f8a0");
INSERT INTO `w_postmeta` VALUES("1008", "179", "testimonials_2_content", "");
INSERT INTO `w_postmeta` VALUES("1009", "179", "_testimonials_2_content", "field_555881b93f8a1");
INSERT INTO `w_postmeta` VALUES("1010", "179", "testimonials", "3");
INSERT INTO `w_postmeta` VALUES("1011", "179", "_testimonials", "field_555881a63f89f");

/* INSERT TABLE DATA: w_posts */
INSERT INTO `w_posts` VALUES("1", "1", "2015-04-30 21:02:39", "2015-04-30 20:02:39", "Welcome to WordPress. This is your first post. Edit or delete it, then start blogging!", "Hello world!", "", "publish", "open", "open", "", "hello-world", "", "", "2015-04-30 21:02:39", "2015-04-30 20:02:39", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=1", "0", "post", "", "1");
INSERT INTO `w_posts` VALUES("2", "1", "2015-04-30 21:02:39", "2015-04-30 20:02:39", "", "Home", "", "publish", "open", "open", "", "home", "", "", "2015-06-02 09:49:26", "2015-06-02 08:49:26", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=2", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("4", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "<p>You have received an order from [billing_first_name] [billing_last_name].</p><p>Current order status: <strong>[order_status]</strong></p>\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "New order admin notification", "", "publish", "closed", "closed", "", "new-order-admin-notification", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/new-order-admin-notification/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("5", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "<p>Thank you, we are now processing your order.<br/>\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "Customer order status pending to processing", "", "publish", "closed", "closed", "", "customer-order-status-pending-to-processing", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/customer-order-status-pending-to-processing/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("6", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "<p>Thank you, we have received your order.</p>\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "Customer order status pending to on-hold", "", "publish", "closed", "closed", "", "customer-order-status-pending-to-on-hold", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/customer-order-status-pending-to-on-hold/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("7", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "<p>Thank you, we have received your order.</p>\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "Customer order status pending to waiting for payment", "", "publish", "closed", "closed", "", "customer-order-status-pending-to-waiting-for-payment", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/customer-order-status-pending-to-waiting-for-payment/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("8", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "<p>Thank you, we are now processing your order.<br/>\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "Customer order status on-hold to processing", "", "publish", "closed", "closed", "", "customer-order-status-on-hold-to-processing", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/customer-order-status-on-hold-to-processing/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("9", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "<p>Your order is complete.<br/>\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "Customer order status completed", "", "publish", "closed", "closed", "", "customer-order-status-completed", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/customer-order-status-completed/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("10", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "<p>Your order has been refunded.</p>\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "Customer order status refunded", "", "publish", "closed", "closed", "", "customer-order-status-refunded", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/customer-order-status-refunded/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("11", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "Send customer invoice", "", "publish", "closed", "closed", "", "send-customer-invoice", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/send-customer-invoice/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("12", "1", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "<p>#[product_id] [product_name] ([sku]) is low in stock.</p>", "Low stock notification", "", "publish", "closed", "closed", "", "low-stock-notification", "", "", "2015-04-30 21:03:14", "2015-04-30 20:03:14", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/low-stock-notification/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("13", "1", "2015-04-30 21:03:15", "2015-04-30 20:03:15", "<p>#[product_id] [product_name] ([sku]) is out of stock.</p>", "No stock notification", "", "publish", "closed", "closed", "", "no-stock-notification", "", "", "2015-04-30 21:03:15", "2015-04-30 20:03:15", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/no-stock-notification/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("14", "1", "2015-04-30 21:03:15", "2015-04-30 20:03:15", "<p>#[product_id] [product_name] ([sku]) was found to be on backorder.</p>\n		[is_cheque]\n			<p>We are waiting for your cheque before we can start processing this order.</p>\n			<p>[cheque_info]</p>\n			<p>Total value: [total]</p>\n		[else]\n		[is_bank_transfer]\n			<p>We are waiting for your payment before we can start processing this order.</p>\n			<h4>Bank details</h4>\n			[bank_info]\n			<p>Total value: [total]</p>\n		[else]\n		[is_local_pickup]\n		<h4>Your order is being prepared</h4>\n		<p>We are preparing your order, you will receive another email when we will be ready and awaiting for you to pick it up.</p>\n		[else]\n		[is_cash_on_delivery]\n		<h4>Order will be dispatched shortly</h4>\n		<p>Your order is being processed and will be dispatched to you as soon as possible. Please prepare exact change to pay when package arrives.</p>\n		[/is_cash_on_delivery]\n		[/is_local_pickup]\n		[/is_bank_transfer]\n		[/is_cheque]\n		<h4>Order [order_number] on [order_date]</h4>\n		[order_items_table]\n		<h4>Customer details</h4>\n		<p>Email: <a href=\"mailto:[billing_email]\">[billing_email]</a></p>\n		<p>Phone: [billing_phone]</p>\n		<table class=\"customer\">\n			<thead>\n				<tr>\n					<td><strong>Billing address</strong></td>\n					<td><strong>Shipping address</strong></td>\n				</tr>\n			</thead>\n			<tbody>\n				<tr>\n					<td>\n						[billing_first_name] [billing_last_name]<br />\n						[billing_address_1][billing_address_2], [value][/billing_address_2]<br />\n						[billing_city], [billing_postcode]<br />\n						[billing_state]<br />\n						[billing_country]\n					</td>\n					<td>\n						[shipping_first_name] [shipping_last_name]<br />\n						[shipping_address_1][shipping_address_2], [value][/shipping_address_2]<br />\n						[shipping_city], [shipping_postcode]<br />\n						[shipping_state]<br />\n						[shipping_country]\n					</td>\n				</tr>\n			</tbody>\n		</table>\n		[customer_note]\n		<h4>Customer note</h4>\n		<p>[value]</p>\n		[/customer_note]\n	", "Product on backorder notification", "", "publish", "closed", "closed", "", "product-on-backorder-notification", "", "", "2015-04-30 21:03:15", "2015-04-30 20:03:15", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/product-on-backorder-notification/", "0", "shop_email", "", "0");
INSERT INTO `w_posts` VALUES("15", "1", "2015-04-30 22:08:53", "2015-04-30 21:08:53", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-04-30 22:08:53", "2015-04-30 21:08:53", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("16", "1", "2015-04-30 22:09:21", "2015-04-30 21:09:21", "<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for Further Education and the Private Sector for the past twenty years, and is well known and respected within the travel industry.  Having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes.  Sheila then became Chief Executive of the National Care Association during which time she was awarded the OBE in recognition of her services to Adult Social Care.", "About Us", "", "publish", "open", "open", "", "about-us", "", "", "2015-06-02 11:11:10", "2015-06-02 10:11:10", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=16", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("17", "1", "2015-04-30 22:09:21", "2015-04-30 21:09:21", "", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-04-30 22:09:21", "2015-04-30 21:09:21", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("18", "1", "2015-04-30 22:09:38", "2015-04-30 21:09:38", "Having been a politician for a number of years, Janet has identified the need for Newly Elected Councillors to be made fully aware of the responsibilities facing them when they are elected.\r\n\r\nWorldwide Training Partnership are offering two courses related to Local Authorities.\r\n\r\nThe first training course that Worldwide Training Partnership offers is aimed at Local Authorities.  It provides them with Newly Elected Members who are aware of their commitment to the community they represent and shows them how to achieve success in the role.\r\n\r\nThe second course Worldwide Training Partnership is offering is written to benefit Service Providers who are bidding for, or who are already delivering, back office or frontline services for Local Authorities.\r\n\r\nFor a contract to be delivered successfully, It is vital that Service Providers understand the complex day to day workings of a Local Authority and the Officer/Political structure that underpins it.\r\n\r\nThis course is a must for any company who works with a Local Authority and guarantees a successful working relationship when delivering a contract.", "Public Service", "", "publish", "open", "open", "", "public-service", "", "", "2015-06-02 11:05:53", "2015-06-02 10:05:53", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=18", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("19", "1", "2015-04-30 22:09:38", "2015-04-30 21:09:38", "", "Public Service", "", "inherit", "open", "open", "", "18-revision-v1", "", "", "2015-04-30 22:09:38", "2015-04-30 21:09:38", "", "18", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/18-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("20", "1", "2015-04-30 22:10:03", "2015-04-30 21:10:03", "<h3></h3>\r\n<h3>An Induction to the role of a Newly Elected Councillor</h3>\r\nNewly elected Councillors can often feel overwhelmed and thrown into the ‘deep end’ because they don’t fully understand what is expected of them.\r\n\r\nThis half day course will provide Councillors with the underpinning knowledge of the role.  It will help them to build the confidence they require to face the challenges they will experience, whilst being a part of the Officer and political interface. The course will provide Councillors with the confidence to have a voice in decision making as they represent Resident\'s concerns and solve issues.\r\n<h3>Service Provider\'s Guide to Working with a Local Authority</h3>\r\nThe Service Provider\'s course is designed to be flexible in meeting the needs of Companies who provide services to Local Authorities and can be tailored to company\'s needs.\r\n\r\nUnderstanding the complex structure and politically driven decision making of a Local Authority is often difficult for outsiders to comprehend. The contents of this course will provide attendees with the knowledge required to deliver a successful working relationship throughout the life of any contract.\r\n\r\nService Providers who are bidding for a Local Authority contract will also gain the knowledge they need to win that all important ‘Bid’ and stand out against the rest.\r\n\r\nPlease contact us to discuss any of the above and we will be happy to provide more in depth information\r\n\r\n<strong>Tel: 01733 238 309</strong>\r\n\r\n<strong>Tel: 07976 571 180</strong>", "Public Service Courses", "", "publish", "open", "open", "", "public-service-courses", "", "", "2015-06-02 11:06:12", "2015-06-02 10:06:12", "", "18", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=20", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("21", "1", "2015-04-30 22:10:03", "2015-04-30 21:10:03", "", "Public Service Courses", "", "inherit", "open", "open", "", "20-revision-v1", "", "", "2015-04-30 22:10:03", "2015-04-30 21:10:03", "", "20", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/20-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("22", "1", "2015-04-30 22:10:26", "2015-04-30 21:10:26", "<img class=\"alignleft\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" />Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.\r\n\r\nSheila is a Nurse by profession.\r\n\r\nIn the 1980s, she owned two care homes in North London, one for older people and one for people with dementia.\r\n\r\nIn l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care.\r\n\r\nSheila is available to offer advice or practical help with all matters relating to:\r\n<ul>\r\n	<li>The provision of Adult Social Care wherever it is provided.</li>\r\n	<li>The Mental Capacity Act</li>\r\n	<li>Workforce Development</li>\r\n	<li>Social Care training</li>\r\n	<li>Matters relating to the CQC Registration and inspection changes.</li>\r\n</ul>\r\nShe is also an experienced public speaker and communicator.\r\n\r\nTo discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.", "Adult Social Care", "", "publish", "open", "open", "", "adult-social-care", "", "", "2015-06-02 11:06:59", "2015-06-02 10:06:59", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=22", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("23", "1", "2015-04-30 22:10:26", "2015-04-30 21:10:26", "", "Adult Social Care", "", "inherit", "open", "open", "", "22-revision-v1", "", "", "2015-04-30 22:10:26", "2015-04-30 21:10:26", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/22-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("24", "1", "2015-04-30 22:10:53", "2015-04-30 21:10:53", "“We put people who use services at the heart of our work.”  David Behan Chief Executive Care Quality Commission In the same document; *A fresh start for the regulation and inspection of Adult Social Care, David Behan Chief Executive of the Care Quality said:\r\n<blockquote>“and a commitment to listen better to the views and experiences of people who use services.”</blockquote>\r\nHe also said:\r\n<blockquote>“Understanding the experiences of people who use adult social care is paramount.”</blockquote>\r\nThis gives a clear indication that the people that really matter will be at the heart of the inspection process. We have developed this set of manuals to assist you and to demonstrate how you regularly consult with the people who use your services. You can then analyse what you have been told and take it into account when planning your services.  This evidence is invaluable when providing evidence to CQC of your commitment to good service. This is a simple, straightforward method and has been used successfully by providers of care for the last 5 years. There are three manuals which recognise different care needs of people who use the following services:\r\n<ul>\r\n	<li>Care Homes</li>\r\n	<li>Home Care</li>\r\n	<li>Easy Read</li>\r\n</ul>\r\n<a href=\"http://www.cqc.org.uk/sites/default/files/documents/20131013_cqc_afreshstart_2013_final.pdf\" target=\"_blank\">Care Quality Commission - A fresh start for the regulation and inspection of adult social care.</a> <strong>Cost of Manuals</strong> <strong>Electronic Copy</strong>  £75.00 <strong>Paper Copy</strong>  £100.00 plus post and packing <strong>Electronic and paper</strong> £150.00", "People who use your service", "", "publish", "open", "open", "", "people-who-use-your-service", "", "", "2015-06-02 11:07:35", "2015-06-02 10:07:35", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=24", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("25", "1", "2015-04-30 22:10:53", "2015-04-30 21:10:53", "", "People who use your service", "", "inherit", "open", "open", "", "24-revision-v1", "", "", "2015-04-30 22:10:53", "2015-04-30 21:10:53", "", "24", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("26", "1", "2015-04-30 22:11:18", "2015-04-30 21:11:18", "<a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Care-Homes-Example.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-75 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.53.02-221x300.png\" alt=\"Care Home Cover\" width=\"221\" height=\"300\" /></a><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Home-Care-Example-Manual.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-76 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.42-217x300.png\" alt=\"Screen-Shot-2014-09-20-at-21.52.42\" width=\"217\" height=\"300\" /></a><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Easy-Read-Example-Manual-2.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-77 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51-221x300.png\" alt=\"Screen-Shot-2014-09-20-at-21.52.51\" width=\"221\" height=\"300\" /></a>", "Example Manuals", "", "trash", "open", "open", "", "types-of-manuals", "", "", "2015-05-17 12:52:24", "2015-05-17 11:52:24", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=26", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("27", "1", "2015-04-30 22:11:18", "2015-04-30 21:11:18", "", "Types of Manuals", "", "inherit", "open", "open", "", "26-revision-v1", "", "", "2015-04-30 22:11:18", "2015-04-30 21:11:18", "", "26", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/26-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("28", "1", "2015-04-30 22:11:40", "2015-04-30 21:11:40", "", "Purchase", "", "trash", "open", "open", "", "purchase", "", "", "2015-05-08 20:34:34", "2015-05-08 19:34:34", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=28", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("29", "1", "2015-04-30 22:11:40", "2015-04-30 21:11:40", "", "Purchase", "", "inherit", "open", "open", "", "28-revision-v1", "", "", "2015-04-30 22:11:40", "2015-04-30 21:11:40", "", "28", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("30", "1", "2015-04-30 22:11:58", "2015-04-30 21:11:58", "[contact-form-7 id=\"42\" title=\"Contact form 1\"]", "Contact Us", "", "publish", "open", "open", "", "contact-us", "", "", "2015-05-08 18:48:43", "2015-05-08 17:48:43", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=30", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("31", "1", "2015-04-30 22:11:58", "2015-04-30 21:11:58", "", "Contact Us", "", "inherit", "open", "open", "", "30-revision-v1", "", "", "2015-04-30 22:11:58", "2015-04-30 21:11:58", "", "30", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("32", "1", "2015-04-30 22:13:14", "2015-04-30 21:13:14", " ", "", "", "publish", "open", "open", "", "32", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=32", "9", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("33", "1", "2015-04-30 22:13:14", "2015-04-30 21:13:14", " ", "", "", "publish", "open", "open", "", "33", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=33", "5", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("36", "1", "2015-04-30 22:13:14", "2015-04-30 21:13:14", " ", "", "", "publish", "open", "open", "", "36", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=36", "6", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("37", "1", "2015-04-30 22:13:14", "2015-04-30 21:13:14", " ", "", "", "publish", "open", "open", "", "37", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=37", "3", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("38", "1", "2015-04-30 22:13:14", "2015-04-30 21:13:14", " ", "", "", "publish", "open", "open", "", "38", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "18", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=38", "4", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("39", "1", "2015-04-30 22:13:14", "2015-04-30 21:13:14", " ", "", "", "publish", "open", "open", "", "39", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=39", "2", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("40", "1", "2015-04-30 22:13:14", "2015-04-30 21:13:14", " ", "", "", "publish", "open", "open", "", "40", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=40", "1", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("41", "1", "2015-04-30 22:35:13", "2015-04-30 21:35:13", "", "WTP-logo", "", "inherit", "open", "open", "", "wtp-logo", "", "", "2015-04-30 22:35:13", "2015-04-30 21:35:13", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/WTP-logo.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("42", "1", "2015-04-30 22:41:47", "2015-04-30 21:41:47", "<p>Your Name (required)<br />\n    [text* your-name] </p>\n\n<p>Your Email (required)<br />\n    [email* your-email] </p>\n\n<p>Subject<br />\n    [text your-subject] </p>\n\n<p>Your Message<br />\n    [textarea your-message] </p>\n\n<p>[submit \"Send\"]</p>\n[your-subject]\n[your-name] <wordpress@judge.lewiscollard.com>\nFrom: [your-name] <[your-email]>\nSubject: [your-subject]\n\nMessage Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on Worldwide Training Partnership (http://judge.lewiscollard.com/worldwidetrainingpartnership)\nlokipowers13@gmail.com\nReply-To: [your-email]\n\n0\n0\n\n[your-subject]\nWorldwide Training Partnership <wordpress@judge.lewiscollard.com>\nMessage Body:\n[your-message]\n\n--\nThis e-mail was sent from a contact form on Worldwide Training Partnership (http://judge.lewiscollard.com/worldwidetrainingpartnership)\n[your-email]\nReply-To: lokipowers13@gmail.com\n\n0\n0\nYour message was sent successfully. Thanks.\nFailed to send your message. Please try later or contact the administrator by another method.\nValidation errors occurred. Please confirm the fields and submit it again.\nFailed to send your message. Please try later or contact the administrator by another method.\nPlease accept the terms to proceed.\nPlease fill in the required field.\nThis input is too long.\nThis input is too short.", "Contact form 1", "", "publish", "open", "open", "", "contact-form-1", "", "", "2015-04-30 22:41:47", "2015-04-30 21:41:47", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=wpcf7_contact_form&p=42", "0", "wpcf7_contact_form", "", "0");
INSERT INTO `w_posts` VALUES("43", "1", "2015-04-30 22:42:29", "2015-04-30 21:42:29", "[contact-form-7 id=\"42\" title=\"Contact form 1\"]", "Contact Us", "", "inherit", "open", "open", "", "30-revision-v1", "", "", "2015-04-30 22:42:29", "2015-04-30 21:42:29", "", "30", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/04/30/30-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("44", "1", "2015-05-01 19:38:38", "0000-00-00 00:00:00", "", "Webhook created on May 01, 2015 @ 06:38 PM", "", "pending", "open", "closed", "webhook_5543c82e64be", "", "", "", "2015-05-01 19:38:38", "0000-00-00 00:00:00", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=shop_webhook&p=44", "0", "shop_webhook", "", "0");
INSERT INTO `w_posts` VALUES("45", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:6:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:1:\"2\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";a:15:{i:0;s:9:\"permalink\";i:1;s:11:\"the_content\";i:2;s:7:\"excerpt\";i:3;s:13:\"custom_fields\";i:4;s:10:\"discussion\";i:5;s:8:\"comments\";i:6;s:9:\"revisions\";i:7;s:4:\"slug\";i:8;s:6:\"author\";i:9;s:6:\"format\";i:10;s:15:\"page_attributes\";i:11;s:14:\"featured_image\";i:12;s:10:\"categories\";i:13;s:4:\"tags\";i:14;s:15:\"send-trackbacks\";}}", "Home Page", "home-page", "publish", "closed", "closed", "", "group_5545f41b47a29", "", "", "2015-05-14 21:58:27", "2015-05-14 20:58:27", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field-group&#038;p=45", "0", "acf-field-group", "", "0");
INSERT INTO `w_posts` VALUES("46", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:9:{s:4:\"type\";s:8:\"repeater\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"layout\";s:3:\"row\";s:12:\"button_label\";s:9:\"Add Slide\";}", "Slideshow", "slideshow", "publish", "open", "open", "", "field_5545f3e0b77e4", "", "", "2015-05-03 22:29:59", "2015-05-03 21:29:59", "", "45", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&#038;p=46", "0", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("47", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:12:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}", "Title", "title", "publish", "open", "open", "", "field_5545f3fbb77e5", "", "", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "", "46", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=47", "0", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("48", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:12:{s:4:\"type\";s:8:\"textarea\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:9:\"maxlength\";i:200;s:4:\"rows\";s:0:\"\";s:9:\"new_lines\";s:7:\"wpautop\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}", "Intro Text", "intro_text", "publish", "open", "open", "", "field_5545f405b77e6", "", "", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "", "46", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=48", "1", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("49", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:15:{s:4:\"type\";s:5:\"image\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"return_format\";s:5:\"array\";s:12:\"preview_size\";s:9:\"thumbnail\";s:7:\"library\";s:3:\"all\";s:9:\"min_width\";s:0:\"\";s:10:\"min_height\";s:0:\"\";s:8:\"min_size\";s:0:\"\";s:9:\"max_width\";s:0:\"\";s:10:\"max_height\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:0:\"\";}", "Image", "image", "publish", "open", "open", "", "field_5545f417b77e7", "", "", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "", "46", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=49", "2", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("50", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:9:{s:4:\"type\";s:9:\"page_link\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"post_type\";s:0:\"\";s:8:\"taxonomy\";s:0:\"\";s:10:\"allow_null\";i:0;s:8:\"multiple\";i:0;}", "Link to", "link_to", "publish", "open", "open", "", "field_5545f420b77e8", "", "", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "", "46", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=50", "3", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("51", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:9:{s:4:\"type\";s:8:\"repeater\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:3:\"min\";i:1;s:3:\"max\";i:1;s:6:\"layout\";s:3:\"row\";s:12:\"button_label\";s:7:\"Add Row\";}", "About Content", "about_content", "publish", "open", "open", "", "field_5545f48eb77eb", "", "", "2015-05-03 22:29:59", "2015-05-03 21:29:59", "", "45", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&#038;p=51", "1", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("52", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:12:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}", "Title", "title", "publish", "open", "open", "", "field_5545f4a5b77ec", "", "", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "", "51", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=52", "0", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("53", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:9:{s:4:\"type\";s:7:\"wysiwyg\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:4:\"tabs\";s:3:\"all\";s:7:\"toolbar\";s:4:\"full\";s:12:\"media_upload\";i:1;}", "Content", "content", "publish", "open", "open", "", "field_5545f4a9b77ed", "", "", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "", "51", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=53", "1", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("54", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:15:{s:4:\"type\";s:5:\"image\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"return_format\";s:5:\"array\";s:12:\"preview_size\";s:9:\"thumbnail\";s:7:\"library\";s:3:\"all\";s:9:\"min_width\";s:0:\"\";s:10:\"min_height\";s:0:\"\";s:8:\"min_size\";s:0:\"\";s:9:\"max_width\";s:0:\"\";s:10:\"max_height\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:0:\"\";}", "Image", "image", "publish", "open", "open", "", "field_5545f4b0b77ee", "", "", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "", "51", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=54", "2", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("55", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:9:{s:4:\"type\";s:8:\"repeater\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:3:\"min\";s:0:\"\";s:3:\"max\";i:3;s:6:\"layout\";s:3:\"row\";s:12:\"button_label\";s:10:\"Add Manual\";}", "Links", "manuals", "publish", "open", "open", "", "field_5545f436b77e9", "", "", "2015-05-14 21:58:27", "2015-05-14 20:58:27", "", "45", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&#038;p=55", "2", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("56", "1", "2015-05-03 11:16:21", "2015-05-03 10:16:21", "a:11:{s:4:\"type\";s:11:\"post_object\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"post_type\";a:2:{i:0;s:4:\"page\";i:1;s:8:\"download\";}s:8:\"taxonomy\";a:0:{}s:10:\"allow_null\";i:0;s:8:\"multiple\";i:0;s:13:\"return_format\";s:6:\"object\";s:2:\"ui\";i:1;s:17:\"conditional_logic\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"field\";s:19:\"field_555509cee9609\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:1:\"1\";}}}}", "Link", "manual", "publish", "open", "open", "", "field_5545f45bb77ea", "", "", "2015-05-14 21:50:08", "2015-05-14 20:50:08", "", "55", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&#038;p=56", "1", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("57", "1", "2015-05-03 11:18:15", "2015-05-03 10:18:15", "", "PeterboroughCHospital", "", "inherit", "open", "open", "", "peterboroughchospital", "", "", "2015-05-03 11:18:15", "2015-05-03 10:18:15", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/PeterboroughCHospital.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("58", "1", "2015-05-03 11:19:15", "2015-05-03 10:19:15", "", "AdultSocialCare", "", "inherit", "open", "open", "", "adultsocialcare", "", "", "2015-05-03 11:19:15", "2015-05-03 10:19:15", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/AdultSocialCare.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("59", "1", "2015-05-03 11:20:10", "2015-05-03 10:20:10", "", "Cartine-6", "", "inherit", "open", "open", "", "cartine-6", "", "", "2015-05-03 11:20:10", "2015-05-03 10:20:10", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Cartine-6.png", "0", "attachment", "image/png", "0");
INSERT INTO `w_posts` VALUES("60", "1", "2015-05-03 11:20:22", "2015-05-03 10:20:22", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-03 11:20:22", "2015-05-03 10:20:22", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/03/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("61", "1", "2015-05-03 22:17:05", "0000-00-00 00:00:00", "", "Care Home Manual", "", "draft", "open", "closed", "", "", "", "", "2015-05-03 22:17:05", "2015-05-03 21:17:05", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=product&#038;p=61", "0", "product", "", "0");
INSERT INTO `w_posts` VALUES("63", "1", "2015-05-03 22:26:50", "2015-05-03 21:26:50", "[download_checkout]", "Checkout", "", "publish", "closed", "open", "", "checkout", "", "", "2015-05-03 22:26:50", "2015-05-03 21:26:50", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/checkout/", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("64", "1", "2015-05-03 22:26:50", "2015-05-03 21:26:50", "Thank you for your purchase! [edd_receipt]", "Purchase Confirmation", "", "publish", "closed", "open", "", "purchase-confirmation", "", "", "2015-05-03 22:26:50", "2015-05-03 21:26:50", "", "63", "http://judge.lewiscollard.com/worldwidetrainingpartnership/checkout/purchase-confirmation/", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("65", "1", "2015-05-03 22:26:50", "2015-05-03 21:26:50", "Your transaction failed, please try again or contact site support.", "Transaction Failed", "", "publish", "closed", "open", "", "transaction-failed", "", "", "2015-05-03 22:26:50", "2015-05-03 21:26:50", "", "63", "http://judge.lewiscollard.com/worldwidetrainingpartnership/checkout/transaction-failed/", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("66", "1", "2015-05-03 22:26:50", "2015-05-03 21:26:50", "[purchase_history]", "Purchase History", "", "publish", "closed", "open", "", "purchase-history", "", "", "2015-05-03 22:26:50", "2015-05-03 21:26:50", "", "63", "http://judge.lewiscollard.com/worldwidetrainingpartnership/checkout/purchase-history/", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("67", "1", "2015-05-03 22:29:33", "2015-05-03 21:29:33", "", "Care Homes Manual", "", "publish", "closed", "closed", "", "care-homes-manual", "", "", "2015-06-02 10:55:12", "2015-06-02 09:55:12", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=download&#038;p=67", "0", "download", "", "0");
INSERT INTO `w_posts` VALUES("68", "1", "2015-05-03 22:28:52", "2015-05-03 21:28:52", "v", "Home", "", "inherit", "open", "open", "", "2-autosave-v1", "", "", "2015-05-03 22:28:52", "2015-05-03 21:28:52", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/03/2-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("69", "1", "2015-05-03 22:29:33", "2015-05-03 21:29:33", "", "Care Home Manual", "", "inherit", "open", "open", "", "67-revision-v1", "", "", "2015-05-03 22:29:33", "2015-05-03 21:29:33", "", "67", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/03/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("70", "1", "2015-05-03 22:35:01", "2015-05-03 21:35:01", "", "Easy Read Manual", "", "publish", "closed", "closed", "", "easy-read-manual", "", "", "2015-06-02 10:54:52", "2015-06-02 09:54:52", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=download&#038;p=70", "0", "download", "", "0");
INSERT INTO `w_posts` VALUES("71", "1", "2015-05-03 22:35:01", "2015-05-03 21:35:01", "", "Easy Read Manual", "", "inherit", "open", "open", "", "70-revision-v1", "", "", "2015-05-03 22:35:01", "2015-05-03 21:35:01", "", "70", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/03/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("72", "1", "2015-05-03 22:36:10", "2015-05-03 21:36:10", "", "Home Care     Manual", "", "publish", "closed", "closed", "", "home-care-manual", "", "", "2015-06-02 10:53:44", "2015-06-02 09:53:44", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=download&#038;p=72", "0", "download", "", "0");
INSERT INTO `w_posts` VALUES("73", "1", "2015-05-03 22:36:10", "2015-05-03 21:36:10", "", "Home Care Manual", "", "inherit", "open", "open", "", "72-revision-v1", "", "", "2015-05-03 22:36:10", "2015-05-03 21:36:10", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/03/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("74", "1", "2015-05-03 22:36:48", "2015-05-03 21:36:48", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-03 22:36:48", "2015-05-03 21:36:48", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/03/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("75", "1", "2015-05-03 22:38:08", "2015-05-03 21:38:08", "", "Care Home Cover", "", "inherit", "open", "open", "", "screen-shot-2014-09-20-at-21-53-02", "", "", "2015-05-03 22:38:23", "2015-05-03 21:38:23", "", "67", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.53.02.png", "0", "attachment", "image/png", "0");
INSERT INTO `w_posts` VALUES("76", "1", "2015-05-03 22:39:28", "2015-05-03 21:39:28", "", "Screen-Shot-2014-09-20-at-21.52.42", "", "inherit", "open", "open", "", "screen-shot-2014-09-20-at-21-52-42", "", "", "2015-05-03 22:39:28", "2015-05-03 21:39:28", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.42.png", "0", "attachment", "image/png", "0");
INSERT INTO `w_posts` VALUES("77", "1", "2015-05-03 22:40:16", "2015-05-03 21:40:16", "", "Screen-Shot-2014-09-20-at-21.52.51", "", "inherit", "open", "open", "", "screen-shot-2014-09-20-at-21-52-51", "", "", "2015-05-03 22:40:16", "2015-05-03 21:40:16", "", "70", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51.png", "0", "attachment", "image/png", "0");
INSERT INTO `w_posts` VALUES("78", "1", "2015-05-04 21:59:38", "2015-05-04 20:59:38", " ", "", "", "publish", "open", "open", "", "78", "", "", "2015-05-04 21:59:38", "2015-05-04 20:59:38", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=78", "1", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("79", "1", "2015-05-04 21:59:38", "2015-05-04 20:59:38", " ", "", "", "publish", "open", "open", "", "79", "", "", "2015-05-04 21:59:38", "2015-05-04 20:59:38", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=79", "2", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("80", "1", "2015-05-04 21:59:38", "2015-05-04 20:59:38", " ", "", "", "publish", "open", "open", "", "80", "", "", "2015-05-04 21:59:38", "2015-05-04 20:59:38", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=80", "3", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("81", "1", "2015-05-06 19:29:25", "2015-05-06 18:29:25", "Worldwide Training Partnership are offering three courses related to Local Authorities.\r\n\r\nHaving both been politicians for a number of years, Sheila and Janet have identified the need for Prospective and Newly Elected Councillors to be made fully aware of the responsibilities facing them when they are elected.\r\n\r\nTwo of the training courses that Worldwide Training Partnership are offering to Local Authorities, aims to provide them with Newly Elected Members who are aware of their commitment to the community they represent and shows them how to achieve success in the role.\r\n\r\nThe third course Worldwide Training Partnership is offering is written to benefit Service Providers who are bidding for, or who are already delivering Back Office or Frontline Services for Local Authorities.\r\n\r\nFor a contract to be delivered successfully, It is vital that Service Providers understand the complex day to day workings of a Local Authority and the Officer/Political structure that underpins it.\r\n\r\nThis course is a must for any company who works with a Local Authority and guarantees a successful working relationship when delivering a contract", "Public Service", "", "inherit", "open", "open", "", "18-revision-v1", "", "", "2015-05-06 19:29:25", "2015-05-06 18:29:25", "", "18", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/06/18-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("82", "1", "2015-05-06 20:18:57", "2015-05-06 19:18:57", "", "janetgoodwin", "", "inherit", "open", "open", "", "janetgoodwin", "", "", "2015-05-06 20:18:57", "2015-05-06 19:18:57", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("83", "1", "2015-05-06 20:19:22", "2015-05-06 19:19:22", "", "sheila", "", "inherit", "open", "open", "", "sheila", "", "", "2015-05-06 20:19:22", "2015-05-06 19:19:22", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("84", "1", "2015-05-06 20:20:08", "2015-05-06 19:20:08", "Worldwide Training Partnership has been founded by Janet Goodwin and Sheila Scott to offer training and course materials within their own fields of specialty.\n<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\nHas been writing travel related courses for the Further Education and Private Sector for the past twenty years, and is well known within the travel industry, but having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\n\n&nbsp;\n\n&nbsp;\n\nSheila", "About Us", "", "inherit", "open", "open", "", "16-autosave-v1", "", "", "2015-05-06 20:20:08", "2015-05-06 19:20:08", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/06/16-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("85", "1", "2015-05-06 20:21:01", "2015-05-06 19:21:01", "", "globe-blank", "", "inherit", "open", "open", "", "globe-blank", "", "", "2015-05-06 20:21:01", "2015-05-06 19:21:01", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/globe-blank.gif", "0", "attachment", "image/gif", "0");
INSERT INTO `w_posts` VALUES("86", "1", "2015-05-06 20:21:07", "2015-05-06 19:21:07", "Worldwide Training Partnership has been founded by Janet Goodwin and Sheila Scott to offer training and course materials within their own fields of specialty.\r\n<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for the Further Education and Private Sector for the past twenty years, and is well known within the travel industry, but having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes and finally as Chief Executive of National Care Association during which time , she has been awarded the OBE in recognition of her services to Adult Social care.", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-05-06 20:21:07", "2015-05-06 19:21:07", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/06/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("87", "1", "2015-05-08 18:34:44", "2015-05-08 17:34:44", "<p class=\"p1\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" />Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.</p>\r\n<p class=\"p1\">Sheila is a nurse by profession.</p>\r\n<p class=\"p1\">In the 1980s, she owned two care homes in North London, one for older people and one for people with dementia.</p>\r\n<p class=\"p1\">In l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care.</p>\r\n<p class=\"p1\">Sheila is available to offer advice or practical help with all matter relating to:</p>\r\n<p class=\"p2\">·<span class=\"s1\">        </span>The provision of Adult Social Care wherever it is provided.</p>\r\n<p class=\"p2\">·<span class=\"s1\">        </span>The Mental Capacity Act</p>\r\n<p class=\"p2\">·<span class=\"s1\">        </span>Workforce Development</p>\r\n<p class=\"p2\">·<span class=\"s1\">        </span>Social Care training</p>\r\n<p class=\"p2\">·<span class=\"s1\">        </span>Matters relating to the CQC Registration and inspection changes.</p>\r\n<p class=\"p1\">She is also an experienced public speaker and communicator.</p>\r\n<p class=\"p1\">To discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.</p>", "Adult Social Care", "", "inherit", "open", "open", "", "22-revision-v1", "", "", "2015-05-08 18:34:44", "2015-05-08 17:34:44", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/22-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("88", "1", "2015-05-08 18:36:42", "2015-05-08 17:36:42", "<img class=\"alignleft\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" />Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.\n\nSheila is a nurse by profession.\n\nIn the 1980s, she owned two care homes in North London, one for older people and one for people with dementia.\n\nIn l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care.\n\nSheila is available to offer advice or practical help with all matter relating to:\n<ul>\n	<li>The provision of Adult Social Care wherever it is provided.</li>\n	<li>The Mental Capacity Act</li>\n	<li>Workforce Development</li>\n	<li>Social Care training</li>\n	<li>Matters relating to the CQC Registration and inspection changes.</li>\n</ul>\nShe is also an experienced public speaker and communicator.\n\nTo discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.", "Adult Social Care", "", "inherit", "open", "open", "", "22-autosave-v1", "", "", "2015-05-08 18:36:42", "2015-05-08 17:36:42", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/22-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("89", "1", "2015-05-08 18:36:48", "2015-05-08 17:36:48", "<img class=\"alignleft\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" />Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.\r\n\r\nSheila is a nurse by profession.\r\n\r\nIn the 1980s, she owned two care homes in North London, one for older people and one for people with dementia.\r\n\r\nIn l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care.\r\n\r\nSheila is available to offer advice or practical help with all matter relating to:\r\n<ul>\r\n	<li>The provision of Adult Social Care wherever it is provided.</li>\r\n	<li>The Mental Capacity Act</li>\r\n	<li>Workforce Development</li>\r\n	<li>Social Care training</li>\r\n	<li>Matters relating to the CQC Registration and inspection changes.</li>\r\n</ul>\r\nShe is also an experienced public speaker and communicator.\r\n\r\nTo discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.", "Adult Social Care", "", "inherit", "open", "open", "", "22-revision-v1", "", "", "2015-05-08 18:36:48", "2015-05-08 17:36:48", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/22-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("90", "1", "2015-05-08 18:48:35", "2015-05-08 17:48:35", "", "oMr9bJE", "", "inherit", "open", "open", "", "omr9bje", "", "", "2015-05-08 18:48:35", "2015-05-08 17:48:35", "", "30", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/oMr9bJE.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("92", "1", "2015-05-08 20:26:29", "2015-05-08 19:26:29", "“We put people who use services at the heart of our work.”  David Behan Chief Inspector Care Quality Commission\r\n\r\nIn the same document; *A fresh start for the regulation and inspection of Adult Social Care, David Behan Chief Executive of the Care Quality said:\r\n<blockquote>“and a commitment to listen better to the views and experiences of people who use services.”</blockquote>\r\nHe also said:\r\n<blockquote>“Understanding the experiences of people who use adult social care is paramount.”</blockquote>\r\nThis gives a clear indication that the people that really matter will be at the heart of the inspection process.\r\n\r\nWe have developed this set of manuals to assist you to demonstrate how you both consult the people who use your services regularly and then analyse what you have been told and take it into account in the planning of your services.\r\n\r\nThis is a simple, straightforward method and has been being used successfully by providers of care for the last 5 years. The system has now been updated.\r\n\r\nThere are three manuals to recognise the different care needs of people using services:\r\n<ul>\r\n	<li>Care Homes</li>\r\n	<li>Home Care</li>\r\n	<li>Easy Read</li>\r\n</ul>\r\n*<a href=\"http://www.cqc.org.uk/sites/default/files/documents/20131013_cqc_afreshstart_2013_final.pdf\" target=\"_blank\">http://www.cqc.org.uk/sites/default/files/documents/20131013_cqc_afreshstart_2013_final.pdf</a>\r\n\r\n<strong>Cost of Manuals</strong>\r\n\r\n<strong>Electronic Copy</strong>  £75.00\r\n\r\n<strong>Paper Copy</strong>  £100.00 plus post and packing\r\n\r\n<strong>Electronic and paper</strong> £150.00\r\n\r\nAn update service will be announced later this year.", "People who use your service", "", "inherit", "open", "open", "", "24-revision-v1", "", "", "2015-05-08 20:26:29", "2015-05-08 19:26:29", "", "24", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("93", "1", "2015-05-08 20:29:30", "2015-05-08 19:29:30", "“We put people who use services at the heart of our work.”  David Behan Chief Inspector Care Quality Commission\n\nIn the same document; *A fresh start for the regulation and inspection of Adult Social Care, David Behan Chief Executive of the Care Quality said:\n<blockquote>“and a commitment to listen better to the views and experiences of people who use services.”</blockquote>\nHe also said:\n<blockquote>“Understanding the experiences of people who use adult social care is paramount.”</blockquote>\nThis gives a clear indication that the people that really matter will be at the heart of the inspection process.\n\nWe have developed this set of manuals to assist you to demonstrate how you both consult the people who use your services regularly and then analyse what you have been told and take it into account in the planning of your services.\n\nThis is a simple, straightforward method and has been being used successfully by providers of care for the last 5 years. The system has now been updated.\n\nThere are three manuals to recognise the different care needs of people using services:\n<ul>\n	<li>Care Homes</li>\n	<li>Home Care</li>\n	<li>Easy Read</li>\n</ul>\nCare Quality Commission - A fresh start for the regulation and inspection of adult social care\n\n<strong>Cost of Manuals</strong>\n\n<strong>Electronic Copy</strong>  £75.00\n\n<strong>Paper Copy</strong>  £100.00 plus post and packing\n\n<strong>Electronic and paper</strong> £150.00\n\nAn update service will be announced later this year.", "People who use your service", "", "inherit", "open", "open", "", "24-autosave-v1", "", "", "2015-05-08 20:29:30", "2015-05-08 19:29:30", "", "24", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/24-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("94", "1", "2015-05-08 20:29:49", "2015-05-08 19:29:49", "“We put people who use services at the heart of our work.”  David Behan Chief Inspector Care Quality Commission\r\n\r\nIn the same document; *A fresh start for the regulation and inspection of Adult Social Care, David Behan Chief Executive of the Care Quality said:\r\n<blockquote>“and a commitment to listen better to the views and experiences of people who use services.”</blockquote>\r\nHe also said:\r\n<blockquote>“Understanding the experiences of people who use adult social care is paramount.”</blockquote>\r\nThis gives a clear indication that the people that really matter will be at the heart of the inspection process.\r\n\r\nWe have developed this set of manuals to assist you to demonstrate how you both consult the people who use your services regularly and then analyse what you have been told and take it into account in the planning of your services.\r\n\r\nThis is a simple, straightforward method and has been being used successfully by providers of care for the last 5 years. The system has now been updated.\r\n\r\nThere are three manuals to recognise the different care needs of people using services:\r\n<ul>\r\n	<li>Care Homes</li>\r\n	<li>Home Care</li>\r\n	<li>Easy Read</li>\r\n</ul>\r\n<a href=\"http://www.cqc.org.uk/sites/default/files/documents/20131013_cqc_afreshstart_2013_final.pdf\" target=\"_blank\">Care Quality Commission - A fresh start for the regulation and inspection of adult social care.</a>\r\n\r\n<strong>Cost of Manuals</strong>\r\n\r\n<strong>Electronic Copy</strong>  £75.00\r\n\r\n<strong>Paper Copy</strong>  £100.00 plus post and packing\r\n\r\n<strong>Electronic and paper</strong> £150.00\r\n\r\nAn update service will be announced later this year.", "People who use your service", "", "inherit", "open", "open", "", "24-revision-v1", "", "", "2015-05-08 20:29:49", "2015-05-08 19:29:49", "", "24", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("95", "1", "2015-05-08 20:41:51", "2015-05-08 19:41:51", "<a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Care-Homes-Example.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-75 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.53.02-221x300.png\" alt=\"Care Home Cover\" width=\"221\" height=\"300\" /></a><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Care-Homes-Example.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-76 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.42-217x300.png\" alt=\"Screen-Shot-2014-09-20-at-21.52.42\" width=\"217\" height=\"300\" /></a><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51.png\"><img class=\"alignleft size-medium wp-image-77\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51-221x300.png\" alt=\"Screen-Shot-2014-09-20-at-21.52.51\" width=\"221\" height=\"300\" /></a>", "Example Manuals", "", "inherit", "open", "open", "", "26-autosave-v1", "", "", "2015-05-08 20:41:51", "2015-05-08 19:41:51", "", "26", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/26-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("96", "1", "2015-05-08 20:35:59", "2015-05-08 19:35:59", "", "Care-Homes-Example", "", "inherit", "open", "open", "", "care-homes-example", "", "", "2015-05-08 20:35:59", "2015-05-08 19:35:59", "", "26", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Care-Homes-Example.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `w_posts` VALUES("97", "1", "2015-05-08 20:36:02", "2015-05-08 19:36:02", "", "Easy-Read-Example-Manual-2", "", "inherit", "open", "open", "", "easy-read-example-manual-2", "", "", "2015-05-08 20:36:02", "2015-05-08 19:36:02", "", "26", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Easy-Read-Example-Manual-2.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `w_posts` VALUES("98", "1", "2015-05-08 20:36:04", "2015-05-08 19:36:04", "", "Home-Care-Example-Manual", "", "inherit", "open", "open", "", "home-care-example-manual", "", "", "2015-05-08 20:36:04", "2015-05-08 19:36:04", "", "26", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Home-Care-Example-Manual.pdf", "0", "attachment", "application/pdf", "0");
INSERT INTO `w_posts` VALUES("99", "1", "2015-05-08 20:40:15", "2015-05-08 19:40:15", "<a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51.png\"><img class=\"alignleft size-medium wp-image-77\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51-221x300.png\" alt=\"Screen-Shot-2014-09-20-at-21.52.51\" width=\"221\" height=\"300\" /></a><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Care-Homes-Example.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-76 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.42-217x300.png\" alt=\"Screen-Shot-2014-09-20-at-21.52.42\" width=\"217\" height=\"300\" /></a><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Easy-Read-Example-Manual-2.pdf\"><img class=\"alignleft size-medium wp-image-75\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.53.02-221x300.png\" alt=\"Care Home Cover\" width=\"221\" height=\"300\" /></a>", "Example Manuals", "", "inherit", "open", "open", "", "26-revision-v1", "", "", "2015-05-08 20:40:15", "2015-05-08 19:40:15", "", "26", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/26-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("100", "1", "2015-05-08 20:42:19", "2015-05-08 19:42:19", "<a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Care-Homes-Example.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-75 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.53.02-221x300.png\" alt=\"Care Home Cover\" width=\"221\" height=\"300\" /></a><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Home-Care-Example-Manual.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-76 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.42-217x300.png\" alt=\"Screen-Shot-2014-09-20-at-21.52.42\" width=\"217\" height=\"300\" /></a><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Easy-Read-Example-Manual-2.pdf\" target=\"_blank\"><img class=\"alignleft wp-image-77 size-medium\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Screen-Shot-2014-09-20-at-21.52.51-221x300.png\" alt=\"Screen-Shot-2014-09-20-at-21.52.51\" width=\"221\" height=\"300\" /></a>", "Example Manuals", "", "inherit", "open", "open", "", "26-revision-v1", "", "", "2015-05-08 20:42:19", "2015-05-08 19:42:19", "", "26", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/26-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("101", "1", "2015-05-08 20:46:15", "2015-05-08 19:46:15", "<h3>An Induction to the Role and Election process for a Prospective Councillor</h3>\nIt is important for anyone considering standing for election as a Local Politician, to understand exactly what is involved in the role, before making the decision to go ahead with the election process.\n\nThis short course will provide the information required , from the different types of Local Authorities, to criteria for candidacy, role of a councillor and electioneering through to polling day and finally success.\n<h3>An Induction to the role of a Newly Elected Councillor</h3>\nOnce newly elected a Councillor can often feel overwhelmed and thrown into the ‘deep end’ because they don’t fully understand what is expected of them.\n\nThis one day course will provide Councillors with the underpinning knowledge of the role and help them to build the confidence  to face the challenges they will experience,  whilst being a part of the officer/political interface, having a voice in decision making, to representing residents concerns and solving issues\n<h4>Service Providers Guide to Working with a Local Authority</h4>\nThis course is designed to be flexible in meeting the needs of Companies who provide services to Local Authorities.\n\nUnderstanding the complex structure and politically driven decision making is often difficult for outsiders to comprehend. The contents of this course will guarantee to provide the knowledge required to deliver a successful working relationship throughout the life of any contract or help prospective Service Providers to gain that all important ‘Bid’ and stand out against the rest.\n\nPlease contact us to discuss any of the above and we will be happy to provide more in depth information\n\n<strong>Tel: 01733 238 309</strong>\n\n<strong>Tel: 07976 571 180</strong>", "Public Service Courses", "", "inherit", "open", "open", "", "20-autosave-v1", "", "", "2015-05-08 20:46:15", "2015-05-08 19:46:15", "", "20", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/20-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("102", "1", "2015-05-08 20:46:21", "2015-05-08 19:46:21", "", "highway-216090_1280", "", "inherit", "open", "open", "", "highway-216090_1280", "", "", "2015-05-08 20:46:21", "2015-05-08 19:46:21", "", "20", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/highway-216090_1280.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("103", "1", "2015-05-08 20:46:38", "2015-05-08 19:46:38", "<h3>An Induction to the Role and Election process for a Prospective Councillor</h3>\r\nIt is important for anyone considering standing for election as a Local Politician, to understand exactly what is involved in the role, before making the decision to go ahead with the election process.\r\n\r\nThis short course will provide the information required , from the different types of Local Authorities, to criteria for candidacy, role of a councillor and electioneering through to polling day and finally success.\r\n<h3>An Induction to the role of a Newly Elected Councillor</h3>\r\nOnce newly elected a Councillor can often feel overwhelmed and thrown into the ‘deep end’ because they don’t fully understand what is expected of them.\r\n\r\nThis one day course will provide Councillors with the underpinning knowledge of the role and help them to build the confidence  to face the challenges they will experience,  whilst being a part of the officer/political interface, having a voice in decision making, to representing residents concerns and solving issues\r\n<h4>Service Providers Guide to Working with a Local Authority</h4>\r\nThis course is designed to be flexible in meeting the needs of Companies who provide services to Local Authorities.\r\n\r\nUnderstanding the complex structure and politically driven decision making is often difficult for outsiders to comprehend. The contents of this course will guarantee to provide the knowledge required to deliver a successful working relationship throughout the life of any contract or help prospective Service Providers to gain that all important ‘Bid’ and stand out against the rest.\r\n\r\nPlease contact us to discuss any of the above and we will be happy to provide more in depth information\r\n\r\n<strong>Tel: 01733 238 309</strong>\r\n\r\n<strong>Tel: 07976 571 180</strong>", "Public Service Courses", "", "inherit", "open", "open", "", "20-revision-v1", "", "", "2015-05-08 20:46:38", "2015-05-08 19:46:38", "", "20", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/20-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("104", "1", "2015-05-08 20:47:22", "2015-05-08 19:47:22", "<h3>An Induction to the Role and Election process for a Prospective Councillor</h3>\r\nIt is important for anyone considering standing for election as a Local Politician, to understand exactly what is involved in the role, before making the decision to go ahead with the election process.\r\n\r\nThis short course will provide the information required , from the different types of Local Authorities, to criteria for candidacy, role of a councillor and electioneering through to polling day and finally success.\r\n<h3>An Induction to the role of a Newly Elected Councillor</h3>\r\nOnce newly elected a Councillor can often feel overwhelmed and thrown into the ‘deep end’ because they don’t fully understand what is expected of them.\r\n\r\nThis one day course will provide Councillors with the underpinning knowledge of the role and help them to build the confidence  to face the challenges they will experience,  whilst being a part of the officer/political interface, having a voice in decision making, to representing residents concerns and solving issues\r\n<h3>Service Providers Guide to Working with a Local Authority</h3>\r\nThis course is designed to be flexible in meeting the needs of Companies who provide services to Local Authorities.\r\n\r\nUnderstanding the complex structure and politically driven decision making is often difficult for outsiders to comprehend. The contents of this course will guarantee to provide the knowledge required to deliver a successful working relationship throughout the life of any contract or help prospective Service Providers to gain that all important ‘Bid’ and stand out against the rest.\r\n\r\nPlease contact us to discuss any of the above and we will be happy to provide more in depth information\r\n\r\n<strong>Tel: 01733 238 309</strong>\r\n\r\n<strong>Tel: 07976 571 180</strong>", "Public Service Courses", "", "inherit", "open", "open", "", "20-revision-v1", "", "", "2015-05-08 20:47:22", "2015-05-08 19:47:22", "", "20", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/08/20-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("105", "1", "2015-05-13 20:03:18", "2015-05-13 19:03:18", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-13 20:03:18", "2015-05-13 19:03:18", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("106", "1", "2015-05-13 20:11:08", "2015-05-13 19:11:08", "", "Business conference", "Business conference with lecturer and projection. Lecturer is blurred.", "inherit", "open", "open", "", "business-conference", "", "", "2015-05-13 20:11:08", "2015-05-13 19:11:08", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/iStock_000005299702Medium.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("107", "1", "2015-05-13 20:11:17", "2015-05-13 19:11:17", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-13 20:11:17", "2015-05-13 19:11:17", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("108", "1", "2015-05-13 20:21:34", "2015-05-13 19:21:34", "&nbsp;\r\n<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for the Further Education and Private Sector for the past twenty years, and is well known within the travel industry, but having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes and finally as Chief Executive of National Care Association during which time , she has been awarded the OBE in recognition of her services to Adult Social care.", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-05-13 20:21:34", "2015-05-13 19:21:34", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("109", "1", "2015-05-13 20:21:51", "2015-05-13 19:21:51", "<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for the Further Education and Private Sector for the past twenty years, and is well known within the travel industry, but having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes and finally as Chief Executive of National Care Association during which time , she has been awarded the OBE in recognition of her services to Adult Social care.", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-05-13 20:21:51", "2015-05-13 19:21:51", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("110", "1", "2015-05-13 20:38:28", "2015-05-13 19:38:28", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-13 20:38:28", "2015-05-13 19:38:28", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("111", "1", "2015-05-13 20:44:21", "2015-05-13 19:44:21", "", "Speaker at Business Conference and Presentation.", "Speaker at Business Conference and Presentation. Audience at the conference hall.", "inherit", "open", "open", "", "speaker-at-business-conference-and-presentation", "", "", "2015-05-13 20:44:21", "2015-05-13 19:44:21", "", "18", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/iStock_000040536788_Large.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("112", "1", "2015-05-13 21:00:34", "2015-05-13 20:00:34", "[gview file=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/Home-Care-Example-Manual.pdf\" save=\"0\"]", "Home Care Manual", "", "inherit", "open", "open", "", "72-revision-v1", "", "", "2015-05-13 21:00:34", "2015-05-13 20:00:34", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("113", "1", "2015-05-13 21:02:14", "2015-05-13 20:02:14", "a:6:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:8:\"download\";}}}s:8:\"position\";s:4:\"side\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";}", "Embed PDF", "embed-pdf", "publish", "closed", "closed", "", "group_5553ad9f3aa8f", "", "", "2015-05-13 21:03:59", "2015-05-13 20:03:59", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field-group&#038;p=113", "0", "acf-field-group", "", "0");
INSERT INTO `w_posts` VALUES("114", "1", "2015-05-13 21:02:14", "2015-05-13 20:02:14", "a:10:{s:4:\"type\";s:4:\"file\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"return_format\";s:3:\"url\";s:7:\"library\";s:3:\"all\";s:8:\"min_size\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:4:\".pdf\";}", "PDF", "embed_pdf", "publish", "open", "open", "", "field_5553ad436f5a1", "", "", "2015-05-13 21:03:59", "2015-05-13 20:03:59", "", "113", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&#038;p=114", "0", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("115", "1", "2015-05-13 21:04:31", "2015-05-13 20:04:31", "", "Home Care Manual", "", "inherit", "open", "open", "", "72-revision-v1", "", "", "2015-05-13 21:04:31", "2015-05-13 20:04:31", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("116", "1", "2015-05-13 21:10:35", "2015-05-13 20:10:35", "Fermentum pharetra porta. Ullamcorper pharetra adipiscing metus placerat hac class nisl purus aptent vivamus, eu congue ac vitae ipsum. Taciti fermentum. Class. Tristique purus.\r\n\r\nTellus venenatis suscipit augue gravida vehicula litora fusce fusce placerat. Sociis pede mus, egestas nam enim taciti dictum. Posuere hymenaeos. A est eu in metus pretium. Accumsan.\r\n\r\nA donec maecenas donec. Class sem accumsan malesuada sollicitudin sociis quam cras ante tortor tortor. Feugiat suscipit maecenas, lacus, molestie. Platea elementum a, metus id felis nisl sodales adipiscing mattis. Varius auctor. Aliquam, sociis hendrerit mollis eget cum interdum varius potenti Dictumst turpis at porttitor cubilia fames. Accumsan pulvinar.", "Home Care Manual", "", "inherit", "open", "open", "", "72-revision-v1", "", "", "2015-05-13 21:10:35", "2015-05-13 20:10:35", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("117", "1", "2015-05-13 21:19:17", "2015-05-13 20:19:17", "Sagittis vulputate primis integer gravida fusce nam mauris et erat augue ullamcorper. Faucibus sociosqu Luctus mauris pede curae; eleifend ornare volutpat condimentum dignissim sit amet. Mi ante convallis torquent.\r\n\r\nPenatibus eu lorem et in primis dui amet platea dis laoreet integer gravida nunc. Ornare duis. Sapien nonummy nunc aptent. Diam nunc mus dis.\r\n\r\nInterdum, bibendum auctor nullam dictum inceptos tellus maecenas curabitur aliquet nullam ad vel magna facilisis. Hendrerit massa dui lobortis pellentesque egestas semper. Netus sodales leo dolor malesuada. Mauris tristique urna montes ornare dictumst nec hendrerit ligula ipsum parturient dis metus mus. Sollicitudin nascetur porta augue. Taciti cras.", "Easy Read Manual", "", "inherit", "open", "open", "", "70-revision-v1", "", "", "2015-05-13 21:19:17", "2015-05-13 20:19:17", "", "70", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("118", "1", "2015-05-13 21:19:53", "2015-05-13 20:19:53", "Hendrerit leo dui velit donec a proin. Fermentum ultricies dignissim molestie tempor elementum laoreet dis quam consectetuer. Inceptos etiam senectus. Metus turpis taciti sed nec rutrum.\r\n\r\nLacinia penatibus. Purus iaculis. Non morbi tellus blandit vehicula eros. Taciti erat auctor fames rhoncus dignissim libero neque pulvinar est. Curae; leo posuere neque dolor ultrices purus. Praesent. Orci orci Leo elit nulla. Consectetuer eleifend pulvinar metus.\r\n\r\nTellus. Arcu porta habitant donec ipsum. Justo habitasse congue non nullam, dui ligula. Mauris erat varius purus urna. Augue viverra. Purus condimentum. Senectus, posuere, parturient dapibus morbi malesuada Ultrices quis. Rhoncus sollicitudin, taciti quis condimentum euismod sociosqu.", "Care Home Manual", "", "inherit", "open", "open", "", "67-revision-v1", "", "", "2015-05-13 21:19:53", "2015-05-13 20:19:53", "", "67", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/13/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("119", "1", "2015-05-13 21:20:34", "2015-05-13 20:20:34", "", "Manuals", "", "publish", "open", "open", "", "manuals", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "7", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=119", "8", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("120", "1", "2015-05-14 19:26:10", "2015-05-14 18:26:10", "a:6:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:8:\"taxonomy\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:3:\"all\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";}", "Category", "category", "publish", "closed", "closed", "", "group_5554e8634cbd5", "", "", "2015-05-14 19:26:10", "2015-05-14 18:26:10", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field-group&#038;p=120", "0", "acf-field-group", "", "0");
INSERT INTO `w_posts` VALUES("121", "1", "2015-05-14 19:26:10", "2015-05-14 18:26:10", "a:15:{s:4:\"type\";s:5:\"image\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"return_format\";s:5:\"array\";s:12:\"preview_size\";s:6:\"medium\";s:7:\"library\";s:3:\"all\";s:9:\"min_width\";s:0:\"\";s:10:\"min_height\";s:0:\"\";s:8:\"min_size\";s:0:\"\";s:9:\"max_width\";s:0:\"\";s:10:\"max_height\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:0:\"\";}", "Featured Image", "featured_image", "publish", "open", "open", "", "field_5554e836a63be", "", "", "2015-05-14 19:26:10", "2015-05-14 18:26:10", "", "120", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=121", "0", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("122", "1", "2015-05-14 20:28:01", "2015-05-14 19:28:01", "", "are-you-part-of-the-sandwich-generation-here-are-7-tips-to-managing-your-situation", "", "inherit", "open", "open", "", "are-you-part-of-the-sandwich-generation-here-are-7-tips-to-managing-your-situation", "", "", "2015-05-14 20:28:01", "2015-05-14 19:28:01", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/05/are-you-part-of-the-sandwich-generation-here-are-7-tips-to-managing-your-situation.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("123", "1", "2015-05-14 21:32:33", "2015-05-14 20:32:33", "", "care home cover", "", "inherit", "open", "open", "", "care-home-cover", "", "", "2015-05-14 21:32:33", "2015-05-14 20:32:33", "", "67", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/care-home-cover.png", "0", "attachment", "image/png", "0");
INSERT INTO `w_posts` VALUES("124", "1", "2015-05-14 21:33:10", "2015-05-14 20:33:10", "", "home care cover", "", "inherit", "open", "open", "", "home-care-cover", "", "", "2015-05-14 21:33:10", "2015-05-14 20:33:10", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/home-care-cover.png", "0", "attachment", "image/png", "0");
INSERT INTO `w_posts` VALUES("125", "1", "2015-05-14 21:33:27", "2015-05-14 20:33:27", "", "easy read cover", "", "inherit", "open", "open", "", "easy-read-cover", "", "", "2015-05-14 21:33:27", "2015-05-14 20:33:27", "", "70", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/easy-read-cover.png", "0", "attachment", "image/png", "0");
INSERT INTO `w_posts` VALUES("126", "1", "2015-05-14 21:50:08", "2015-05-14 20:50:08", "a:7:{s:4:\"type\";s:10:\"true_false\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"message\";s:0:\"\";s:13:\"default_value\";i:1;}", "Page?", "page", "publish", "open", "open", "", "field_555509cee9609", "", "", "2015-05-14 21:50:08", "2015-05-14 20:50:08", "", "55", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=126", "0", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("127", "1", "2015-05-14 21:50:08", "2015-05-14 20:50:08", "a:7:{s:4:\"type\";s:3:\"url\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:17:\"conditional_logic\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"field\";s:19:\"field_555509cee9609\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";s:1:\"1\";}}}}", "Url", "term", "publish", "open", "open", "", "field_5555097ce9607", "", "", "2015-05-14 21:58:27", "2015-05-14 20:58:27", "", "55", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&#038;p=127", "2", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("128", "1", "2015-05-14 21:50:08", "2015-05-14 20:50:08", "a:12:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;s:17:\"conditional_logic\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"field\";s:19:\"field_555509cee9609\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";s:1:\"1\";}}}}", "Title", "title", "publish", "open", "open", "", "field_555509c8e9608", "", "", "2015-05-14 21:50:08", "2015-05-14 20:50:08", "", "55", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=128", "3", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("129", "1", "2015-05-14 21:50:08", "2015-05-14 20:50:08", "a:15:{s:4:\"type\";s:5:\"image\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"return_format\";s:5:\"array\";s:12:\"preview_size\";s:9:\"thumbnail\";s:7:\"library\";s:3:\"all\";s:9:\"min_width\";s:0:\"\";s:10:\"min_height\";s:0:\"\";s:8:\"min_size\";s:0:\"\";s:9:\"max_width\";s:0:\"\";s:10:\"max_height\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:0:\"\";s:17:\"conditional_logic\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"field\";s:19:\"field_555509cee9609\";s:8:\"operator\";s:2:\"!=\";s:5:\"value\";s:1:\"1\";}}}}", "Thumbnail", "thumbnail", "publish", "open", "open", "", "field_55550a07e960a", "", "", "2015-05-14 21:50:08", "2015-05-14 20:50:08", "", "55", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=129", "4", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("130", "1", "2015-05-14 21:51:10", "2015-05-14 20:51:10", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-14 21:51:10", "2015-05-14 20:51:10", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/14/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("131", "1", "2015-05-14 22:00:03", "2015-05-14 21:00:03", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-14 22:00:03", "2015-05-14 21:00:03", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/14/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("132", "1", "2015-05-14 22:00:59", "2015-05-14 21:00:59", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-14 22:00:59", "2015-05-14 21:00:59", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/14/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("133", "1", "2015-05-14 22:02:51", "2015-05-14 21:02:51", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-14 22:02:51", "2015-05-14 21:02:51", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/14/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("134", "1", "2015-05-14 22:04:06", "2015-05-14 21:04:06", "Worldwide Training Partnership are offering three courses related to Local Authorities.\r\n\r\nHaving both been politicians for a number of years, Sheila and Janet have identified the need for Newly Elected Councillors to be made fully aware of the responsibilities facing them when they are elected.\r\n\r\nTwo of the training courses that Worldwide Training Partnership are offering to Local Authorities, aims to provide them with Newly Elected Members who are aware of their commitment to the community they represent and shows them how to achieve success in the role.\r\n\r\nThe third course Worldwide Training Partnership is offering is written to benefit Service Providers who are bidding for, or who are already delivering Back Office or Frontline Services for Local Authorities.\r\n\r\nFor a contract to be delivered successfully, It is vital that Service Providers understand the complex day to day workings of a Local Authority and the Officer/Political structure that underpins it.\r\n\r\nThis course is a must for any company who works with a Local Authority and guarantees a successful working relationship when delivering a contract", "Public Service", "", "inherit", "open", "open", "", "18-revision-v1", "", "", "2015-05-14 22:04:06", "2015-05-14 21:04:06", "", "18", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/14/18-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("135", "1", "2015-05-14 22:05:28", "2015-05-14 21:05:28", "<h3></h3>\r\n<h3>An Induction to the role of a Newly Elected Councillor</h3>\r\nNewly elected Councillors can often feel overwhelmed and thrown into the ‘deep end’ because they don’t fully understand what is expected of them.\r\n\r\nThis 3-4 hour course will provide Councillors with the underpinning knowledge of the role it will help them to build the confidence they require to face the challenges they will experience whilst being a part of the officer/political interface, having a voice in decision making whilst representing residents concerns and solving issues\r\n<h3>Service Providers Guide to Working with a Local Authority</h3>\r\nThis course is designed to be flexible in meeting the needs of Companies who provide services to Local Authorities and can be tailored to companies needs.\r\n\r\nUnderstanding the complex structure and politically driven decision making is often difficult for outsiders to comprehend. The contents of this course will guarantee to provide the knowledge required to deliver a successful working relationship throughout the life of any contract or help prospective Service Providers to gain that all important ‘Bid’ and stand out against the rest.\r\n\r\nPlease contact us to discuss any of the above and we will be happy to provide more in depth information\r\n\r\n<strong>Tel: 01733 238 309</strong>\r\n\r\n<strong>Tel: 07976 571 180</strong>", "Public Service Courses", "", "inherit", "open", "open", "", "20-revision-v1", "", "", "2015-05-14 22:05:28", "2015-05-14 21:05:28", "", "20", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/14/20-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("136", "1", "2015-05-14 22:08:02", "2015-05-14 21:08:02", "“We put people who use services at the heart of our work.”  David Behan Chief Executive Care Quality Commission\r\n\r\nIn the same document; *A fresh start for the regulation and inspection of Adult Social Care, David Behan Chief Executive of the Care Quality said:\r\n<blockquote>“and a commitment to listen better to the views and experiences of people who use services.”</blockquote>\r\nHe also said:\r\n<blockquote>“Understanding the experiences of people who use adult social care is paramount.”</blockquote>\r\nThis gives a clear indication that the people that really matter will be at the heart of the inspection process.\r\n\r\nWe have developed this set of manuals to assist you to demonstrate how you both consult the people who use your services regularly and then analyse what you have been told and take it into account in the planning of your services.\r\n\r\nThis is a simple, straightforward method and has been being used successfully by providers of care for the last 5 years. The system has now been updated to meet changing standards.\r\n\r\nThere are three manuals to recognise the different care needs of people using services:\r\n<ul>\r\n	<li>Care Homes</li>\r\n	<li>Home Care</li>\r\n	<li>Easy Read</li>\r\n</ul>\r\n<a href=\"http://www.cqc.org.uk/sites/default/files/documents/20131013_cqc_afreshstart_2013_final.pdf\" target=\"_blank\">Care Quality Commission - A fresh start for the regulation and inspection of adult social care.</a>\r\n\r\n<strong>Cost of Manuals</strong>\r\n\r\n<strong>Electronic Copy</strong>  £75.00\r\n\r\n<strong>Paper Copy</strong>  £100.00 plus post and packing\r\n\r\n<strong>Electronic and paper</strong> £150.00\r\n\r\nAn update service will be announced later this year.", "People who use your service", "", "inherit", "open", "open", "", "24-revision-v1", "", "", "2015-05-14 22:08:02", "2015-05-14 21:08:02", "", "24", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/14/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("137", "1", "2015-05-17 12:50:48", "2015-05-17 11:50:48", "<strong>Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.  </strong>\r\n\r\nSheila is a Nurse by profession.   In the 1980s, she owned two care homes in North London, one for older people and one for people with dementia. In l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care. Sheila sits on many national committees and advisory groups representing the independent care sector.\r\n\r\nSheila is available to offer advice or practical help with all matters relating to:\r\n<ul>\r\n	<li>The provision of Adult Social Care wherever it is provided.</li>\r\n	<li>The Mental Capacity Act</li>\r\n	<li>Workforce Development</li>\r\n	<li>Social Care training</li>\r\n	<li>Matters relating to the CQC Registration and inspection changes.</li>\r\n</ul>\r\nShe is also an experienced public speaker and communicator.\r\n\r\nAs a Consultant, Sheila can support your business in keeping abreast of current legislative changes and the challenges these may bring.\r\n\r\nTo discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.\r\n\r\n&nbsp;", "Consultancy", "", "publish", "open", "open", "", "consultancy", "", "", "2015-06-02 12:05:18", "2015-06-02 11:05:18", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?page_id=137", "0", "page", "", "0");
INSERT INTO `w_posts` VALUES("138", "1", "2015-05-17 12:50:40", "2015-05-17 11:50:40", "", "header_service_consultancy", "", "inherit", "open", "open", "", "header_service_consultancy", "", "", "2015-05-17 12:50:40", "2015-05-17 11:50:40", "", "137", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/05/header_service_consultancy.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("139", "1", "2015-05-17 12:50:48", "2015-05-17 11:50:48", "[ Content Needed ]", "Consultancy", "", "inherit", "open", "open", "", "137-revision-v1", "", "", "2015-05-17 12:50:48", "2015-05-17 11:50:48", "", "137", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/17/137-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("140", "1", "2015-05-17 12:51:25", "2015-05-17 11:51:25", " ", "", "", "publish", "open", "open", "", "140", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=140", "7", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("141", "1", "2015-05-17 12:58:03", "2015-05-17 11:58:03", "a:6:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"16\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";}", "Testimonials", "testimonials", "publish", "closed", "closed", "", "group_555881f2155a9", "", "", "2015-05-17 12:58:03", "2015-05-17 11:58:03", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field-group&#038;p=141", "0", "acf-field-group", "", "0");
INSERT INTO `w_posts` VALUES("142", "1", "2015-05-17 12:58:03", "2015-05-17 11:58:03", "a:9:{s:4:\"type\";s:8:\"repeater\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"layout\";s:3:\"row\";s:12:\"button_label\";s:15:\"Add Testimonial\";}", "Testimonials", "testimonials", "publish", "open", "open", "", "field_555881a63f89f", "", "", "2015-05-17 12:58:03", "2015-05-17 11:58:03", "", "141", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=142", "0", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("143", "1", "2015-05-17 12:58:03", "2015-05-17 11:58:03", "a:12:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}", "Name", "name", "publish", "open", "open", "", "field_555881b43f8a0", "", "", "2015-05-17 12:58:03", "2015-05-17 11:58:03", "", "142", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=143", "0", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("144", "1", "2015-05-17 12:58:03", "2015-05-17 11:58:03", "a:12:{s:4:\"type\";s:8:\"textarea\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:4:\"rows\";s:0:\"\";s:9:\"new_lines\";s:7:\"wpautop\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}", "Content", "content", "publish", "open", "open", "", "field_555881b93f8a1", "", "", "2015-05-17 12:58:03", "2015-05-17 11:58:03", "", "142", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?post_type=acf-field&p=144", "1", "acf-field", "", "0");
INSERT INTO `w_posts` VALUES("145", "1", "2015-05-17 13:16:10", "2015-05-17 12:16:10", "<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for the Further Education and Private Sector for the past twenty years, and is well known within the travel industry, but having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes and finally as Chief Executive of National Care Association during which time , she has been awarded the OBE in recognition of her services to Adult Social care.", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-05-17 13:16:10", "2015-05-17 12:16:10", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/17/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("146", "1", "2015-05-17 14:53:05", "0000-00-00 00:00:00", "", "Menu Item", "", "draft", "open", "open", "", "", "", "", "2015-05-17 14:53:05", "0000-00-00 00:00:00", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=146", "1", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("147", "1", "2015-05-17 14:53:32", "0000-00-00 00:00:00", "", "Menu Item", "", "draft", "open", "open", "", "", "", "", "2015-05-17 14:53:32", "0000-00-00 00:00:00", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=147", "1", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("148", "1", "2015-05-17 14:53:36", "0000-00-00 00:00:00", "", "Menu Item", "", "draft", "open", "open", "", "", "", "", "2015-05-17 14:53:36", "0000-00-00 00:00:00", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=148", "1", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("151", "1", "2015-05-17 14:56:04", "2015-05-17 13:56:04", "", "f", "", "publish", "open", "open", "", "f", "", "", "2015-06-02 10:38:53", "2015-06-02 09:38:53", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=151", "10", "nav_menu_item", "", "0");
INSERT INTO `w_posts` VALUES("153", "2", "2015-05-22 09:44:58", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2015-05-22 09:44:58", "0000-00-00 00:00:00", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=153", "0", "post", "", "0");
INSERT INTO `w_posts` VALUES("154", "2", "2015-05-22 09:49:48", "2015-05-22 08:49:48", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-05-22 09:49:48", "2015-05-22 08:49:48", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("155", "2", "2015-05-22 09:52:12", "2015-05-22 08:52:12", "<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for the Further Education and Private Sector for the past twenty years, and is well known and respected within the travel industry.  Having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes and finally as Chief Executive of National Care Association during which time , she has been awarded the OBE in recognition of her services to Adult Social care.", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-05-22 09:52:12", "2015-05-22 08:52:12", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("156", "2", "2015-05-22 09:56:09", "2015-05-22 08:56:09", "Having been a politician for a number of years, Janet has identified the need for Newly Elected Councillors to be made fully aware of the responsibilities facing them when they are elected.\n\nWorldwide Training Partnership are offering two courses related to Local Authorities.\n\nThe first training course that Worldwide Training Partnership offers is aimed at Local Authorities.  It provides them with Newly Elected Members who are aware of their commitment to the community they represent and shows them how to achieve success in the role.\n\nThe second course Worldwide Training Partnership is offering is written to benefit Service Providers who are bidding for, or who are already delivering, back office or frontline services for Local Authorities.\n\nFor a contract to be delivered successfully, It is vital that Service Providers understand the complex day to day workings of a Local Authority and the Officer/Political structure that underpins it.\n\nThis course is a must for any company who works with a Local Authority and guarantees a successful working relationship when delivering a contract", "Public Service", "", "inherit", "open", "open", "", "18-autosave-v1", "", "", "2015-05-22 09:56:09", "2015-05-22 08:56:09", "", "18", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/18-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("157", "2", "2015-05-22 09:56:34", "2015-05-22 08:56:34", "Having been a politician for a number of years, Janet has identified the need for Newly Elected Councillors to be made fully aware of the responsibilities facing them when they are elected.\r\n\r\nWorldwide Training Partnership are offering two courses related to Local Authorities.\r\n\r\nThe first training course that Worldwide Training Partnership offers is aimed at Local Authorities.  It provides them with Newly Elected Members who are aware of their commitment to the community they represent and shows them how to achieve success in the role.\r\n\r\nThe second course Worldwide Training Partnership is offering is written to benefit Service Providers who are bidding for, or who are already delivering, back office or frontline services for Local Authorities.\r\n\r\nFor a contract to be delivered successfully, It is vital that Service Providers understand the complex day to day workings of a Local Authority and the Officer/Political structure that underpins it.\r\n\r\nThis course is a must for any company who works with a Local Authority and guarantees a successful working relationship when delivering a contract.", "Public Service", "", "inherit", "open", "open", "", "18-revision-v1", "", "", "2015-05-22 09:56:34", "2015-05-22 08:56:34", "", "18", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/18-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("158", "2", "2015-05-22 10:05:46", "2015-05-22 09:05:46", "<h3></h3>\n<h3>An Induction to the role of a Newly Elected Councillor</h3>\nNewly elected Councillors can often feel overwhelmed and thrown into the ‘deep end’ because they don’t fully understand what is expected of them.\n\nThis half day course will provide Councillors with the underpinning knowledge of the role.  It will help them to build the confidence they require to face the challenges they will experience, whilst being a part of the Officer and political interface. The course will provide Councillors with the confidence to have a voice in decision making as they represent Resident\'s concerns and solve issues.\n<h3>Service Provider\'s Guide to Working with a Local Authority</h3>\nThe Service Provider\'s course is designed to be flexible in meeting the needs of Companies who provide services to Local Authorities and can be tailored to company\'s needs.\n\nUnderstanding the complex structure and politically driven decision making of a Local Authority is often difficult for outsiders to comprehend. The contents of this course will provide attendees with the knowledge required to deliver a successful working relationship throughout the life of any contract.\n\nService Providers who are bidding for a Local Authority contract will also gain from the knowledge they have learnt to gain that all important ‘Bid’ and stand out against the rest.\n\nPlease contact us to discuss any of the above and we will be happy to provide more in depth information\n\n<strong>Tel: 01733 238 309</strong>\n\n<strong>Tel: 07976 571 180</strong>", "Public Service Courses", "", "inherit", "open", "open", "", "20-autosave-v1", "", "", "2015-05-22 10:05:46", "2015-05-22 09:05:46", "", "20", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/20-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("159", "2", "2015-05-22 10:06:07", "2015-05-22 09:06:07", "<h3></h3>\r\n<h3>An Induction to the role of a Newly Elected Councillor</h3>\r\nNewly elected Councillors can often feel overwhelmed and thrown into the ‘deep end’ because they don’t fully understand what is expected of them.\r\n\r\nThis half day course will provide Councillors with the underpinning knowledge of the role.  It will help them to build the confidence they require to face the challenges they will experience, whilst being a part of the Officer and political interface. The course will provide Councillors with the confidence to have a voice in decision making as they represent Resident\'s concerns and solve issues.\r\n<h3>Service Provider\'s Guide to Working with a Local Authority</h3>\r\nThe Service Provider\'s course is designed to be flexible in meeting the needs of Companies who provide services to Local Authorities and can be tailored to company\'s needs.\r\n\r\nUnderstanding the complex structure and politically driven decision making of a Local Authority is often difficult for outsiders to comprehend. The contents of this course will provide attendees with the knowledge required to deliver a successful working relationship throughout the life of any contract.\r\n\r\nService Providers who are bidding for a Local Authority contract will also gain the knowledge they need to win that all important ‘Bid’ and stand out against the rest.\r\n\r\nPlease contact us to discuss any of the above and we will be happy to provide more in depth information\r\n\r\n<strong>Tel: 01733 238 309</strong>\r\n\r\n<strong>Tel: 07976 571 180</strong>", "Public Service Courses", "", "inherit", "open", "open", "", "20-revision-v1", "", "", "2015-05-22 10:06:07", "2015-05-22 09:06:07", "", "20", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/20-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("160", "2", "2015-05-22 10:07:39", "2015-05-22 09:07:39", "<img class=\"alignleft\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" />Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.\n\nSheila is a Nurse by profession.\n\nIn the 1980s, she owned two care homes in North London, one for older people and one for people with dementia.\n\nIn l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care.\n\nSheila is available to offer advice or practical help with all matter relating to:\n<ul>\n	<li>The provision of Adult Social Care wherever it is provided.</li>\n	<li>The Mental Capacity Act</li>\n	<li>Workforce Development</li>\n	<li>Social Care training</li>\n	<li>Matters relating to the CQC Registration and inspection changes.</li>\n</ul>\nShe is also an experienced public speaker and communicator.\n\nTo discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.", "Adult Social Care", "", "inherit", "open", "open", "", "22-autosave-v1", "", "", "2015-05-22 10:07:39", "2015-05-22 09:07:39", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/22-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("161", "2", "2015-05-22 10:08:41", "2015-05-22 09:08:41", "<img class=\"alignleft\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" />Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.\r\n\r\nSheila is a Nurse by profession.\r\n\r\nIn the 1980s, she owned two care homes in North London, one for older people and one for people with dementia.\r\n\r\nIn l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care.\r\n\r\nSheila is available to offer advice or practical help with all matters relating to:\r\n<ul>\r\n	<li>The provision of Adult Social Care wherever it is provided.</li>\r\n	<li>The Mental Capacity Act</li>\r\n	<li>Workforce Development</li>\r\n	<li>Social Care training</li>\r\n	<li>Matters relating to the CQC Registration and inspection changes.</li>\r\n</ul>\r\nShe is also an experienced public speaker and communicator.\r\n\r\nTo discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.", "Adult Social Care", "", "inherit", "open", "open", "", "22-revision-v1", "", "", "2015-05-22 10:08:41", "2015-05-22 09:08:41", "", "22", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/22-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("162", "2", "2015-05-22 10:23:22", "2015-05-22 09:23:22", "“We put people who use services at the heart of our work.”  David Behan Chief Executive Care Quality Commission\n\nIn the same document; *A fresh start for the regulation and inspection of Adult Social Care, David Behan Chief Executive of the Care Quality said:\n<blockquote>“and a commitment to listen better to the views and experiences of people who use services.”</blockquote>\nHe also said:\n<blockquote>“Understanding the experiences of people who use adult social care is paramount.”</blockquote>\nThis gives a clear indication that the people that really matter will be at the heart of the inspection process.\n\nWe have developed this set of manuals to assist you and to demonstrate how you regularly consult with the people who use your services. You can then analyse what you have been told and take it into account when planning your services.  This evidence is invaluable when providing evidence to CQC of your commitment to good service.\n\nThis is a simple, straightforward method and has been used successfully by providers of care for the last 5 years.\n\nThere are three manuals which recognise different care needs of people who us the following services:\n<ul>\n	<li>Care Homes</li>\n	<li>Home Care</li>\n	<li>Easy Read</li>\n</ul>\n<a href=\"http://www.cqc.org.uk/sites/default/files/documents/20131013_cqc_afreshstart_2013_final.pdf\" target=\"_blank\">Care Quality Commission - A fresh start for the regulation and inspection of adult social care.</a>\n\n<strong>Cost of Manuals</strong>\n\n<strong>Electronic Copy</strong>  £75.00\n\n<strong>Paper Copy</strong>  £100.00 plus post and packing\n\n<strong>Electronic and paper</strong> £150.00\n\nAn update service will be announced later this year.", "People who use your service", "", "inherit", "open", "open", "", "24-autosave-v1", "", "", "2015-05-22 10:23:22", "2015-05-22 09:23:22", "", "24", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/24-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("163", "2", "2015-05-22 10:23:50", "2015-05-22 09:23:50", "“We put people who use services at the heart of our work.”  David Behan Chief Executive Care Quality Commission\r\n\r\nIn the same document; *A fresh start for the regulation and inspection of Adult Social Care, David Behan Chief Executive of the Care Quality said:\r\n<blockquote>“and a commitment to listen better to the views and experiences of people who use services.”</blockquote>\r\nHe also said:\r\n<blockquote>“Understanding the experiences of people who use adult social care is paramount.”</blockquote>\r\nThis gives a clear indication that the people that really matter will be at the heart of the inspection process.\r\n\r\nWe have developed this set of manuals to assist you and to demonstrate how you regularly consult with the people who use your services. You can then analyse what you have been told and take it into account when planning your services.  This evidence is invaluable when providing evidence to CQC of your commitment to good service.\r\n\r\nThis is a simple, straightforward method and has been used successfully by providers of care for the last 5 years.\r\n\r\nThere are three manuals which recognise different care needs of people who use the following services:\r\n<ul>\r\n	<li>Care Homes</li>\r\n	<li>Home Care</li>\r\n	<li>Easy Read</li>\r\n</ul>\r\n<a href=\"http://www.cqc.org.uk/sites/default/files/documents/20131013_cqc_afreshstart_2013_final.pdf\" target=\"_blank\">Care Quality Commission - A fresh start for the regulation and inspection of adult social care.</a>\r\n\r\n<strong>Cost of Manuals</strong>\r\n\r\n<strong>Electronic Copy</strong>  £75.00\r\n\r\n<strong>Paper Copy</strong>  £100.00 plus post and packing\r\n\r\n<strong>Electronic and paper</strong> £150.00\r\n\r\n&nbsp;", "People who use your service", "", "inherit", "open", "open", "", "24-revision-v1", "", "", "2015-05-22 10:23:50", "2015-05-22 09:23:50", "", "24", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("164", "2", "2015-05-22 10:28:38", "2015-05-22 09:28:38", "“We put people who use services at the heart of our work.”  David Behan Chief Executive Care Quality Commission In the same document; *A fresh start for the regulation and inspection of Adult Social Care, David Behan Chief Executive of the Care Quality said:\r\n<blockquote>“and a commitment to listen better to the views and experiences of people who use services.”</blockquote>\r\nHe also said:\r\n<blockquote>“Understanding the experiences of people who use adult social care is paramount.”</blockquote>\r\nThis gives a clear indication that the people that really matter will be at the heart of the inspection process. We have developed this set of manuals to assist you and to demonstrate how you regularly consult with the people who use your services. You can then analyse what you have been told and take it into account when planning your services.  This evidence is invaluable when providing evidence to CQC of your commitment to good service. This is a simple, straightforward method and has been used successfully by providers of care for the last 5 years. There are three manuals which recognise different care needs of people who use the following services:\r\n<ul>\r\n	<li>Care Homes</li>\r\n	<li>Home Care</li>\r\n	<li>Easy Read</li>\r\n</ul>\r\n<a href=\"http://www.cqc.org.uk/sites/default/files/documents/20131013_cqc_afreshstart_2013_final.pdf\" target=\"_blank\">Care Quality Commission - A fresh start for the regulation and inspection of adult social care.</a> <strong>Cost of Manuals</strong> <strong>Electronic Copy</strong>  £75.00 <strong>Paper Copy</strong>  £100.00 plus post and packing <strong>Electronic and paper</strong> £150.00", "People who use your service", "", "inherit", "open", "open", "", "24-revision-v1", "", "", "2015-05-22 10:28:38", "2015-05-22 09:28:38", "", "24", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("165", "2", "2015-05-22 10:29:16", "2015-05-22 09:29:16", "<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for the Further Education and Private Sector for the past twenty years, and is well known and respected within the travel industry.  Having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes and finally as Chief Executive of National Care Association during which time , she has been awarded the OBE in recognition of her services to Adult Social care.", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-05-22 10:29:16", "2015-05-22 09:29:16", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/05/22/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("166", "1", "2015-05-23 11:30:43", "2015-05-23 10:30:43", "", "home-care-manual-front-cover", "", "inherit", "open", "open", "", "home-care-manual-front-cover", "", "", "2015-05-23 11:30:43", "2015-05-23 10:30:43", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/home-care-manual-front-cover.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("167", "1", "2015-05-23 11:31:15", "2015-05-23 10:31:15", "", "easy-read-manual-front-cover", "", "inherit", "open", "open", "", "easy-read-manual-front-cover", "", "", "2015-05-23 11:31:15", "2015-05-23 10:31:15", "", "70", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/easy-read-manual-front-cover.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("168", "1", "2015-05-23 11:31:52", "2015-05-23 10:31:52", "", "Care-Homes-manual-front-page", "", "inherit", "open", "open", "", "care-homes-manual-front-page", "", "", "2015-05-23 11:31:52", "2015-05-23 10:31:52", "", "67", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/05/Care-Homes-manual-front-page.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("169", "1", "2015-06-01 19:42:10", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2015-06-01 19:42:10", "0000-00-00 00:00:00", "", "0", "http://judge.lewiscollard.com/worldwidetrainingpartnership/?p=169", "0", "post", "", "0");
INSERT INTO `w_posts` VALUES("170", "1", "2015-06-01 19:44:49", "2015-06-01 18:44:49", "Hendrerit leo dui velit donec a proin. Fermentum ultricies dignissim molestie tempor elementum laoreet dis quam consectetuer. Inceptos etiam senectus. Metus turpis taciti sed nec rutrum.\r\n\r\nLacinia penatibus. Purus iaculis. Non morbi tellus blandit vehicula eros. Taciti erat auctor fames rhoncus dignissim libero neque pulvinar est. Curae; leo posuere neque dolor ultrices purus. Praesent. Orci orci Leo elit nulla. Consectetuer eleifend pulvinar metus.\r\n\r\nTellus. Arcu porta habitant donec ipsum. Justo habitasse congue non nullam, dui ligula. Mauris erat varius purus urna. Augue viverra. Purus condimentum. Senectus, posuere, parturient dapibus morbi malesuada Ultrices quis. Rhoncus sollicitudin, taciti quis condimentum euismod sociosqu.", "Care Homes Manual", "", "inherit", "open", "open", "", "67-revision-v1", "", "", "2015-06-01 19:44:49", "2015-06-01 18:44:49", "", "67", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/01/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("171", "1", "2015-06-01 20:03:45", "2015-06-01 19:03:45", "", "care-homes-manual-cover-edit", "", "inherit", "open", "open", "", "care-homes-manual-cover-edit", "", "", "2015-06-01 20:03:45", "2015-06-01 19:03:45", "", "67", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/06/care-homes-manual-cover-edit.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("172", "1", "2015-06-01 20:04:19", "2015-06-01 19:04:19", "", "easy-read-manual-cover-edit", "", "inherit", "open", "open", "", "easy-read-manual-cover-edit", "", "", "2015-06-01 20:04:19", "2015-06-01 19:04:19", "", "70", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/06/easy-read-manual-cover-edit.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("173", "1", "2015-06-01 20:04:45", "2015-06-01 19:04:45", "", "home-care-manual-cover-edit", "", "inherit", "open", "open", "", "home-care-manual-cover-edit", "", "", "2015-06-01 20:04:45", "2015-06-01 19:04:45", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/edd/2015/06/home-care-manual-cover-edit.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `w_posts` VALUES("174", "2", "2015-06-02 09:49:26", "2015-06-02 08:49:26", "", "Home", "", "inherit", "open", "open", "", "2-revision-v1", "", "", "2015-06-02 09:49:26", "2015-06-02 08:49:26", "", "2", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/02/2-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("175", "2", "2015-06-02 10:53:44", "2015-06-02 09:53:44", "", "Home Care     Manual", "", "inherit", "open", "open", "", "72-revision-v1", "", "", "2015-06-02 10:53:44", "2015-06-02 09:53:44", "", "72", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/02/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("176", "2", "2015-06-02 10:54:52", "2015-06-02 09:54:52", "", "Easy Read Manual", "", "inherit", "open", "open", "", "70-revision-v1", "", "", "2015-06-02 10:54:52", "2015-06-02 09:54:52", "", "70", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/02/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("177", "2", "2015-06-02 10:55:12", "2015-06-02 09:55:12", "", "Care Homes Manual", "", "inherit", "open", "open", "", "67-revision-v1", "", "", "2015-06-02 10:55:12", "2015-06-02 09:55:12", "", "67", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/02/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("178", "2", "2015-06-02 11:01:40", "2015-06-02 10:01:40", "<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for Further Education and the Private Sector for the past twenty years, and is well known and respected within the travel industry.  Having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes and finally as Chief Executive of National Care Association during which time , she has been awarded the OBE in recognition of her services to Adult Social Care.", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-06-02 11:01:40", "2015-06-02 10:01:40", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/02/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("179", "2", "2015-06-02 11:11:10", "2015-06-02 10:11:10", "<h3><img class=\"alignleft size-full wp-image-82\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/janetgoodwin.jpg\" alt=\"janetgoodwin\" width=\"121\" height=\"159\" />Janet</h3>\r\nHas been writing travel related courses for Further Education and the Private Sector for the past twenty years, and is well known and respected within the travel industry.  Having been involved in public service as a politician for the past eight years, she is now engaged in writing courses to offer to Local Authorities and for Companies who do business with them.\r\n\r\n&nbsp;\r\n\r\n&nbsp;\r\n<h3><a href=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\"><img class=\"alignleft size-full wp-image-83\" src=\"http://judge.lewiscollard.com/worldwidetrainingpartnership/wp-content/uploads/2015/04/sheila.jpg\" alt=\"sheila\" width=\"121\" height=\"159\" /></a>Sheila</h3>\r\nHas worked within Adult Social Care for over 30 years, initially as a nurse, then owning her own Care Homes.  Sheila then became Chief Executive of the National Care Association during which time she was awarded the OBE in recognition of her services to Adult Social Care.", "About Us", "", "inherit", "open", "open", "", "16-revision-v1", "", "", "2015-06-02 11:11:10", "2015-06-02 10:11:10", "", "16", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/02/16-revision-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("180", "2", "2015-06-02 12:04:39", "2015-06-02 11:04:39", "<strong>Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.  </strong>\n\nSheila is a Nurse by profession.   In the 1980s, she owned two care homes in North London, one for older people and one for people with dementia. In l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care. Sheila sits on many national committees and advisory groups representing the independent care sector.\n\nSheila is available to offer advice or practical help with all matters relating to:\n<ul>\n	<li>The provision of Adult Social Care wherever it is provided.</li>\n	<li>The Mental Capacity Act</li>\n	<li>Workforce Development</li>\n	<li>Social Care training</li>\n	<li>Matters relating to the CQC Registration and inspection changes.</li>\n</ul>\nShe is also an experienced public speaker and communicator.\n\nAs a Consultant, Sheila can support your business in keeping abreast of current legislative changes and the challenges these may bring.\n\nTo discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.\n\n&nbsp;", "Consultancy", "", "inherit", "open", "open", "", "137-autosave-v1", "", "", "2015-06-02 12:04:39", "2015-06-02 11:04:39", "", "137", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/02/137-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `w_posts` VALUES("181", "2", "2015-06-02 12:05:18", "2015-06-02 11:05:18", "<strong>Sheila Scott OBE, leads our small team of experienced social care professionals who are able to offer a service to Adult Social Care Providers.  </strong>\r\n\r\nSheila is a Nurse by profession.   In the 1980s, she owned two care homes in North London, one for older people and one for people with dementia. In l987, Sheila joined the National Care Association and continues to work for them for one or two days a week, representing them at meetings with the Department of Health, Care Quality Commission, Department of Work and Pensions and Skills for Care. Sheila sits on many national committees and advisory groups representing the independent care sector.\r\n\r\nSheila is available to offer advice or practical help with all matters relating to:\r\n<ul>\r\n	<li>The provision of Adult Social Care wherever it is provided.</li>\r\n	<li>The Mental Capacity Act</li>\r\n	<li>Workforce Development</li>\r\n	<li>Social Care training</li>\r\n	<li>Matters relating to the CQC Registration and inspection changes.</li>\r\n</ul>\r\nShe is also an experienced public speaker and communicator.\r\n\r\nAs a Consultant, Sheila can support your business in keeping abreast of current legislative changes and the challenges these may bring.\r\n\r\nTo discuss any related matter, contact Worldwide Training Partnership and we will make an appointment for you to speak to Sheila in confidence.\r\n\r\n&nbsp;", "Consultancy", "", "inherit", "open", "open", "", "137-revision-v1", "", "", "2015-06-02 12:05:18", "2015-06-02 11:05:18", "", "137", "http://judge.lewiscollard.com/worldwidetrainingpartnership/2015/06/02/137-revision-v1/", "0", "revision", "", "0");

/* INSERT TABLE DATA: w_term_relationships */
INSERT INTO `w_term_relationships` VALUES("1", "1", "0");
INSERT INTO `w_term_relationships` VALUES("32", "6", "0");
INSERT INTO `w_term_relationships` VALUES("33", "6", "0");
INSERT INTO `w_term_relationships` VALUES("36", "6", "0");
INSERT INTO `w_term_relationships` VALUES("37", "6", "0");
INSERT INTO `w_term_relationships` VALUES("38", "6", "0");
INSERT INTO `w_term_relationships` VALUES("39", "6", "0");
INSERT INTO `w_term_relationships` VALUES("40", "6", "0");
INSERT INTO `w_term_relationships` VALUES("67", "7", "0");
INSERT INTO `w_term_relationships` VALUES("67", "9", "0");
INSERT INTO `w_term_relationships` VALUES("70", "7", "0");
INSERT INTO `w_term_relationships` VALUES("70", "9", "0");
INSERT INTO `w_term_relationships` VALUES("72", "7", "0");
INSERT INTO `w_term_relationships` VALUES("72", "9", "0");
INSERT INTO `w_term_relationships` VALUES("78", "8", "0");
INSERT INTO `w_term_relationships` VALUES("79", "8", "0");
INSERT INTO `w_term_relationships` VALUES("80", "8", "0");
INSERT INTO `w_term_relationships` VALUES("119", "6", "0");
INSERT INTO `w_term_relationships` VALUES("140", "6", "0");
INSERT INTO `w_term_relationships` VALUES("151", "6", "0");

/* INSERT TABLE DATA: w_term_taxonomy */
INSERT INTO `w_term_taxonomy` VALUES("1", "1", "category", "", "0", "1");
INSERT INTO `w_term_taxonomy` VALUES("2", "2", "product_type", "", "0", "0");
INSERT INTO `w_term_taxonomy` VALUES("3", "3", "product_type", "", "0", "0");
INSERT INTO `w_term_taxonomy` VALUES("4", "4", "product_type", "", "0", "0");
INSERT INTO `w_term_taxonomy` VALUES("5", "5", "product_type", "", "0", "0");
INSERT INTO `w_term_taxonomy` VALUES("6", "6", "nav_menu", "", "0", "10");
INSERT INTO `w_term_taxonomy` VALUES("7", "7", "download_category", "", "0", "3");
INSERT INTO `w_term_taxonomy` VALUES("8", "8", "nav_menu", "", "0", "3");
INSERT INTO `w_term_taxonomy` VALUES("9", "9", "download_category", "", "7", "3");

/* INSERT TABLE DATA: w_terms */
INSERT INTO `w_terms` VALUES("1", "Uncategorised", "uncategorised", "0");
INSERT INTO `w_terms` VALUES("2", "simple", "simple", "0");
INSERT INTO `w_terms` VALUES("3", "grouped", "grouped", "0");
INSERT INTO `w_terms` VALUES("4", "variable", "variable", "0");
INSERT INTO `w_terms` VALUES("5", "external", "external", "0");
INSERT INTO `w_terms` VALUES("6", "Main Menu", "main-menu", "0");
INSERT INTO `w_terms` VALUES("7", "Manual", "manual", "0");
INSERT INTO `w_terms` VALUES("8", "Footer", "footer", "0");
INSERT INTO `w_terms` VALUES("9", "Adult Social Care Manuals", "adult-social-care", "0");

/* INSERT TABLE DATA: w_usermeta */
INSERT INTO `w_usermeta` VALUES("1", "1", "nickname", "Loki Support");
INSERT INTO `w_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `w_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `w_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `w_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `w_usermeta` VALUES("6", "1", "comment_shortcuts", "false");
INSERT INTO `w_usermeta` VALUES("7", "1", "admin_color", "fresh");
INSERT INTO `w_usermeta` VALUES("8", "1", "use_ssl", "0");
INSERT INTO `w_usermeta` VALUES("9", "1", "show_admin_bar_front", "true");
INSERT INTO `w_usermeta` VALUES("10", "1", "w_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `w_usermeta` VALUES("11", "1", "w_user_level", "10");
INSERT INTO `w_usermeta` VALUES("12", "1", "dismissed_wp_pointers", "wp360_locks,wp390_widgets,wp410_dfw");
INSERT INTO `w_usermeta` VALUES("13", "1", "show_welcome_panel", "0");
INSERT INTO `w_usermeta` VALUES("14", "1", "session_tokens", "a:1:{s:64:\"c1b7ca7eee5bead2a70573de4ba8e1c32c70ddce82a4294e22fd225facd01e4b\";a:4:{s:10:\"expiration\";i:1433929938;s:2:\"ip\";s:15:\"141.105.216.172\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/44.0.2403.30 Safari/537.36\";s:5:\"login\";i:1433757138;}}");
INSERT INTO `w_usermeta` VALUES("15", "1", "w_dashboard_quick_press_last_post_id", "169");
INSERT INTO `w_usermeta` VALUES("16", "1", "managenav-menuscolumnshidden", "a:2:{i:0;s:3:\"xfn\";i:1;s:11:\"description\";}");
INSERT INTO `w_usermeta` VALUES("17", "1", "metaboxhidden_nav-menus", "a:7:{i:0;s:30:\"woocommerce_endpoints_nav_link\";i:1;s:8:\"add-post\";i:2;s:11:\"add-product\";i:3;s:12:\"add-post_tag\";i:4;s:15:\"add-post_format\";i:5;s:15:\"add-product_cat\";i:6;s:15:\"add-product_tag\";}");
INSERT INTO `w_usermeta` VALUES("18", "1", "w_user-settings", "libraryContent=browse&hidetb=1&align=left&urlbutton=none&editor=tinymce&wplink=1&advImgDetails=show");
INSERT INTO `w_usermeta` VALUES("19", "1", "w_user-settings-time", "1431545907");
INSERT INTO `w_usermeta` VALUES("20", "1", "nav_menu_recently_edited", "6");
INSERT INTO `w_usermeta` VALUES("21", "2", "nickname", "WWTP");
INSERT INTO `w_usermeta` VALUES("22", "2", "first_name", "Janet");
INSERT INTO `w_usermeta` VALUES("23", "2", "last_name", "Goodwin");
INSERT INTO `w_usermeta` VALUES("24", "2", "description", "");
INSERT INTO `w_usermeta` VALUES("25", "2", "rich_editing", "true");
INSERT INTO `w_usermeta` VALUES("26", "2", "comment_shortcuts", "false");
INSERT INTO `w_usermeta` VALUES("27", "2", "admin_color", "fresh");
INSERT INTO `w_usermeta` VALUES("28", "2", "use_ssl", "0");
INSERT INTO `w_usermeta` VALUES("29", "2", "show_admin_bar_front", "true");
INSERT INTO `w_usermeta` VALUES("30", "2", "w_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `w_usermeta` VALUES("31", "2", "w_user_level", "10");
INSERT INTO `w_usermeta` VALUES("32", "2", "dismissed_wp_pointers", "wp360_locks,wp390_widgets,wp410_dfw");
INSERT INTO `w_usermeta` VALUES("34", "2", "w_dashboard_quick_press_last_post_id", "153");
INSERT INTO `w_usermeta` VALUES("36", "1", "_edd_admin_ajax_inaccessible_dismissed", "1");
INSERT INTO `w_usermeta` VALUES("42", "2", "nav_menu_recently_edited", "6");
INSERT INTO `w_usermeta` VALUES("43", "2", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";}");
INSERT INTO `w_usermeta` VALUES("44", "2", "metaboxhidden_nav-menus", "a:5:{i:0;s:8:\"add-post\";i:1;s:12:\"add-download\";i:2;s:12:\"add-post_tag\";i:3;s:21:\"add-download_category\";i:4;s:16:\"add-download_tag\";}");

/* INSERT TABLE DATA: w_users */
INSERT INTO `w_users` VALUES("1", "Loki Support", "$P$BEZLjhgb39Cn23BqfOpCjD8FnootdL.", "loki-support", "lokipowers13@gmail.com", "", "2015-04-30 20:02:39", "", "0", "Loki Support");
INSERT INTO `w_users` VALUES("2", "WWTP", "$P$B7KPTBtN1nYWlVNnt.FLBtAxDgtbq1/", "wwtp", "admin@worldwidetrainingpartnership.com", "", "2015-05-20 17:47:22", "", "0", "Janet Goodwin");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2015-06-08 10:03:23*/
/* DUPLICATOR_MYSQLDUMP_EOF */
